#
# This code was generated by Enunciate.
# http://enunciate.codehaus.org/
#
require 'json'

# adding necessary json serialization methods to standard classes.
class Object
  def to_jaxb_json_hash
    return self
  end
  def self.from_json o
    return o
  end
end

class String
  def self.from_json o
    return o
  end
end

class Boolean
  def self.from_json o
    return o
  end
end

class Numeric
  def self.from_json o
    return o
  end
end

class Time
  #json time is represented as number of milliseconds since epoch
  def to_jaxb_json_hash
    return (to_i * 1000) + (usec / 1000)
  end
  def self.from_json o
    if o.nil?
      return nil
    else
      return Time.at(o / 1000, (o % 1000) * 1000)
    end
  end
end

class Array
  def to_jaxb_json_hash
    a = Array.new
    each { | _item | a.push _item.to_jaxb_json_hash }
    return a
  end
end


module Org

module Sonatype

module Nexus

module Rest

module Model

  # Artifact details sent back on search requests.
  class NexusArtifact 

    # The URL that can be used to retrieve the artifact.
    attr_accessor :resourceURI
    # The group id of the artifact.
    attr_accessor :groupId
    # The artifact id of the artifact.
    attr_accessor :artifactId
    # The version of the artifact.
    attr_accessor :version
    # The classifier of the artifact.
    attr_accessor :classifier
    # The packaging of the artifact.
    attr_accessor :packaging
    # The extension of the artifact.
    attr_accessor :extension
    # The repository id where the artifact is stored.
    attr_accessor :repoId
    # The indexing context where the artifact is indexed.
    attr_accessor :contextId
    # URL that would give you the pom file.
    attr_accessor :pomLink
    # URL that would give you the artifact file.
    attr_accessor :artifactLink
    # A HTML highlighted fragment of the matched hit.
    attr_accessor :highlightedFragment

    # the json hash for this NexusArtifact
    def to_jaxb_json_hash
      _h = {}
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      _h['groupId'] = groupId.to_jaxb_json_hash unless groupId.nil?
      _h['artifactId'] = artifactId.to_jaxb_json_hash unless artifactId.nil?
      _h['version'] = version.to_jaxb_json_hash unless version.nil?
      _h['classifier'] = classifier.to_jaxb_json_hash unless classifier.nil?
      _h['packaging'] = packaging.to_jaxb_json_hash unless packaging.nil?
      _h['extension'] = extension.to_jaxb_json_hash unless extension.nil?
      _h['repoId'] = repoId.to_jaxb_json_hash unless repoId.nil?
      _h['contextId'] = contextId.to_jaxb_json_hash unless contextId.nil?
      _h['pomLink'] = pomLink.to_jaxb_json_hash unless pomLink.nil?
      _h['artifactLink'] = artifactLink.to_jaxb_json_hash unless artifactLink.nil?
      _h['highlightedFragment'] = highlightedFragment.to_jaxb_json_hash unless highlightedFragment.nil?
      return _h
    end

    # the json (string form) for this NexusArtifact
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this NexusArtifact with a json hash
    def init_jaxb_json_hash(_o)
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
      @groupId = String.from_json(_o['groupId']) unless _o['groupId'].nil?
      @artifactId = String.from_json(_o['artifactId']) unless _o['artifactId'].nil?
      @version = String.from_json(_o['version']) unless _o['version'].nil?
      @classifier = String.from_json(_o['classifier']) unless _o['classifier'].nil?
      @packaging = String.from_json(_o['packaging']) unless _o['packaging'].nil?
      @extension = String.from_json(_o['extension']) unless _o['extension'].nil?
      @repoId = String.from_json(_o['repoId']) unless _o['repoId'].nil?
      @contextId = String.from_json(_o['contextId']) unless _o['contextId'].nil?
      @pomLink = String.from_json(_o['pomLink']) unless _o['pomLink'].nil?
      @artifactLink = String.from_json(_o['artifactLink']) unless _o['artifactLink'].nil?
      @highlightedFragment = String.from_json(_o['highlightedFragment']) unless _o['highlightedFragment'].nil?
    end

    # constructs a NexusArtifact from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Artifact hit details sent back on search requests.
  class NexusNGArtifactHit 

    # The repository ID.
    attr_accessor :repositoryId
    # Field artifactLinks.
    attr_accessor :artifactLinks

    # the json hash for this NexusNGArtifactHit
    def to_jaxb_json_hash
      _h = {}
      _h['repositoryId'] = repositoryId.to_jaxb_json_hash unless repositoryId.nil?
      if !artifactLinks.nil?
        _ha = Array.new
        artifactLinks.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['artifactLinks'] = _ha
      end
      return _h
    end

    # the json (string form) for this NexusNGArtifactHit
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this NexusNGArtifactHit with a json hash
    def init_jaxb_json_hash(_o)
      @repositoryId = String.from_json(_o['repositoryId']) unless _o['repositoryId'].nil?
      if !_o['artifactLinks'].nil?
        @artifactLinks = Array.new
        _oa = _o['artifactLinks']
        _oa.each { | _item | @artifactLinks.push Org::Sonatype::Nexus::Rest::Model::NexusNGArtifactLink.from_json(_item) }
      end
    end

    # constructs a NexusNGArtifactHit from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Artifact repository details sent back on search requests.
  class NexusNGRepositoryDetail 

    # The repository ID.
    attr_accessor :repositoryId
    # The repository name.
    attr_accessor :repositoryName
    # The repository content class.
    attr_accessor :repositoryContentClass
    # The repository kind (hosted, proxy, group).
    attr_accessor :repositoryKind
    # The repository policy (RELEASE or SNAPSHOT).
    attr_accessor :repositoryPolicy
    # The repository base URL.
    attr_accessor :repositoryURL

    # the json hash for this NexusNGRepositoryDetail
    def to_jaxb_json_hash
      _h = {}
      _h['repositoryId'] = repositoryId.to_jaxb_json_hash unless repositoryId.nil?
      _h['repositoryName'] = repositoryName.to_jaxb_json_hash unless repositoryName.nil?
      _h['repositoryContentClass'] = repositoryContentClass.to_jaxb_json_hash unless repositoryContentClass.nil?
      _h['repositoryKind'] = repositoryKind.to_jaxb_json_hash unless repositoryKind.nil?
      _h['repositoryPolicy'] = repositoryPolicy.to_jaxb_json_hash unless repositoryPolicy.nil?
      _h['repositoryURL'] = repositoryURL.to_jaxb_json_hash unless repositoryURL.nil?
      return _h
    end

    # the json (string form) for this NexusNGRepositoryDetail
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this NexusNGRepositoryDetail with a json hash
    def init_jaxb_json_hash(_o)
      @repositoryId = String.from_json(_o['repositoryId']) unless _o['repositoryId'].nil?
      @repositoryName = String.from_json(_o['repositoryName']) unless _o['repositoryName'].nil?
      @repositoryContentClass = String.from_json(_o['repositoryContentClass']) unless _o['repositoryContentClass'].nil?
      @repositoryKind = String.from_json(_o['repositoryKind']) unless _o['repositoryKind'].nil?
      @repositoryPolicy = String.from_json(_o['repositoryPolicy']) unless _o['repositoryPolicy'].nil?
      @repositoryURL = String.from_json(_o['repositoryURL']) unless _o['repositoryURL'].nil?
    end

    # constructs a NexusNGRepositoryDetail from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # The repository url information for a given artifact.
  class RepositoryUrlResource 

    # The repository where the artifact is stored.
    attr_accessor :repositoryId
    # The repository where the artifact is stored.
    attr_accessor :repositoryName
    # The artifact path.
    attr_accessor :path
    # The artifact url.
    attr_accessor :artifactUrl
    # Tells if the users has view access to a given artifact.
    attr_accessor :canView

    # the json hash for this RepositoryUrlResource
    def to_jaxb_json_hash
      _h = {}
      _h['repositoryId'] = repositoryId.to_jaxb_json_hash unless repositoryId.nil?
      _h['repositoryName'] = repositoryName.to_jaxb_json_hash unless repositoryName.nil?
      _h['path'] = path.to_jaxb_json_hash unless path.nil?
      _h['artifactUrl'] = artifactUrl.to_jaxb_json_hash unless artifactUrl.nil?
      _h['canView'] = canView.to_jaxb_json_hash unless canView.nil?
      return _h
    end

    # the json (string form) for this RepositoryUrlResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RepositoryUrlResource with a json hash
    def init_jaxb_json_hash(_o)
      @repositoryId = String.from_json(_o['repositoryId']) unless _o['repositoryId'].nil?
      @repositoryName = String.from_json(_o['repositoryName']) unless _o['repositoryName'].nil?
      @path = String.from_json(_o['path']) unless _o['path'].nil?
      @artifactUrl = String.from_json(_o['artifactUrl']) unless _o['artifactUrl'].nil?
      @canView = Boolean.from_json(_o['canView']) unless _o['canView'].nil?
    end

    # constructs a RepositoryUrlResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Class NexusResponse.
  class NexusResponse 


    # the json hash for this NexusResponse
    def to_jaxb_json_hash
      _h = {}
      return _h
    end

    # the json (string form) for this NexusResponse
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this NexusResponse with a json hash
    def init_jaxb_json_hash(_o)
    end

    # constructs a NexusResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Artifact hit link details sent back on search requests.
  class NexusNGArtifactLink 

    # The classifier of the artifact.
    attr_accessor :classifier
    # The extension of the artifact.
    attr_accessor :extension

    # the json hash for this NexusNGArtifactLink
    def to_jaxb_json_hash
      _h = {}
      _h['classifier'] = classifier.to_jaxb_json_hash unless classifier.nil?
      _h['extension'] = extension.to_jaxb_json_hash unless extension.nil?
      return _h
    end

    # the json (string form) for this NexusNGArtifactLink
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this NexusNGArtifactLink with a json hash
    def init_jaxb_json_hash(_o)
      @classifier = String.from_json(_o['classifier']) unless _o['classifier'].nil?
      @extension = String.from_json(_o['extension']) unless _o['extension'].nil?
    end

    # constructs a NexusNGArtifactLink from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Artifact details sent back on search requests.
  class NexusNGArtifact 

    # The group id of the artifact.
    attr_accessor :groupId
    # The artifact id of the artifact.
    attr_accessor :artifactId
    # The version of the artifact.
    attr_accessor :version
    # The latest snapshot version of the artifact.
    attr_accessor :latestSnapshot
    # The repository of latest snapshot version of the artifact.
    attr_accessor :latestSnapshotRepositoryId
    # The latest release version of the artifact.
    attr_accessor :latestRelease
    # The repository of latest release version of the artifact.
    attr_accessor :latestReleaseRepositoryId
    # A HTML highlighted fragment of the matched hit.
    attr_accessor :highlightedFragment
    # Field artifactHits.
    attr_accessor :artifactHits

    # the json hash for this NexusNGArtifact
    def to_jaxb_json_hash
      _h = {}
      _h['groupId'] = groupId.to_jaxb_json_hash unless groupId.nil?
      _h['artifactId'] = artifactId.to_jaxb_json_hash unless artifactId.nil?
      _h['version'] = version.to_jaxb_json_hash unless version.nil?
      _h['latestSnapshot'] = latestSnapshot.to_jaxb_json_hash unless latestSnapshot.nil?
      _h['latestSnapshotRepositoryId'] = latestSnapshotRepositoryId.to_jaxb_json_hash unless latestSnapshotRepositoryId.nil?
      _h['latestRelease'] = latestRelease.to_jaxb_json_hash unless latestRelease.nil?
      _h['latestReleaseRepositoryId'] = latestReleaseRepositoryId.to_jaxb_json_hash unless latestReleaseRepositoryId.nil?
      _h['highlightedFragment'] = highlightedFragment.to_jaxb_json_hash unless highlightedFragment.nil?
      if !artifactHits.nil?
        _ha = Array.new
        artifactHits.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['artifactHits'] = _ha
      end
      return _h
    end

    # the json (string form) for this NexusNGArtifact
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this NexusNGArtifact with a json hash
    def init_jaxb_json_hash(_o)
      @groupId = String.from_json(_o['groupId']) unless _o['groupId'].nil?
      @artifactId = String.from_json(_o['artifactId']) unless _o['artifactId'].nil?
      @version = String.from_json(_o['version']) unless _o['version'].nil?
      @latestSnapshot = String.from_json(_o['latestSnapshot']) unless _o['latestSnapshot'].nil?
      @latestSnapshotRepositoryId = String.from_json(_o['latestSnapshotRepositoryId']) unless _o['latestSnapshotRepositoryId'].nil?
      @latestRelease = String.from_json(_o['latestRelease']) unless _o['latestRelease'].nil?
      @latestReleaseRepositoryId = String.from_json(_o['latestReleaseRepositoryId']) unless _o['latestReleaseRepositoryId'].nil?
      @highlightedFragment = String.from_json(_o['highlightedFragment']) unless _o['highlightedFragment'].nil?
      if !_o['artifactHits'].nil?
        @artifactHits = Array.new
        _oa = _o['artifactHits']
        _oa.each { | _item | @artifactHits.push Org::Sonatype::Nexus::Rest::Model::NexusNGArtifactHit.from_json(_item) }
      end
    end

    # constructs a NexusNGArtifact from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Details about the requested item, that should be useful in
finding how the item was retrieved.
  class ArtifactInfoResource 

    # The flag that marks item as locally present (hosted/cached).
    attr_accessor :presentLocally
    # The repository where the artifact is stored.
    attr_accessor :repositoryId
    # The repository name where the artifact is stored.
    attr_accessor :repositoryName
    # The path in repository where the artifact is stored.
    attr_accessor :repositoryPath
    # The MIME type of the artifact.
    attr_accessor :mimeType
    # User id that uploaded the artifact.
    attr_accessor :uploader
    # When the artifact was uploaded.
    attr_accessor :uploaded
    # When the artifact was changed for the last time.
    attr_accessor :lastChanged
    # Artifact size on disk.
    attr_accessor :size
    # Sha1 Hash.
    attr_accessor :sha1Hash
    # Md5 Hash.
    attr_accessor :md5Hash
    # Field repositories.
    attr_accessor :repositories
    # Informs if current user has what is needed to delete this
artifact.
    attr_accessor :canDelete

    # the json hash for this ArtifactInfoResource
    def to_jaxb_json_hash
      _h = {}
      _h['presentLocally'] = presentLocally.to_jaxb_json_hash unless presentLocally.nil?
      _h['repositoryId'] = repositoryId.to_jaxb_json_hash unless repositoryId.nil?
      _h['repositoryName'] = repositoryName.to_jaxb_json_hash unless repositoryName.nil?
      _h['repositoryPath'] = repositoryPath.to_jaxb_json_hash unless repositoryPath.nil?
      _h['mimeType'] = mimeType.to_jaxb_json_hash unless mimeType.nil?
      _h['uploader'] = uploader.to_jaxb_json_hash unless uploader.nil?
      _h['uploaded'] = uploaded.to_jaxb_json_hash unless uploaded.nil?
      _h['lastChanged'] = lastChanged.to_jaxb_json_hash unless lastChanged.nil?
      _h['size'] = size.to_jaxb_json_hash unless size.nil?
      _h['sha1Hash'] = sha1Hash.to_jaxb_json_hash unless sha1Hash.nil?
      _h['md5Hash'] = md5Hash.to_jaxb_json_hash unless md5Hash.nil?
      if !repositories.nil?
        _ha = Array.new
        repositories.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      _h['canDelete'] = canDelete.to_jaxb_json_hash unless canDelete.nil?
      return _h
    end

    # the json (string form) for this ArtifactInfoResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ArtifactInfoResource with a json hash
    def init_jaxb_json_hash(_o)
      @presentLocally = Boolean.from_json(_o['presentLocally']) unless _o['presentLocally'].nil?
      @repositoryId = String.from_json(_o['repositoryId']) unless _o['repositoryId'].nil?
      @repositoryName = String.from_json(_o['repositoryName']) unless _o['repositoryName'].nil?
      @repositoryPath = String.from_json(_o['repositoryPath']) unless _o['repositoryPath'].nil?
      @mimeType = String.from_json(_o['mimeType']) unless _o['mimeType'].nil?
      @uploader = String.from_json(_o['uploader']) unless _o['uploader'].nil?
      @uploaded = Bignum.from_json(_o['uploaded']) unless _o['uploaded'].nil?
      @lastChanged = Bignum.from_json(_o['lastChanged']) unless _o['lastChanged'].nil?
      @size = Bignum.from_json(_o['size']) unless _o['size'].nil?
      @sha1Hash = String.from_json(_o['sha1Hash']) unless _o['sha1Hash'].nil?
      @md5Hash = String.from_json(_o['md5Hash']) unless _o['md5Hash'].nil?
      if !_o['data'].nil?
        @repositories = Array.new
        _oa = _o['data']
        _oa.each { | _item | @repositories.push Org::Sonatype::Nexus::Rest::Model::RepositoryUrlResource.from_json(_item) }
      end
      @canDelete = Boolean.from_json(_o['canDelete']) unless _o['canDelete'].nil?
    end

    # constructs a ArtifactInfoResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a list of search results, contains the
typical 'data' parameter, which is a
list of search results.
  class SearchResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # The total number of results.
    attr_accessor :totalCount
    # The starting index of the results.
    attr_accessor :from
    # The number of results in this response.
    attr_accessor :count
    # Flag that states if too many results were found.
    attr_accessor :tooManyResults
    # Field data.
    attr_accessor :data

    # the json hash for this SearchResponse
    def to_jaxb_json_hash
      _h = super
      _h['totalCount'] = totalCount.to_jaxb_json_hash unless totalCount.nil?
      _h['from'] = from.to_jaxb_json_hash unless from.nil?
      _h['count'] = count.to_jaxb_json_hash unless count.nil?
      _h['tooManyResults'] = tooManyResults.to_jaxb_json_hash unless tooManyResults.nil?
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this SearchResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @totalCount = Fixnum.from_json(_o['totalCount']) unless _o['totalCount'].nil?
      @from = Fixnum.from_json(_o['from']) unless _o['from'].nil?
      @count = Fixnum.from_json(_o['count']) unless _o['count'].nil?
      @tooManyResults = Boolean.from_json(_o['tooManyResults']) unless _o['tooManyResults'].nil?
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::NexusArtifact.from_json(_item) }
      end
    end

    # constructs a SearchResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a list of search results, contains the
typical 'data' parameter, which is a
list of search results.
  class SearchNGResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # The grand total number of results found on index.
    attr_accessor :totalCount
    # The starting index of the results.
    attr_accessor :from
    # The number of results in this response.
    attr_accessor :count
    # Flag that states if too many results were found.
    attr_accessor :tooManyResults
    # Flag that states if result set is collapsed, and shows
latest versions only.
    attr_accessor :collapsed
    # Field repoDetails.
    attr_accessor :repoDetails
    # Field data.
    attr_accessor :data

    # the json hash for this SearchNGResponse
    def to_jaxb_json_hash
      _h = super
      _h['totalCount'] = totalCount.to_jaxb_json_hash unless totalCount.nil?
      _h['from'] = from.to_jaxb_json_hash unless from.nil?
      _h['count'] = count.to_jaxb_json_hash unless count.nil?
      _h['tooManyResults'] = tooManyResults.to_jaxb_json_hash unless tooManyResults.nil?
      _h['collapsed'] = collapsed.to_jaxb_json_hash unless collapsed.nil?
      if !repoDetails.nil?
        _ha = Array.new
        repoDetails.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['repoDetails'] = _ha
      end
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this SearchNGResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @totalCount = Fixnum.from_json(_o['totalCount']) unless _o['totalCount'].nil?
      @from = Fixnum.from_json(_o['from']) unless _o['from'].nil?
      @count = Fixnum.from_json(_o['count']) unless _o['count'].nil?
      @tooManyResults = Boolean.from_json(_o['tooManyResults']) unless _o['tooManyResults'].nil?
      @collapsed = Boolean.from_json(_o['collapsed']) unless _o['collapsed'].nil?
      if !_o['repoDetails'].nil?
        @repoDetails = Array.new
        _oa = _o['repoDetails']
        _oa.each { | _item | @repoDetails.push Org::Sonatype::Nexus::Rest::Model::NexusNGRepositoryDetail.from_json(_item) }
      end
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::NexusNGArtifact.from_json(_item) }
      end
    end

    # constructs a SearchNGResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a artifact-info resource request,
contains the typical 'data' parameter,
which is the content items requested.
  class ArtifactInfoResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # List of describe items, that will contain useful information
about the retrieved data.
    attr_accessor :data

    # the json hash for this ArtifactInfoResourceResponse
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this ArtifactInfoResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::ArtifactInfoResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a ArtifactInfoResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end
