//
// This code was generated by Enunciate.
// http://enunciate.codehaus.org/
//
#include <time.h>
#include <string.h>
#include <stdlib.h>
#include <libxml/xmlwriter.h>
#include <libxml/xmlreader.h>

#ifndef DEBUG_ENUNCIATE
#define DEBUG_ENUNCIATE 0
#endif

#ifndef ENUNCIATE_C_UTILITIES
#define ENUNCIATE_C_UTILITIES

/**
 * A basic xml node, used when (de)serializing unknown or "any" xml type.
 * We can't use the libxml xmlNodePtr because we can't reliably "free" it.
 */
struct xmlBasicNode {
  /**
   * The (local) name of the node.
   */
  xmlChar *name;

  /**
   * The namespace of the node.
   */
  xmlChar *ns;

  /**
   * The namespace prefix of the node.
   */
  xmlChar *prefix;

  /**
   * The (text) value of the node.
   */
  xmlChar *value;

  /**
   * The child elements of the node.
   */
  struct xmlBasicNode *child_elements;

  /**
   * The attributes of the node.
   */
  struct xmlBasicNode *attributes;

  /**
   * The next sibling (for a list of nodes).
   */
  struct xmlBasicNode *sibling;
};

/*******************xml utilities************************************/

static int xmlTextReaderAdvanceToNextStartOrEndElement(xmlTextReaderPtr reader) {
  int status = xmlTextReaderRead(reader);
  while (status && xmlTextReaderNodeType(reader) != XML_READER_TYPE_ELEMENT && xmlTextReaderNodeType(reader) != XML_READER_TYPE_END_ELEMENT) {
    status = xmlTextReaderRead(reader);
  }
  return status;
}

static int xmlTextReaderSkipElement(xmlTextReaderPtr reader) {
  int status = xmlTextReaderNext(reader);
  while (status && xmlTextReaderNodeType(reader) != XML_READER_TYPE_ELEMENT && xmlTextReaderNodeType(reader) != XML_READER_TYPE_END_ELEMENT) {
    status = xmlTextReaderRead(reader);
  }
  return status;
}

static xmlChar *xmlTextReaderReadEntireNodeValue(xmlTextReaderPtr reader) {
  xmlChar *buffer = calloc(1, sizeof(xmlChar));
  const xmlChar *snippet;
  int status;
  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ATTRIBUTE) {
    return xmlTextReaderValue(reader);
  }
  else if (xmlTextReaderIsEmptyElement(reader) == 0) {
    status = xmlTextReaderRead(reader);
    while (status && (xmlTextReaderNodeType(reader) == XML_READER_TYPE_TEXT || xmlTextReaderNodeType(reader) == XML_READER_TYPE_CDATA || xmlTextReaderNodeType(reader) == XML_READER_TYPE_ENTITY_REFERENCE)) {
      snippet = xmlTextReaderConstValue(reader);
      buffer = realloc(buffer, (xmlStrlen(buffer) + xmlStrlen(snippet) + 1) * sizeof(xmlChar));
      xmlStrcat(buffer, snippet);
      status = xmlTextReaderRead(reader);
    }
  }
  return buffer;
}

/*******************base 64 utilities************************************/

/*
 * Base64 Translation Table as described in RFC1113.
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 */
static const char cb64[]="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";

/*
 * Base64 Translation Table to decode (created by author)
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 */
static const char cd64[]="|$$$}rstuvwxyz{$$$$$$$>?@ABCDEFGHIJKLMNOPQRSTUVW$$$$$$XYZ[\\]^_`abcdefghijklmnopq";

/*
 * encode 3 8-bit binary bytes as 4 '6-bit' characters
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 *
 * @param in the block to encode
 * @param out the block to encode to
 * @param len the length of the 'in' block.
 */
static void _encode_base64_block(unsigned char in[3], unsigned char out[4], int len) {
  out[0] = cb64[ in[0] >> 2 ];
  out[1] = cb64[ ((in[0] & 0x03) << 4) | ((in[1] & 0xf0) >> 4) ];
  out[2] = (unsigned char) (len > 1 ? cb64[ ((in[1] & 0x0f) << 2) | ((in[2] & 0xc0) >> 6) ] : '=');
  out[3] = (unsigned char) (len > 2 ? cb64[ in[2] & 0x3f ] : '=');
}

/*
 * decode 4 '6-bit' characters into 3 8-bit binary bytes
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 */
static void _decode_base64_block( unsigned char in[4], unsigned char out[3] )
{
    out[ 0 ] = (unsigned char ) (in[0] << 2 | in[1] >> 4);
    out[ 1 ] = (unsigned char ) (in[1] << 4 | in[2] >> 2);
    out[ 2 ] = (unsigned char ) (((in[2] << 6) & 0xc0) | in[3]);
}

/*
 * base64 encode a stream adding padding and line breaks as per spec.
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 *
 * @param instream The stream to encode.
 * @param insize The size of the stream to encode.
 * @return The encoded string.
 */
xmlChar *_encode_base64(unsigned char *instream, int insize) {
  unsigned char in[3];
  unsigned char out[4];
  xmlChar *encoded;
  int i, in_index = 0, out_index = 0, blocklen;

  if (insize == 0) {
    return BAD_CAST "\0";
  }

  encoded = calloc(((insize / 3) * 4) + 10, sizeof(xmlChar));
  while (in_index <= insize) {
    blocklen = 0;
    for (i = 0; i < 3; i++) {
      in[i] = instream[in_index++];
      if (in_index <= insize) {
        blocklen++;
      }
      else {
        in[i] = 0;
      }
    }
    if (blocklen) {
      _encode_base64_block(in, out, blocklen);
      for( i = 0; i < 4; i++ ) {
        encoded[out_index++] = out[i];
      }
    }
  }

  return encoded;
}

/*
 * Decode a base64 encoded stream discarding padding, line breaks and noise
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 *
 * @param invalue The string to decode.
 * @param outsize Holder for the length of the returned data.
 * @return The decoded data.
 */
unsigned char *_decode_base64( const xmlChar *invalue, int *outsize ) {
  xmlChar in[4];
  unsigned char out[3], v;
  int i, in_index = 0, out_index = 0, blocklen;
  unsigned char *outstream;

  if (invalue == NULL) {
    return NULL;
  }

  outstream = calloc(((xmlStrlen(invalue) / 4) * 3) + 1, sizeof(unsigned char));
  while (invalue[in_index] != '\0') {
    for (blocklen = 0, i = 0; i < 4 && invalue[in_index]; i++) {
      v = 0;
      while (invalue[in_index] != '\0' && v == 0) {
        v = (unsigned char) invalue[in_index++];
        v = (unsigned char) ((v < 43 || v > 122) ? 0 : cd64[ v - 43 ]);
        if (v) {
          v = (unsigned char) ((v == '$') ? 0 : v - 61);
        }
      }

      if (invalue[in_index] != '\0') {
        blocklen++;
        if (v) {
          in[i] = (unsigned char) (v - 1);
        }
      }
      else {
        in[i] = 0;
      }
    }

    if (blocklen) {
      _decode_base64_block( in, out );
      for( i = 0; i < blocklen - 1; i++ ) {
        outstream[out_index++] = out[i];
      }
    }
  }

  if (outsize != NULL) {
    *outsize = out_index;
  }

  return outstream;
}

#endif /* ENUNCIATE_C_UTILITIES */

#ifndef BASIC_XML_FUNCTIONS_Xs
#define BASIC_XML_FUNCTIONS_Xs

/*******************xs:boolean************************************/

/**
 * Read a boolean value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to 1 if "true" was read. pointer to 0 otherwise.
 */
static int *xmlTextReaderReadXsBooleanType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  int *value = malloc(sizeof(int));
  *value = (xmlStrcmp(BAD_CAST "true", nodeValue) == 0) ? 1 : 0;
  free(nodeValue);
  return value;
}

/**
 * Write a boolean value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsBooleanType(xmlTextWriterPtr writer, int *value) {
  if (*value) {
    return xmlTextWriterWriteString(writer, BAD_CAST "false");
  }
  else {
    return xmlTextWriterWriteString(writer, BAD_CAST "true");
  }
}

/**
 * Frees a boolean type from memory.
 *
 * @param value The value to free.
 */
static void freeXsBooleanType(int *value) {
  //no-op
}

/*******************xs:byte************************************/

/**
 * Read a byte value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the byte.
 */
static unsigned char *xmlTextReaderReadXsByteType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  unsigned char *value = malloc(sizeof(unsigned char));
  *value = (unsigned char) atoi((char *) nodeValue);
  free(nodeValue);
  return value;
}

/**
 * Write a byte value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsByteType(xmlTextWriterPtr writer, unsigned char *value) {
  return xmlTextWriterWriteFormatString(writer, "%i", *value);
}

/**
 * Frees a byte type from memory.
 *
 * @param value The value to free.
 */
static void freeXsByteType(unsigned char *value) {
  //no-op
}

/*******************xs:double************************************/

/**
 * Read a double value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the double.
 */
static double *xmlTextReaderReadXsDoubleType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  double *value = malloc(sizeof(double));
  *value = atof((char *) nodeValue);
  free(nodeValue);
  return value;
}

/**
 * Write a double value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsDoubleType(xmlTextWriterPtr writer, double *value) {
  return xmlTextWriterWriteFormatString(writer, "%f", *value);
}

/**
 * Frees a double type from memory.
 *
 * @param value The value to free.
 */
static void freeXsDoubleType(double *value) {
  //no-op
}

/*******************xs:float************************************/

/**
 * Read a float value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the float.
 */
static float *xmlTextReaderReadXsFloatType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  float *value = malloc(sizeof(float));
  *value = atof((char *)nodeValue);
  free(nodeValue);
  return value;
}

/**
 * Write a float value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsFloatType(xmlTextWriterPtr writer, float *value) {
  return xmlTextWriterWriteFormatString(writer, "%f", *value);
}

/**
 * Frees a float type from memory.
 *
 * @param value The value to free.
 */
static void freeXsFloatType(float *value) {
  //no-op
}

/*******************xs:int************************************/

/**
 * Read a int value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @param value The value to be written.
 * @return pointer to the int.
 */
static int *xmlTextReaderReadXsIntType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  int *value = malloc(sizeof(int));
  *value = atoi((char *)nodeValue);
  free(nodeValue);
  return value;
}

/**
 * Write a int value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsIntType(xmlTextWriterPtr writer, int *value) {
  return xmlTextWriterWriteFormatString(writer, "%i", *value);
}

/**
 * Frees a int type from memory.
 *
 * @param value The value to free.
 */
static void freeXsIntType(int *value) {
  //no-op
}

/*******************xs:long************************************/

/**
 * Read a long value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the long.
 */
static long *xmlTextReaderReadXsLongType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  long *value = malloc(sizeof(long));
  *value = atol((char *)nodeValue);
  free(nodeValue);
  return value;
}

/**
 * Write a long value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsLongType(xmlTextWriterPtr writer, long *value) {
  return xmlTextWriterWriteFormatString(writer, "%ld", *value);
}

/**
 * Frees a long type from memory.
 *
 * @param value The value to free.
 */
static void freeXsLongType(long *value) {
  //no-op
}

/*******************xs:short************************************/

/**
 * Read a short value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the short.
 */
static short *xmlTextReaderReadXsShortType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  short *value = malloc(sizeof(short));
  *value = atoi((char *)nodeValue);
  return value;
}

/**
 * Write a short value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsShortType(xmlTextWriterPtr writer, short *value) {
  return xmlTextWriterWriteFormatString(writer, "%hi", *value);
}

/**
 * Frees a short type from memory.
 *
 * @param value The value to free.
 */
static void freeXsShortType(short *value) {
  //no-op
}

/*******************xs:string************************************/

/**
 * Read a string value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the string.
 */
static xmlChar *xmlTextReaderReadXsStringType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadEntireNodeValue(reader);
}

/**
 * Write a string value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsStringType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a string type from memory.
 *
 * @param value The value to free.
 */
static void freeXsStringType(xmlChar *value) {
  //no-op
}

/*******************xs:ID************************************/

/**
 * Read a ID value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the ID.
 */
static xmlChar *xmlTextReaderReadXsIDType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a ID value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsIDType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a ID type from memory.
 *
 * @param value The value to free.
 */
static void freeXsIDType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:IDREF************************************/

/**
 * Read a IDREF value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the IDREF.
 */
static xmlChar *xmlTextReaderReadXsIDREFType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a IDREF value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsIDREFType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a IDREF type from memory.
 *
 * @param value The value to free.
 */
static void freeXsIDREFType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:integer************************************/

/**
 * Read a (big) integer value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the integer.
 */
static xmlChar *xmlTextReaderReadXsIntegerType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a integer value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsIntegerType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a integer type from memory.
 *
 * @param value The value to free.
 */
static void freeXsIntegerType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:decimal************************************/

/**
 * Read a (big) decimal value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the decimal.
 */
static xmlChar *xmlTextReaderReadXsDecimalType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a decimal value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsDecimalType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a decimal type from memory.
 *
 * @param value The value to free.
 */
static void freeXsDecimalType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:duration************************************/

/**
 * Read a duration value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the duration.
 */
static xmlChar *xmlTextReaderReadXsDurationType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a duration value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsDurationType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a duration type from memory.
 *
 * @param value The value to free.
 */
static void freeXsDurationType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:QName************************************/

/**
 * Read a QName value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the QName.
 */
static xmlChar *xmlTextReaderReadXsQNameType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a QName value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsQNameType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a QName type from memory.
 *
 * @param value The value to free.
 */
static void freeXsQNameType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:anyURI************************************/

/**
 * Read a anyURI value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the anyURI.
 */
static xmlChar *xmlTextReaderReadXsAnyURIType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a anyURI value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsAnyURIType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a anyURI type from memory.
 *
 * @param value The value to free.
 */
static void freeXsAnyURIType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:dateTime************************************/

/**
 * Read a dateTime value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the dateTime.
 */
static struct tm *xmlTextReaderReadXsDateTimeType(xmlTextReaderPtr reader) {
  struct tm * time = calloc(1, sizeof(struct tm));
  xmlChar *timevalue = xmlTextReaderReadEntireNodeValue(reader);
  int success = 0, index = 0, token_index = 0, len = xmlStrlen(timevalue), offset_hours = 0, offset_min = 0;
  char token[len];

  //date time format: yyyy-mm-ddThh:MM:ss+oo:oo
  //go to first '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_year = atoi(token) - 1900;
  if (token_index > 0) {
    success++; //assume 'year' was successfully read.
    index++;
  }

  //go to next '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_mon = atoi(token) - 1;
  if (token_index > 0) {
    success++; //assume 'month' was successfully read.
    index++;
  }

  //go to 'T' character.
  token_index = 0;
  while (index < len && timevalue[index] != 'T') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_mday = atoi(token);
  if (token_index > 0) {
    success++; //assume 'day' was successfully read.
    index++;
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_hour = atoi(token);
  if (token_index > 0) {
    success++; //assume 'hour' was successfully read.
    index++;
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_min = atoi(token);
  if (token_index > 0) {
    success++; //assume 'minutes' was successfully read.
    index++;
  }

  //go to '+' or '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '+' && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_sec = atof(token);
  if (token_index > 0) {
    success++; //assume 'seconds' was successfully read.
    if (timevalue[index] == '+') {
      index++;
    }
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_hours = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset hours was successfully read.
    index++;
  }

  //go to end.
  token_index = 0;
  while (index < len) {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_min = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset minutes was successfully read.
    index++;
  }
  time->tm_gmtoff = ((offset_hours * 60) + offset_min) * 60;

  free(timevalue);
  return time;
}

/**
 * Write a dateTime value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsDateTimeType(xmlTextWriterPtr writer, struct tm *value) {
  return xmlTextWriterWriteFormatString(writer, "%04i-%02i-%02iT%02i:%02i:%02i.000%+03i:%02i", value->tm_year + 1900, value->tm_mon + 1, value->tm_mday, value->tm_hour, value->tm_min, value->tm_sec, (int) (value->tm_gmtoff / 3600), (int) ((value->tm_gmtoff / 60) % 60));
}

/**
 * Frees a dateTime type from memory.
 *
 * @param value The value to free.
 */
static void freeXsDateTimeType(struct tm *value) {
  //no-op
}

/*******************xs:time************************************/

/**
 * Read a time value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the time.
 */
static struct tm *xmlTextReaderReadXsTimeType(xmlTextReaderPtr reader) {
  struct tm * time = calloc(1, sizeof(struct tm));
  xmlChar *timevalue = xmlTextReaderReadEntireNodeValue(reader);
  int success = 0, index = 0, token_index = 0, len = xmlStrlen(timevalue), offset_hours = 0, offset_min = 0;
  char token[len];

  //date time format: hh:MM:ss+oo:oo
  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_hour = atoi(token);
  if (token_index > 0) {
    success++; //assume 'hour' was successfully read.
    index++;
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_min = atoi(token);
  if (token_index > 0) {
    success++; //assume 'minutes' was successfully read.
    index++;
  }

  //go to '+' or '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '+' && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_sec = atof(token);
  if (token_index > 0) {
    success++; //assume 'seconds' was successfully read.
    if (timevalue[index] == '+') {
      index++;
    }
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_hours = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset hours was successfully read.
    index++;
  }

  //go to end.
  token_index = 0;
  while (index < len) {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_min = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset minutes was successfully read.
    index++;
  }
  time->tm_gmtoff = ((offset_hours * 60) + offset_min) * 60;

  free(timevalue);
  return time;
}

/**
 * Write a time value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsTimeType(xmlTextWriterPtr writer, struct tm *value) {
  return xmlTextWriterWriteFormatString(writer, "%02i:%02i:%02i.000%+03i:%02i", value->tm_hour, value->tm_min, value->tm_sec, (int) (value->tm_gmtoff / 3600), (int) ((value->tm_gmtoff / 60) % 60));
}

/**
 * Frees a time type from memory.
 *
 * @param value The value to free.
 */
static void freeXsTimeType(struct tm *value) {
  //no-op
}

/*******************xs:date************************************/

/**
 * Read a date value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the date.
 */
static struct tm *xmlTextReaderReadXsDateType(xmlTextReaderPtr reader) {
  struct tm * time = calloc(1, sizeof(struct tm));
  xmlChar *timevalue = xmlTextReaderReadEntireNodeValue(reader);
  int success = 0, index = 0, token_index = 0, len = xmlStrlen(timevalue), offset_hours = 0, offset_min = 0;
  char token[len];

  //date time format: yyyy-mm-dd+oo:oo
  //go to first '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_year = atoi(token) - 1900;
  if (token_index > 0) {
    success++; //assume 'year' was successfully read.
    index++;
  }

  //go to next '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_mon = atoi(token) - 1;
  if (token_index > 0) {
    success++; //assume 'month' was successfully read.
    index++;
  }

  //go to '+' or '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '+' && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_sec = atof(token);
  if (token_index > 0) {
    success++; //assume 'seconds' was successfully read.
    if (timevalue[index] == '+') {
      index++;
    }
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_hours = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset hours was successfully read.
    index++;
  }

  //go to end.
  token_index = 0;
  while (index < len) {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_min = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset minutes was successfully read.
    index++;
  }
  time->tm_gmtoff = ((offset_hours * 60) + offset_min) * 60;

  free(timevalue);
  return time;
}

/**
 * Write a date value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsDateType(xmlTextWriterPtr writer, struct tm *value) {
  return xmlTextWriterWriteFormatString(writer, "%04i-%02i-%02i%+03i:%02i", value->tm_year + 1900, value->tm_mon + 1, value->tm_mday, (int) (value->tm_gmtoff / 3600), (int) ((value->tm_gmtoff / 60) % 60));
}

/**
 * Frees a date type from memory.
 *
 * @param value The value to free.
 */
static void freeXsDateType(struct tm *value) {
  //no-op
}

/*******************xs:anyType************************************/

/**
 * Frees a anyType type from memory.
 *
 * @param node The node to free.
 */
static void freeXsAnyTypeType(struct xmlBasicNode *node) {
  if (node->attributes != NULL) {
    freeXsAnyTypeType(node->attributes);
  }
  if (node->value != NULL) {
    free(node->value);
  }
  if (node->child_elements != NULL) {
    freeXsAnyTypeType(node->child_elements);
  }
  if (node->name != NULL) {
    free(node->name);
  }
  if (node->prefix != NULL) {
    free(node->prefix);
  }
  if (node->ns != NULL) {
    free(node->ns);
  }
  if (node->sibling != NULL) {
    freeXsAnyTypeType(node->sibling);
    free(node->sibling);
  }
}

/**
 * Read a anyType value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the anyType., or NULL if error.
 */
static struct xmlBasicNode *xmlTextReaderReadXsAnyTypeType(xmlTextReaderPtr reader) {
  struct xmlBasicNode *child, *next, *node = calloc(1, sizeof(struct xmlBasicNode));
  int status, depth = xmlTextReaderDepth(reader);
  const xmlChar *text;

  node->name = xmlTextReaderLocalName(reader);
  node->ns = xmlTextReaderNamespaceUri(reader);
  node->prefix = xmlTextReaderPrefix(reader);

  if (xmlTextReaderHasAttributes(reader)) {
    child = NULL;
    while (xmlTextReaderMoveToNextAttribute(reader)) {
      next = calloc(1, sizeof(struct xmlBasicNode));
      if (child == NULL) {
        node->attributes = next;
      }
      else {
        child->sibling = next;
      }
      child = next;
      child->name = xmlTextReaderLocalName(reader);
      child->ns = xmlTextReaderNamespaceUri(reader);
      child->prefix = xmlTextReaderPrefix(reader);
      child->value = xmlTextReaderValue(reader);
    }

    status = xmlTextReaderMoveToElement(reader);
    if (status < 1) {
      //panic: unable to return to the element node.
      freeXsAnyTypeType(node);
      free(node);
      return NULL;
    }
  }

  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    status = xmlTextReaderRead(reader);
    while (status == 1 && xmlTextReaderDepth(reader) > depth) {
      switch (xmlTextReaderNodeType(reader)) {
        case XML_READER_TYPE_ELEMENT:
          child = xmlTextReaderReadXsAnyTypeType(reader);
          if (child == NULL) {
            //panic: xml read error
            freeXsAnyTypeType(node);
            free(node);
            return NULL;
          }

          next = node->child_elements;
          if (next == NULL) {
            node->child_elements = child;
          }
          else {
            while (1) {
              if (next->sibling == NULL) {
                next->sibling = child;
                break;
              }
              next = next->sibling;
            }
          }

          break;
        case XML_READER_TYPE_TEXT:
        case XML_READER_TYPE_CDATA:
          text = xmlTextReaderConstValue(reader);
          node->value = xmlStrncat(node->value, text, xmlStrlen(text));
          break;
        default:
          //skip anything else.
          break;
      }

      status = xmlTextReaderRead(reader);
    }

    if (status < 1) {
      //panic: xml read error
      freeXsAnyTypeType(node);
      free(node);
      return NULL;
    }
  }

  return node;
}

/**
 * Write a anyType value to the writer.
 *
 * @param writer The writer.
 * @param node The node to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsAnyTypeType(xmlTextWriterPtr writer, struct xmlBasicNode *node) {
  int status;
  int totalBytes = 0;
  struct xmlBasicNode *next;

  status = xmlTextWriterStartElementNS(writer, node->prefix, node->name, node->ns);
  if (status < 0) {
    return status;
  }
  totalBytes += status;

  next = node->attributes;
  while (next != NULL) {
    status = xmlTextWriterWriteAttributeNS(writer, next->prefix, next->name, next->ns, next->value);
    if (status < 0) {
      return status;
    }
    totalBytes += status;
    next = next->sibling;
  }

  if (node->value != NULL) {
    status = xmlTextWriterWriteString(writer, node->value);
    if (status < 0) {
      //panic: xml write error
      return status;
    }
    totalBytes += status;
  }

  next = node->child_elements;
  while (next != NULL) {
    status = xmlTextWriterWriteXsAnyTypeType(writer, next);
    if (status < 0) {
      return status;
    }
    totalBytes += status;
    next = next->sibling;
  }

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Read a anyType element value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the anyType., or NULL if error.
 */
static struct xmlBasicNode *xmlTextReaderReadXsAnyTypeElement(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsAnyTypeType(reader);
}

/**
 * Write a anyType element value to the writer.
 *
 * @param writer The writer.
 * @param node The node to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsAnyTypeElement(xmlTextWriterPtr writer, struct xmlBasicNode *node) {
  return xmlTextWriterWriteXsAnyTypeType(writer, node);
}

/**
 * Write a anyType element value to the writer.
 *
 * @param writer The writer.
 * @param node The node to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsAnyTypeElementNS(xmlTextWriterPtr writer, struct xmlBasicNode *node, int writeNamespaces) {
  return xmlTextWriterWriteXsAnyTypeType(writer, node);
}

/**
 * Free a anyType element value.
 *
 * @param node The node.
 */
static void freeXsAnyTypeElement(struct xmlBasicNode *node) {
  freeXsAnyTypeType(node);
}

/*******************xs:anySimpleType************************************/

/**
 * Frees a anyType type from memory.
 *
 * @param node The node to free.
 */
static void freeXsAnySimpleTypeType(struct xmlBasicNode *node) {
  freeXsAnyTypeType(node);
}

/**
 * Read a anyType value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the anyType., or NULL if error.
 */
static struct xmlBasicNode *xmlTextReaderReadXsAnySimpleTypeType(xmlTextReaderPtr reader) {
  struct xmlBasicNode *node = calloc(1, sizeof(struct xmlBasicNode));

  node->name = xmlTextReaderLocalName(reader);
  node->ns = xmlTextReaderNamespaceUri(reader);
  node->prefix = xmlTextReaderPrefix(reader);
  node->value = xmlTextReaderReadEntireNodeValue(reader);

  return node;
}

/**
 * Write a anyType value to the writer.
 *
 * @param writer The writer.
 * @param node The node to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsAnySimpleTypeType(xmlTextWriterPtr writer, struct xmlBasicNode *node) {
  if (node->value != NULL) {
    return xmlTextWriterWriteXsStringType(writer, node->value);
  }

  return 0;
}

#endif /* BASIC_XML_FUNCTIONS_Xs */

#ifndef DEF_security_rest_api_ns0_authenticationClientPermissions_H
#define DEF_security_rest_api_ns0_authenticationClientPermissions_H

/**
 *  Login details info.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_authenticationClientPermissions {


  /**
   * Flags if a user is logged in.
   */
  int loggedIn;

  /**
   * The logged in user's id.
   */
  xmlChar *loggedInUsername;

  /**
   * The logged in user's source.
   */
  xmlChar *loggedInUserSource;

  /**
   * Field permissions.
   */
  struct security_rest_api_ns0_clientPermission *permissions;

  /**
   * Size of the permissions array.
   */
  int _sizeof_permissions;
};

/**
 * Reads a AuthenticationClientPermissions from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The AuthenticationClientPermissions, or NULL in case of error.
 */
static struct security_rest_api_ns0_authenticationClientPermissions *xmlTextReaderReadNs0AuthenticationClientPermissionsType(xmlTextReaderPtr reader);

/**
 * Writes a AuthenticationClientPermissions to XML.
 *
 * @param writer The XML writer.
 * @param _authenticationClientPermissions The AuthenticationClientPermissions to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0AuthenticationClientPermissionsType(xmlTextWriterPtr writer, struct security_rest_api_ns0_authenticationClientPermissions *_authenticationClientPermissions);

/**
 * Frees the elements of a AuthenticationClientPermissions.
 *
 * @param _authenticationClientPermissions The AuthenticationClientPermissions to free.
 */
static void freeNs0AuthenticationClientPermissionsType(struct security_rest_api_ns0_authenticationClientPermissions *_authenticationClientPermissions);

#endif /* DEF_security_rest_api_ns0_authenticationClientPermissions_H */
#ifndef DEF_security_rest_api_ns0_authenticationLoginResource_H
#define DEF_security_rest_api_ns0_authenticationLoginResource_H

/**
 *  Wrapper around login details.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_authenticationLoginResource {


  /**
   * Login details info.
   */
  struct security_rest_api_ns0_authenticationClientPermissions *clientPermissions;
};

/**
 * Reads a AuthenticationLoginResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The AuthenticationLoginResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_authenticationLoginResource *xmlTextReaderReadNs0AuthenticationLoginResourceType(xmlTextReaderPtr reader);

/**
 * Writes a AuthenticationLoginResource to XML.
 *
 * @param writer The XML writer.
 * @param _authenticationLoginResource The AuthenticationLoginResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0AuthenticationLoginResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_authenticationLoginResource *_authenticationLoginResource);

/**
 * Frees the elements of a AuthenticationLoginResource.
 *
 * @param _authenticationLoginResource The AuthenticationLoginResource to free.
 */
static void freeNs0AuthenticationLoginResourceType(struct security_rest_api_ns0_authenticationLoginResource *_authenticationLoginResource);

#endif /* DEF_security_rest_api_ns0_authenticationLoginResource_H */
#ifndef DEF_security_rest_api_ns0_authenticationLoginResourceResponse_H
#define DEF_security_rest_api_ns0_authenticationLoginResourceResponse_H

/**
 *  REST Response object to list the privileges a users has.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_authenticationLoginResourceResponse {


  /**
   * Login details.
   */
  struct security_rest_api_ns0_authenticationLoginResource *data;
};

/**
 * Reads a AuthenticationLoginResourceResponse element from XML. The element to be read is "authentication-login", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The AuthenticationLoginResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_authenticationLoginResourceResponse *xml_read_security_rest_api_ns0_authenticationLoginResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a AuthenticationLoginResourceResponse to XML under element name "authentication-login".
 *
 * @param writer The XML writer.
 * @param _authenticationLoginResourceResponse The AuthenticationLoginResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_authenticationLoginResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse);

/**
 * Frees a AuthenticationLoginResourceResponse.
 *
 * @param _authenticationLoginResourceResponse The AuthenticationLoginResourceResponse to free.
 */
void free_security_rest_api_ns0_authenticationLoginResourceResponse(struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse);

/**
 * Reads a AuthenticationLoginResourceResponse element from XML. The element to be read is "authentication-login", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The AuthenticationLoginResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_authenticationLoginResourceResponse *xmlTextReaderReadNs0Authentication_loginElement(xmlTextReaderPtr reader);

/**
 * Writes a AuthenticationLoginResourceResponse to XML under element name "authentication-login".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _authenticationLoginResourceResponse The AuthenticationLoginResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Authentication_loginElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse);

/**
 * Writes a AuthenticationLoginResourceResponse to XML under element name "authentication-login".
 *
 * @param writer The XML writer.
 * @param _authenticationLoginResourceResponse The AuthenticationLoginResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Authentication_loginElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse, int writeNamespaces);

/**
 * Frees the children of a AuthenticationLoginResourceResponse.
 *
 * @param _authenticationLoginResourceResponse The AuthenticationLoginResourceResponse whose children are to be free.
 */
static void freeNs0Authentication_loginElement(struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse);

/**
 * Reads a AuthenticationLoginResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The AuthenticationLoginResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_authenticationLoginResourceResponse *xmlTextReaderReadNs0AuthenticationLoginResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a AuthenticationLoginResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _authenticationLoginResourceResponse The AuthenticationLoginResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0AuthenticationLoginResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse);

/**
 * Frees the elements of a AuthenticationLoginResourceResponse.
 *
 * @param _authenticationLoginResourceResponse The AuthenticationLoginResourceResponse to free.
 */
static void freeNs0AuthenticationLoginResourceResponseType(struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse);

#endif /* DEF_security_rest_api_ns0_authenticationLoginResourceResponse_H */
#ifndef DEF_security_rest_api_ns0_clientPermission_H
#define DEF_security_rest_api_ns0_clientPermission_H

/**
 *  Permission details.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_clientPermission {


  /**
   * Id of the permission.
   */
  xmlChar *id;

  /**
   * Privilege value: NONE = 0, READ = 1, UPDATE = 2, DELETE = 4,
CREATE = 8, or you can OR them together.
   */
  int value;
};

/**
 * Reads a ClientPermission from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ClientPermission, or NULL in case of error.
 */
static struct security_rest_api_ns0_clientPermission *xmlTextReaderReadNs0ClientPermissionType(xmlTextReaderPtr reader);

/**
 * Writes a ClientPermission to XML.
 *
 * @param writer The XML writer.
 * @param _clientPermission The ClientPermission to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ClientPermissionType(xmlTextWriterPtr writer, struct security_rest_api_ns0_clientPermission *_clientPermission);

/**
 * Frees the elements of a ClientPermission.
 *
 * @param _clientPermission The ClientPermission to free.
 */
static void freeNs0ClientPermissionType(struct security_rest_api_ns0_clientPermission *_clientPermission);

#endif /* DEF_security_rest_api_ns0_clientPermission_H */
#ifndef DEF_security_rest_api_ns0_mapping_H
#define DEF_security_rest_api_ns0_mapping_H

/**
 *  A role mapping maps roles of one security realm to the default
 one.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_mapping {


  /**
   * The systems's role.
   */
  struct security_rest_api_ns0_plexus_role *defaultRole;

  /**
   * Field mappedRoles.
   */
  struct security_rest_api_ns0_plexus_role *mappedRoles;

  /**
   * Size of the mappedRoles array.
   */
  int _sizeof_mappedRoles;
};

/**
 * Reads a ExternalRoleMappingResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ExternalRoleMappingResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_mapping *xmlTextReaderReadNs0MappingType(xmlTextReaderPtr reader);

/**
 * Writes a ExternalRoleMappingResource to XML.
 *
 * @param writer The XML writer.
 * @param _externalRoleMappingResource The ExternalRoleMappingResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0MappingType(xmlTextWriterPtr writer, struct security_rest_api_ns0_mapping *_externalRoleMappingResource);

/**
 * Frees the elements of a ExternalRoleMappingResource.
 *
 * @param _externalRoleMappingResource The ExternalRoleMappingResource to free.
 */
static void freeNs0MappingType(struct security_rest_api_ns0_mapping *_externalRoleMappingResource);

#endif /* DEF_security_rest_api_ns0_mapping_H */
#ifndef DEF_security_rest_api_ns0_externalRoleMappingResourceResponse_H
#define DEF_security_rest_api_ns0_externalRoleMappingResourceResponse_H

/**
 *  REST Response object to list role mappings.  A role mapping maps
 roles of one security realm to the default one.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_externalRoleMappingResourceResponse {


  /**
   * Field data.
   */
  struct security_rest_api_ns0_mapping *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a ExternalRoleMappingResourceResponse element from XML. The element to be read is "external-role-mapping", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ExternalRoleMappingResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_externalRoleMappingResourceResponse *xml_read_security_rest_api_ns0_externalRoleMappingResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a ExternalRoleMappingResourceResponse to XML under element name "external-role-mapping".
 *
 * @param writer The XML writer.
 * @param _externalRoleMappingResourceResponse The ExternalRoleMappingResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_externalRoleMappingResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse);

/**
 * Frees a ExternalRoleMappingResourceResponse.
 *
 * @param _externalRoleMappingResourceResponse The ExternalRoleMappingResourceResponse to free.
 */
void free_security_rest_api_ns0_externalRoleMappingResourceResponse(struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse);

/**
 * Reads a ExternalRoleMappingResourceResponse element from XML. The element to be read is "external-role-mapping", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The ExternalRoleMappingResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_externalRoleMappingResourceResponse *xmlTextReaderReadNs0External_role_mappingElement(xmlTextReaderPtr reader);

/**
 * Writes a ExternalRoleMappingResourceResponse to XML under element name "external-role-mapping".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _externalRoleMappingResourceResponse The ExternalRoleMappingResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0External_role_mappingElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse);

/**
 * Writes a ExternalRoleMappingResourceResponse to XML under element name "external-role-mapping".
 *
 * @param writer The XML writer.
 * @param _externalRoleMappingResourceResponse The ExternalRoleMappingResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0External_role_mappingElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse, int writeNamespaces);

/**
 * Frees the children of a ExternalRoleMappingResourceResponse.
 *
 * @param _externalRoleMappingResourceResponse The ExternalRoleMappingResourceResponse whose children are to be free.
 */
static void freeNs0External_role_mappingElement(struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse);

/**
 * Reads a ExternalRoleMappingResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ExternalRoleMappingResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_externalRoleMappingResourceResponse *xmlTextReaderReadNs0ExternalRoleMappingResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a ExternalRoleMappingResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _externalRoleMappingResourceResponse The ExternalRoleMappingResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ExternalRoleMappingResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse);

/**
 * Frees the elements of a ExternalRoleMappingResourceResponse.
 *
 * @param _externalRoleMappingResourceResponse The ExternalRoleMappingResourceResponse to free.
 */
static void freeNs0ExternalRoleMappingResourceResponseType(struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse);

#endif /* DEF_security_rest_api_ns0_externalRoleMappingResourceResponse_H */
#ifndef DEF_security_rest_api_ns0_component_H
#define DEF_security_rest_api_ns0_component_H

/**
 *  Details of a component used by the system.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_component {


  /**
   * The hint of the component.
   */
  xmlChar *roleHint;

  /**
   * The description of the component.
   */
  xmlChar *description;
};

/**
 * Reads a PlexusComponentListResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PlexusComponentListResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_component *xmlTextReaderReadNs0ComponentType(xmlTextReaderPtr reader);

/**
 * Writes a PlexusComponentListResource to XML.
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResource The PlexusComponentListResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ComponentType(xmlTextWriterPtr writer, struct security_rest_api_ns0_component *_plexusComponentListResource);

/**
 * Frees the elements of a PlexusComponentListResource.
 *
 * @param _plexusComponentListResource The PlexusComponentListResource to free.
 */
static void freeNs0ComponentType(struct security_rest_api_ns0_component *_plexusComponentListResource);

#endif /* DEF_security_rest_api_ns0_component_H */
#ifndef DEF_security_rest_api_ns0_plexusComponentListResourceResponse_H
#define DEF_security_rest_api_ns0_plexusComponentListResourceResponse_H

/**
 *  REST Response object to list components.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_plexusComponentListResourceResponse {


  /**
   * Field data.
   */
  struct security_rest_api_ns0_component *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a PlexusComponentListResourceResponse element from XML. The element to be read is "sec-components-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PlexusComponentListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusComponentListResourceResponse *xml_read_security_rest_api_ns0_plexusComponentListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a PlexusComponentListResourceResponse to XML under element name "sec-components-list".
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_plexusComponentListResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse);

/**
 * Frees a PlexusComponentListResourceResponse.
 *
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to free.
 */
void free_security_rest_api_ns0_plexusComponentListResourceResponse(struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse);

/**
 * Reads a PlexusComponentListResourceResponse element from XML. The element to be read is "sec-components-list", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The PlexusComponentListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusComponentListResourceResponse *xmlTextReaderReadNs0Sec_components_listElement(xmlTextReaderPtr reader);

/**
 * Writes a PlexusComponentListResourceResponse to XML under element name "sec-components-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Sec_components_listElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse);

/**
 * Writes a PlexusComponentListResourceResponse to XML under element name "sec-components-list".
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Sec_components_listElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a PlexusComponentListResourceResponse.
 *
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse whose children are to be free.
 */
static void freeNs0Sec_components_listElement(struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse);

/**
 * Reads a PlexusComponentListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PlexusComponentListResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexusComponentListResourceResponse *xmlTextReaderReadNs0PlexusComponentListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a PlexusComponentListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PlexusComponentListResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse);

/**
 * Frees the elements of a PlexusComponentListResourceResponse.
 *
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to free.
 */
static void freeNs0PlexusComponentListResourceResponseType(struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse);

#endif /* DEF_security_rest_api_ns0_plexusComponentListResourceResponse_H */
#ifndef DEF_security_rest_api_ns0_plexusRoleListResourceResponse_H
#define DEF_security_rest_api_ns0_plexusRoleListResourceResponse_H

/**
 *  REST Response object that lists roles.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_plexusRoleListResourceResponse {


  /**
   * Field data.
   */
  struct security_rest_api_ns0_plexus_role *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a PlexusRoleListResourceResponse element from XML. The element to be read is "plexus-roles", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PlexusRoleListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusRoleListResourceResponse *xml_read_security_rest_api_ns0_plexusRoleListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a PlexusRoleListResourceResponse to XML under element name "plexus-roles".
 *
 * @param writer The XML writer.
 * @param _plexusRoleListResourceResponse The PlexusRoleListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_plexusRoleListResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse);

/**
 * Frees a PlexusRoleListResourceResponse.
 *
 * @param _plexusRoleListResourceResponse The PlexusRoleListResourceResponse to free.
 */
void free_security_rest_api_ns0_plexusRoleListResourceResponse(struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse);

/**
 * Reads a PlexusRoleListResourceResponse element from XML. The element to be read is "plexus-roles", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The PlexusRoleListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusRoleListResourceResponse *xmlTextReaderReadNs0Plexus_rolesElement(xmlTextReaderPtr reader);

/**
 * Writes a PlexusRoleListResourceResponse to XML under element name "plexus-roles".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _plexusRoleListResourceResponse The PlexusRoleListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Plexus_rolesElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse);

/**
 * Writes a PlexusRoleListResourceResponse to XML under element name "plexus-roles".
 *
 * @param writer The XML writer.
 * @param _plexusRoleListResourceResponse The PlexusRoleListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Plexus_rolesElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a PlexusRoleListResourceResponse.
 *
 * @param _plexusRoleListResourceResponse The PlexusRoleListResourceResponse whose children are to be free.
 */
static void freeNs0Plexus_rolesElement(struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse);

/**
 * Reads a PlexusRoleListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PlexusRoleListResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexusRoleListResourceResponse *xmlTextReaderReadNs0PlexusRoleListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a PlexusRoleListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _plexusRoleListResourceResponse The PlexusRoleListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PlexusRoleListResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse);

/**
 * Frees the elements of a PlexusRoleListResourceResponse.
 *
 * @param _plexusRoleListResourceResponse The PlexusRoleListResourceResponse to free.
 */
static void freeNs0PlexusRoleListResourceResponseType(struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse);

#endif /* DEF_security_rest_api_ns0_plexusRoleListResourceResponse_H */
#ifndef DEF_security_rest_api_ns0_plexus_role_H
#define DEF_security_rest_api_ns0_plexus_role_H

/**
 *  Details of a security role.  A roles uniqueness is made up of an
 id and a source (where the role came from).
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_plexus_role {


  /**
   * The id of the role.
   */
  xmlChar *roleId;

  /**
   * Field name.
   */
  xmlChar *name;

  /**
   * The source id of the role.  Defines what source the role
came from.
   */
  xmlChar *source;
};

/**
 * Reads a PlexusRoleResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PlexusRoleResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexus_role *xmlTextReaderReadNs0Plexus_roleType(xmlTextReaderPtr reader);

/**
 * Writes a PlexusRoleResource to XML.
 *
 * @param writer The XML writer.
 * @param _plexusRoleResource The PlexusRoleResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Plexus_roleType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexus_role *_plexusRoleResource);

/**
 * Frees the elements of a PlexusRoleResource.
 *
 * @param _plexusRoleResource The PlexusRoleResource to free.
 */
static void freeNs0Plexus_roleType(struct security_rest_api_ns0_plexus_role *_plexusRoleResource);

#endif /* DEF_security_rest_api_ns0_plexus_role_H */
#ifndef DEF_security_rest_api_ns0_plexusUserListResourceResponse_H
#define DEF_security_rest_api_ns0_plexusUserListResourceResponse_H

/**
 *  REST Response object that lists users.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_plexusUserListResourceResponse {


  /**
   * Field data.
   */
  struct security_rest_api_ns0_plexusUserResource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a PlexusUserListResourceResponse element from XML. The element to be read is "plexus-user-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PlexusUserListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusUserListResourceResponse *xml_read_security_rest_api_ns0_plexusUserListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a PlexusUserListResourceResponse to XML under element name "plexus-user-list".
 *
 * @param writer The XML writer.
 * @param _plexusUserListResourceResponse The PlexusUserListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_plexusUserListResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse);

/**
 * Frees a PlexusUserListResourceResponse.
 *
 * @param _plexusUserListResourceResponse The PlexusUserListResourceResponse to free.
 */
void free_security_rest_api_ns0_plexusUserListResourceResponse(struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse);

/**
 * Reads a PlexusUserListResourceResponse element from XML. The element to be read is "plexus-user-list", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The PlexusUserListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusUserListResourceResponse *xmlTextReaderReadNs0Plexus_user_listElement(xmlTextReaderPtr reader);

/**
 * Writes a PlexusUserListResourceResponse to XML under element name "plexus-user-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _plexusUserListResourceResponse The PlexusUserListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Plexus_user_listElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse);

/**
 * Writes a PlexusUserListResourceResponse to XML under element name "plexus-user-list".
 *
 * @param writer The XML writer.
 * @param _plexusUserListResourceResponse The PlexusUserListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Plexus_user_listElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a PlexusUserListResourceResponse.
 *
 * @param _plexusUserListResourceResponse The PlexusUserListResourceResponse whose children are to be free.
 */
static void freeNs0Plexus_user_listElement(struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse);

/**
 * Reads a PlexusUserListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PlexusUserListResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexusUserListResourceResponse *xmlTextReaderReadNs0PlexusUserListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a PlexusUserListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _plexusUserListResourceResponse The PlexusUserListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PlexusUserListResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse);

/**
 * Frees the elements of a PlexusUserListResourceResponse.
 *
 * @param _plexusUserListResourceResponse The PlexusUserListResourceResponse to free.
 */
static void freeNs0PlexusUserListResourceResponseType(struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse);

#endif /* DEF_security_rest_api_ns0_plexusUserListResourceResponse_H */
#ifndef DEF_security_rest_api_ns0_plexusUserResource_H
#define DEF_security_rest_api_ns0_plexusUserResource_H

/**
 *  User's details.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_plexusUserResource {


  /**
   * The id of the user.
   */
  xmlChar *userId;

  /**
   * The source of the role, i.e. what realm the user belongs to.
   */
  xmlChar *source;

  /**
   * The common name of the user.
   */
  xmlChar *name;

  /**
   * The email address of the user.
   */
  xmlChar *email;

  /**
   * Field roles.
   */
  struct security_rest_api_ns0_plexus_role *roles;

  /**
   * Size of the roles array.
   */
  int _sizeof_roles;
};

/**
 * Reads a PlexusUserResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PlexusUserResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexusUserResource *xmlTextReaderReadNs0PlexusUserResourceType(xmlTextReaderPtr reader);

/**
 * Writes a PlexusUserResource to XML.
 *
 * @param writer The XML writer.
 * @param _plexusUserResource The PlexusUserResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PlexusUserResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserResource *_plexusUserResource);

/**
 * Frees the elements of a PlexusUserResource.
 *
 * @param _plexusUserResource The PlexusUserResource to free.
 */
static void freeNs0PlexusUserResourceType(struct security_rest_api_ns0_plexusUserResource *_plexusUserResource);

#endif /* DEF_security_rest_api_ns0_plexusUserResource_H */
#ifndef DEF_security_rest_api_ns0_plexusUserResourceResponse_H
#define DEF_security_rest_api_ns0_plexusUserResourceResponse_H

/**
 *  REST response object containing a user.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_plexusUserResourceResponse {


  /**
   * User's details.
   */
  struct security_rest_api_ns0_plexusUserResource *data;
};

/**
 * Reads a PlexusUserResourceResponse element from XML. The element to be read is "plexus-user", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PlexusUserResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusUserResourceResponse *xml_read_security_rest_api_ns0_plexusUserResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a PlexusUserResourceResponse to XML under element name "plexus-user".
 *
 * @param writer The XML writer.
 * @param _plexusUserResourceResponse The PlexusUserResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_plexusUserResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse);

/**
 * Frees a PlexusUserResourceResponse.
 *
 * @param _plexusUserResourceResponse The PlexusUserResourceResponse to free.
 */
void free_security_rest_api_ns0_plexusUserResourceResponse(struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse);

/**
 * Reads a PlexusUserResourceResponse element from XML. The element to be read is "plexus-user", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The PlexusUserResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusUserResourceResponse *xmlTextReaderReadNs0Plexus_userElement(xmlTextReaderPtr reader);

/**
 * Writes a PlexusUserResourceResponse to XML under element name "plexus-user".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _plexusUserResourceResponse The PlexusUserResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Plexus_userElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse);

/**
 * Writes a PlexusUserResourceResponse to XML under element name "plexus-user".
 *
 * @param writer The XML writer.
 * @param _plexusUserResourceResponse The PlexusUserResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Plexus_userElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse, int writeNamespaces);

/**
 * Frees the children of a PlexusUserResourceResponse.
 *
 * @param _plexusUserResourceResponse The PlexusUserResourceResponse whose children are to be free.
 */
static void freeNs0Plexus_userElement(struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse);

/**
 * Reads a PlexusUserResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PlexusUserResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexusUserResourceResponse *xmlTextReaderReadNs0PlexusUserResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a PlexusUserResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _plexusUserResourceResponse The PlexusUserResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PlexusUserResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse);

/**
 * Frees the elements of a PlexusUserResourceResponse.
 *
 * @param _plexusUserResourceResponse The PlexusUserResourceResponse to free.
 */
static void freeNs0PlexusUserResourceResponseType(struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse);

#endif /* DEF_security_rest_api_ns0_plexusUserResourceResponse_H */
#ifndef DEF_security_rest_api_ns0_plexusUserSearchCriteriaResource_H
#define DEF_security_rest_api_ns0_plexusUserSearchCriteriaResource_H

/**
 *  User search criteria details.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_plexusUserSearchCriteriaResource {


  /**
   * Partial user Id to search for.  Uses 'starts with' search.
So 'jcod' will match 'jcoder' but not 'cjcoder'.
   */
  xmlChar *userId;

  /**
   * An effective user is one that can login to the system.
   */
  int effectiveUsers;
};

/**
 * Reads a PlexusUserSearchCriteriaResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PlexusUserSearchCriteriaResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexusUserSearchCriteriaResource *xmlTextReaderReadNs0PlexusUserSearchCriteriaResourceType(xmlTextReaderPtr reader);

/**
 * Writes a PlexusUserSearchCriteriaResource to XML.
 *
 * @param writer The XML writer.
 * @param _plexusUserSearchCriteriaResource The PlexusUserSearchCriteriaResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PlexusUserSearchCriteriaResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserSearchCriteriaResource *_plexusUserSearchCriteriaResource);

/**
 * Frees the elements of a PlexusUserSearchCriteriaResource.
 *
 * @param _plexusUserSearchCriteriaResource The PlexusUserSearchCriteriaResource to free.
 */
static void freeNs0PlexusUserSearchCriteriaResourceType(struct security_rest_api_ns0_plexusUserSearchCriteriaResource *_plexusUserSearchCriteriaResource);

#endif /* DEF_security_rest_api_ns0_plexusUserSearchCriteriaResource_H */
#ifndef DEF_security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest_H
#define DEF_security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest_H

/**
 *  REST Request object to search for users based on criteria.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest {


  /**
   * Search criteria.
   */
  struct security_rest_api_ns0_plexusUserSearchCriteriaResource *data;
};

/**
 * Reads a PlexusUserSearchCriteriaResourceRequest element from XML. The element to be read is "user-search", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PlexusUserSearchCriteriaResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *xml_read_security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest(xmlTextReaderPtr reader);

/**
 * Writes a PlexusUserSearchCriteriaResourceRequest to XML under element name "user-search".
 *
 * @param writer The XML writer.
 * @param _plexusUserSearchCriteriaResourceRequest The PlexusUserSearchCriteriaResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest);

/**
 * Frees a PlexusUserSearchCriteriaResourceRequest.
 *
 * @param _plexusUserSearchCriteriaResourceRequest The PlexusUserSearchCriteriaResourceRequest to free.
 */
void free_security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest(struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest);

/**
 * Reads a PlexusUserSearchCriteriaResourceRequest element from XML. The element to be read is "user-search", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The PlexusUserSearchCriteriaResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *xmlTextReaderReadNs0User_searchElement(xmlTextReaderPtr reader);

/**
 * Writes a PlexusUserSearchCriteriaResourceRequest to XML under element name "user-search".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _plexusUserSearchCriteriaResourceRequest The PlexusUserSearchCriteriaResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0User_searchElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest);

/**
 * Writes a PlexusUserSearchCriteriaResourceRequest to XML under element name "user-search".
 *
 * @param writer The XML writer.
 * @param _plexusUserSearchCriteriaResourceRequest The PlexusUserSearchCriteriaResourceRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0User_searchElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest, int writeNamespaces);

/**
 * Frees the children of a PlexusUserSearchCriteriaResourceRequest.
 *
 * @param _plexusUserSearchCriteriaResourceRequest The PlexusUserSearchCriteriaResourceRequest whose children are to be free.
 */
static void freeNs0User_searchElement(struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest);

/**
 * Reads a PlexusUserSearchCriteriaResourceRequest from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PlexusUserSearchCriteriaResourceRequest, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *xmlTextReaderReadNs0PlexusUserSearchCriteriaResourceRequestType(xmlTextReaderPtr reader);

/**
 * Writes a PlexusUserSearchCriteriaResourceRequest to XML.
 *
 * @param writer The XML writer.
 * @param _plexusUserSearchCriteriaResourceRequest The PlexusUserSearchCriteriaResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PlexusUserSearchCriteriaResourceRequestType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest);

/**
 * Frees the elements of a PlexusUserSearchCriteriaResourceRequest.
 *
 * @param _plexusUserSearchCriteriaResourceRequest The PlexusUserSearchCriteriaResourceRequest to free.
 */
static void freeNs0PlexusUserSearchCriteriaResourceRequestType(struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest);

#endif /* DEF_security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest_H */
#ifndef DEF_security_rest_api_ns0_privilegeListResourceResponse_H
#define DEF_security_rest_api_ns0_privilegeListResourceResponse_H

/**
 *  REST Response object to list privileges.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_privilegeListResourceResponse {


  /**
   * Field data.
   */
  struct security_rest_api_ns0_privilegeStatusResource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a PrivilegeListResourceResponse element from XML. The element to be read is "privilege-list-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PrivilegeListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_privilegeListResourceResponse *xml_read_security_rest_api_ns0_privilegeListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeListResourceResponse to XML under element name "privilege-list-response".
 *
 * @param writer The XML writer.
 * @param _privilegeListResourceResponse The PrivilegeListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_privilegeListResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse);

/**
 * Frees a PrivilegeListResourceResponse.
 *
 * @param _privilegeListResourceResponse The PrivilegeListResourceResponse to free.
 */
void free_security_rest_api_ns0_privilegeListResourceResponse(struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse);

/**
 * Reads a PrivilegeListResourceResponse element from XML. The element to be read is "privilege-list-response", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_privilegeListResourceResponse *xmlTextReaderReadNs0Privilege_list_responseElement(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeListResourceResponse to XML under element name "privilege-list-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _privilegeListResourceResponse The PrivilegeListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Privilege_list_responseElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse);

/**
 * Writes a PrivilegeListResourceResponse to XML under element name "privilege-list-response".
 *
 * @param writer The XML writer.
 * @param _privilegeListResourceResponse The PrivilegeListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Privilege_list_responseElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a PrivilegeListResourceResponse.
 *
 * @param _privilegeListResourceResponse The PrivilegeListResourceResponse whose children are to be free.
 */
static void freeNs0Privilege_list_responseElement(struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse);

/**
 * Reads a PrivilegeListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeListResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_privilegeListResourceResponse *xmlTextReaderReadNs0PrivilegeListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeListResourceResponse The PrivilegeListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PrivilegeListResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse);

/**
 * Frees the elements of a PrivilegeListResourceResponse.
 *
 * @param _privilegeListResourceResponse The PrivilegeListResourceResponse to free.
 */
static void freeNs0PrivilegeListResourceResponseType(struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse);

#endif /* DEF_security_rest_api_ns0_privilegeListResourceResponse_H */
#ifndef DEF_security_rest_api_ns0_privilegeProperty_H
#define DEF_security_rest_api_ns0_privilegeProperty_H

/**
 *  Key value pair.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_privilegeProperty {


  /**
   * The key of the property.
   */
  xmlChar *key;

  /**
   * The value of the property.
   */
  xmlChar *value;
};

/**
 * Reads a PrivilegeProperty from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeProperty, or NULL in case of error.
 */
static struct security_rest_api_ns0_privilegeProperty *xmlTextReaderReadNs0PrivilegePropertyType(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeProperty to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeProperty The PrivilegeProperty to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PrivilegePropertyType(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeProperty *_privilegeProperty);

/**
 * Frees the elements of a PrivilegeProperty.
 *
 * @param _privilegeProperty The PrivilegeProperty to free.
 */
static void freeNs0PrivilegePropertyType(struct security_rest_api_ns0_privilegeProperty *_privilegeProperty);

#endif /* DEF_security_rest_api_ns0_privilegeProperty_H */
#ifndef DEF_security_rest_api_ns0_privilegeStatusResource_H
#define DEF_security_rest_api_ns0_privilegeStatusResource_H

/**
 *  Privilege details.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_privilegeStatusResource {


  /**
   * The id of the privilege.
   */
  xmlChar *id;

  /**
   * The URI of the privilege.
   */
  xmlChar *resourceURI;

  /**
   * The name of the privilege.
   */
  xmlChar *name;

  /**
   * The description of the privilege.
   */
  xmlChar *description;

  /**
   * The type of the privilege.
   */
  xmlChar *type;

  /**
   * Flag that defines if a privilege can update this role
(read-only).
   */
  int userManaged;

  /**
   * Field properties.
   */
  struct security_rest_api_ns0_privilegeProperty *properties;

  /**
   * Size of the properties array.
   */
  int _sizeof_properties;
};

/**
 * Reads a PrivilegeStatusResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeStatusResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_privilegeStatusResource *xmlTextReaderReadNs0PrivilegeStatusResourceType(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeStatusResource to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeStatusResource The PrivilegeStatusResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PrivilegeStatusResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeStatusResource *_privilegeStatusResource);

/**
 * Frees the elements of a PrivilegeStatusResource.
 *
 * @param _privilegeStatusResource The PrivilegeStatusResource to free.
 */
static void freeNs0PrivilegeStatusResourceType(struct security_rest_api_ns0_privilegeStatusResource *_privilegeStatusResource);

#endif /* DEF_security_rest_api_ns0_privilegeStatusResource_H */
#ifndef DEF_security_rest_api_ns0_privilegeStatusResourceResponse_H
#define DEF_security_rest_api_ns0_privilegeStatusResourceResponse_H

/**
 *  REST response object containing a privilege.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_privilegeStatusResourceResponse {


  /**
   * Privilege details.
   */
  struct security_rest_api_ns0_privilegeStatusResource *data;
};

/**
 * Reads a PrivilegeStatusResourceResponse element from XML. The element to be read is "privilege-status-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PrivilegeStatusResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_privilegeStatusResourceResponse *xml_read_security_rest_api_ns0_privilegeStatusResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeStatusResourceResponse to XML under element name "privilege-status-response".
 *
 * @param writer The XML writer.
 * @param _privilegeStatusResourceResponse The PrivilegeStatusResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_privilegeStatusResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse);

/**
 * Frees a PrivilegeStatusResourceResponse.
 *
 * @param _privilegeStatusResourceResponse The PrivilegeStatusResourceResponse to free.
 */
void free_security_rest_api_ns0_privilegeStatusResourceResponse(struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse);

/**
 * Reads a PrivilegeStatusResourceResponse element from XML. The element to be read is "privilege-status-response", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeStatusResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_privilegeStatusResourceResponse *xmlTextReaderReadNs0Privilege_status_responseElement(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeStatusResourceResponse to XML under element name "privilege-status-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _privilegeStatusResourceResponse The PrivilegeStatusResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Privilege_status_responseElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse);

/**
 * Writes a PrivilegeStatusResourceResponse to XML under element name "privilege-status-response".
 *
 * @param writer The XML writer.
 * @param _privilegeStatusResourceResponse The PrivilegeStatusResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Privilege_status_responseElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse, int writeNamespaces);

/**
 * Frees the children of a PrivilegeStatusResourceResponse.
 *
 * @param _privilegeStatusResourceResponse The PrivilegeStatusResourceResponse whose children are to be free.
 */
static void freeNs0Privilege_status_responseElement(struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse);

/**
 * Reads a PrivilegeStatusResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeStatusResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_privilegeStatusResourceResponse *xmlTextReaderReadNs0PrivilegeStatusResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeStatusResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeStatusResourceResponse The PrivilegeStatusResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PrivilegeStatusResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse);

/**
 * Frees the elements of a PrivilegeStatusResourceResponse.
 *
 * @param _privilegeStatusResourceResponse The PrivilegeStatusResourceResponse to free.
 */
static void freeNs0PrivilegeStatusResourceResponseType(struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse);

#endif /* DEF_security_rest_api_ns0_privilegeStatusResourceResponse_H */
#ifndef DEF_security_rest_api_ns0_privilegeTypePropertyResource_H
#define DEF_security_rest_api_ns0_privilegeTypePropertyResource_H

/**
 *  Privilege property details.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_privilegeTypePropertyResource {


  /**
   * The id of the privilege property.
   */
  xmlChar *id;

  /**
   * The name of the privilege property.
   */
  xmlChar *name;

  /**
   * The help text of the privilege property.
   */
  xmlChar *helpText;

  /**
   * The type of the privilege property.
   */
  xmlChar *type;
};

/**
 * Reads a PrivilegeTypePropertyResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeTypePropertyResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_privilegeTypePropertyResource *xmlTextReaderReadNs0PrivilegeTypePropertyResourceType(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeTypePropertyResource to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeTypePropertyResource The PrivilegeTypePropertyResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PrivilegeTypePropertyResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeTypePropertyResource *_privilegeTypePropertyResource);

/**
 * Frees the elements of a PrivilegeTypePropertyResource.
 *
 * @param _privilegeTypePropertyResource The PrivilegeTypePropertyResource to free.
 */
static void freeNs0PrivilegeTypePropertyResourceType(struct security_rest_api_ns0_privilegeTypePropertyResource *_privilegeTypePropertyResource);

#endif /* DEF_security_rest_api_ns0_privilegeTypePropertyResource_H */
#ifndef DEF_security_rest_api_ns0_privilegeTypeResource_H
#define DEF_security_rest_api_ns0_privilegeTypeResource_H

/**
 *  Privilege type details. Used to dynamically define types of
 privileges.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_privilegeTypeResource {


  /**
   * The id of the privilege type.
   */
  xmlChar *id;

  /**
   * The name of the privilege type.
   */
  xmlChar *name;

  /**
   * Field properties.
   */
  struct security_rest_api_ns0_privilegeTypePropertyResource *properties;

  /**
   * Size of the properties array.
   */
  int _sizeof_properties;
};

/**
 * Reads a PrivilegeTypeResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeTypeResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_privilegeTypeResource *xmlTextReaderReadNs0PrivilegeTypeResourceType(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeTypeResource to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeTypeResource The PrivilegeTypeResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PrivilegeTypeResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeTypeResource *_privilegeTypeResource);

/**
 * Frees the elements of a PrivilegeTypeResource.
 *
 * @param _privilegeTypeResource The PrivilegeTypeResource to free.
 */
static void freeNs0PrivilegeTypeResourceType(struct security_rest_api_ns0_privilegeTypeResource *_privilegeTypeResource);

#endif /* DEF_security_rest_api_ns0_privilegeTypeResource_H */
#ifndef DEF_security_rest_api_ns0_privilegeTypeResourceResponse_H
#define DEF_security_rest_api_ns0_privilegeTypeResourceResponse_H

/**
 *  REST Request object to lists the types of privilege in the
 system.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_privilegeTypeResourceResponse {


  /**
   * Field data.
   */
  struct security_rest_api_ns0_privilegeTypeResource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a PrivilegeTypeResourceResponse element from XML. The element to be read is "privilege-type-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PrivilegeTypeResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_privilegeTypeResourceResponse *xml_read_security_rest_api_ns0_privilegeTypeResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeTypeResourceResponse to XML under element name "privilege-type-response".
 *
 * @param writer The XML writer.
 * @param _privilegeTypeResourceResponse The PrivilegeTypeResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_privilegeTypeResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse);

/**
 * Frees a PrivilegeTypeResourceResponse.
 *
 * @param _privilegeTypeResourceResponse The PrivilegeTypeResourceResponse to free.
 */
void free_security_rest_api_ns0_privilegeTypeResourceResponse(struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse);

/**
 * Reads a PrivilegeTypeResourceResponse element from XML. The element to be read is "privilege-type-response", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeTypeResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_privilegeTypeResourceResponse *xmlTextReaderReadNs0Privilege_type_responseElement(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeTypeResourceResponse to XML under element name "privilege-type-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _privilegeTypeResourceResponse The PrivilegeTypeResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Privilege_type_responseElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse);

/**
 * Writes a PrivilegeTypeResourceResponse to XML under element name "privilege-type-response".
 *
 * @param writer The XML writer.
 * @param _privilegeTypeResourceResponse The PrivilegeTypeResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Privilege_type_responseElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse, int writeNamespaces);

/**
 * Frees the children of a PrivilegeTypeResourceResponse.
 *
 * @param _privilegeTypeResourceResponse The PrivilegeTypeResourceResponse whose children are to be free.
 */
static void freeNs0Privilege_type_responseElement(struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse);

/**
 * Reads a PrivilegeTypeResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeTypeResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_privilegeTypeResourceResponse *xmlTextReaderReadNs0PrivilegeTypeResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeTypeResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeTypeResourceResponse The PrivilegeTypeResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PrivilegeTypeResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse);

/**
 * Frees the elements of a PrivilegeTypeResourceResponse.
 *
 * @param _privilegeTypeResourceResponse The PrivilegeTypeResourceResponse to free.
 */
static void freeNs0PrivilegeTypeResourceResponseType(struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse);

#endif /* DEF_security_rest_api_ns0_privilegeTypeResourceResponse_H */
#ifndef DEF_security_rest_api_ns0_roleListResourceResponse_H
#define DEF_security_rest_api_ns0_roleListResourceResponse_H

/**
 *  REST Response object for a role list request.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_roleListResourceResponse {


  /**
   * Field data.
   */
  struct security_rest_api_ns0_roleResource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a RoleListResourceResponse element from XML. The element to be read is "roles-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RoleListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_roleListResourceResponse *xml_read_security_rest_api_ns0_roleListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a RoleListResourceResponse to XML under element name "roles-list".
 *
 * @param writer The XML writer.
 * @param _roleListResourceResponse The RoleListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_roleListResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse);

/**
 * Frees a RoleListResourceResponse.
 *
 * @param _roleListResourceResponse The RoleListResourceResponse to free.
 */
void free_security_rest_api_ns0_roleListResourceResponse(struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse);

/**
 * Reads a RoleListResourceResponse element from XML. The element to be read is "roles-list", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The RoleListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_roleListResourceResponse *xmlTextReaderReadNs0Roles_listElement(xmlTextReaderPtr reader);

/**
 * Writes a RoleListResourceResponse to XML under element name "roles-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _roleListResourceResponse The RoleListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Roles_listElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse);

/**
 * Writes a RoleListResourceResponse to XML under element name "roles-list".
 *
 * @param writer The XML writer.
 * @param _roleListResourceResponse The RoleListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Roles_listElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a RoleListResourceResponse.
 *
 * @param _roleListResourceResponse The RoleListResourceResponse whose children are to be free.
 */
static void freeNs0Roles_listElement(struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse);

/**
 * Reads a RoleListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RoleListResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_roleListResourceResponse *xmlTextReaderReadNs0RoleListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a RoleListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _roleListResourceResponse The RoleListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RoleListResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse);

/**
 * Frees the elements of a RoleListResourceResponse.
 *
 * @param _roleListResourceResponse The RoleListResourceResponse to free.
 */
static void freeNs0RoleListResourceResponseType(struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse);

#endif /* DEF_security_rest_api_ns0_roleListResourceResponse_H */
#ifndef DEF_security_rest_api_ns0_roleResource_H
#define DEF_security_rest_api_ns0_roleResource_H

/**
 *  Role configuration.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_roleResource {


  /**
   * The URI of the role.
   */
  xmlChar *resourceURI;

  /**
   * The id of the role.
   */
  xmlChar *id;

  /**
   * The name of the role.
   */
  xmlChar *name;

  /**
   * The description of the role.
   */
  xmlChar *description;

  /**
   * The sessionTimeout of the role (legacy, actual value not
used).
   */
  int sessionTimeout;

  /**
   * Field roles.
   */
  xmlChar *roles;

  /**
   * Size of the roles array.
   */
  int _sizeof_roles;

  /**
   * Field privileges.
   */
  xmlChar *privileges;

  /**
   * Size of the privileges array.
   */
  int _sizeof_privileges;

  /**
   * Flag that defines if a user can update this role (read-only).
   */
  int userManaged;
};

/**
 * Reads a RoleResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RoleResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_roleResource *xmlTextReaderReadNs0RoleResourceType(xmlTextReaderPtr reader);

/**
 * Writes a RoleResource to XML.
 *
 * @param writer The XML writer.
 * @param _roleResource The RoleResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RoleResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResource *_roleResource);

/**
 * Frees the elements of a RoleResource.
 *
 * @param _roleResource The RoleResource to free.
 */
static void freeNs0RoleResourceType(struct security_rest_api_ns0_roleResource *_roleResource);

#endif /* DEF_security_rest_api_ns0_roleResource_H */
#ifndef DEF_security_rest_api_ns0_roleResourceRequest_H
#define DEF_security_rest_api_ns0_roleResourceRequest_H

/**
 *  REST Request object to persist a role.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_roleResourceRequest {


  /**
   * Role to persist.
   */
  struct security_rest_api_ns0_roleResource *data;
};

/**
 * Reads a RoleResourceRequest element from XML. The element to be read is "role-request", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RoleResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_roleResourceRequest *xml_read_security_rest_api_ns0_roleResourceRequest(xmlTextReaderPtr reader);

/**
 * Writes a RoleResourceRequest to XML under element name "role-request".
 *
 * @param writer The XML writer.
 * @param _roleResourceRequest The RoleResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_roleResourceRequest(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest);

/**
 * Frees a RoleResourceRequest.
 *
 * @param _roleResourceRequest The RoleResourceRequest to free.
 */
void free_security_rest_api_ns0_roleResourceRequest(struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest);

/**
 * Reads a RoleResourceRequest element from XML. The element to be read is "role-request", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The RoleResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_roleResourceRequest *xmlTextReaderReadNs0Role_requestElement(xmlTextReaderPtr reader);

/**
 * Writes a RoleResourceRequest to XML under element name "role-request".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _roleResourceRequest The RoleResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Role_requestElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest);

/**
 * Writes a RoleResourceRequest to XML under element name "role-request".
 *
 * @param writer The XML writer.
 * @param _roleResourceRequest The RoleResourceRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Role_requestElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest, int writeNamespaces);

/**
 * Frees the children of a RoleResourceRequest.
 *
 * @param _roleResourceRequest The RoleResourceRequest whose children are to be free.
 */
static void freeNs0Role_requestElement(struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest);

/**
 * Reads a RoleResourceRequest from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RoleResourceRequest, or NULL in case of error.
 */
static struct security_rest_api_ns0_roleResourceRequest *xmlTextReaderReadNs0RoleResourceRequestType(xmlTextReaderPtr reader);

/**
 * Writes a RoleResourceRequest to XML.
 *
 * @param writer The XML writer.
 * @param _roleResourceRequest The RoleResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RoleResourceRequestType(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest);

/**
 * Frees the elements of a RoleResourceRequest.
 *
 * @param _roleResourceRequest The RoleResourceRequest to free.
 */
static void freeNs0RoleResourceRequestType(struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest);

#endif /* DEF_security_rest_api_ns0_roleResourceRequest_H */
#ifndef DEF_security_rest_api_ns0_roleResourceResponse_H
#define DEF_security_rest_api_ns0_roleResourceResponse_H

/**
 *  REST Response object for role request.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_roleResourceResponse {


  /**
   * Role returned.
   */
  struct security_rest_api_ns0_roleResource *data;
};

/**
 * Reads a RoleResourceResponse element from XML. The element to be read is "role-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RoleResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_roleResourceResponse *xml_read_security_rest_api_ns0_roleResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a RoleResourceResponse to XML under element name "role-response".
 *
 * @param writer The XML writer.
 * @param _roleResourceResponse The RoleResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_roleResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse);

/**
 * Frees a RoleResourceResponse.
 *
 * @param _roleResourceResponse The RoleResourceResponse to free.
 */
void free_security_rest_api_ns0_roleResourceResponse(struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse);

/**
 * Reads a RoleResourceResponse element from XML. The element to be read is "role-response", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The RoleResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_roleResourceResponse *xmlTextReaderReadNs0Role_responseElement(xmlTextReaderPtr reader);

/**
 * Writes a RoleResourceResponse to XML under element name "role-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _roleResourceResponse The RoleResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Role_responseElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse);

/**
 * Writes a RoleResourceResponse to XML under element name "role-response".
 *
 * @param writer The XML writer.
 * @param _roleResourceResponse The RoleResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Role_responseElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse, int writeNamespaces);

/**
 * Frees the children of a RoleResourceResponse.
 *
 * @param _roleResourceResponse The RoleResourceResponse whose children are to be free.
 */
static void freeNs0Role_responseElement(struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse);

/**
 * Reads a RoleResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RoleResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_roleResourceResponse *xmlTextReaderReadNs0RoleResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a RoleResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _roleResourceResponse The RoleResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RoleResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse);

/**
 * Frees the elements of a RoleResourceResponse.
 *
 * @param _roleResourceResponse The RoleResourceResponse to free.
 */
static void freeNs0RoleResourceResponseType(struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse);

#endif /* DEF_security_rest_api_ns0_roleResourceResponse_H */
#ifndef DEF_security_rest_api_ns0_userChangePasswordRequest_H
#define DEF_security_rest_api_ns0_userChangePasswordRequest_H

/**
 *  REST Request to change a user's password.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_userChangePasswordRequest {


  /**
   * Details needed to change a users's password.
   */
  struct security_rest_api_ns0_userChangePasswordResource *data;
};

/**
 * Reads a UserChangePasswordRequest element from XML. The element to be read is "user-changepw", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The UserChangePasswordRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userChangePasswordRequest *xml_read_security_rest_api_ns0_userChangePasswordRequest(xmlTextReaderPtr reader);

/**
 * Writes a UserChangePasswordRequest to XML under element name "user-changepw".
 *
 * @param writer The XML writer.
 * @param _userChangePasswordRequest The UserChangePasswordRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_userChangePasswordRequest(xmlTextWriterPtr writer, struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest);

/**
 * Frees a UserChangePasswordRequest.
 *
 * @param _userChangePasswordRequest The UserChangePasswordRequest to free.
 */
void free_security_rest_api_ns0_userChangePasswordRequest(struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest);

/**
 * Reads a UserChangePasswordRequest element from XML. The element to be read is "user-changepw", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The UserChangePasswordRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userChangePasswordRequest *xmlTextReaderReadNs0User_changepwElement(xmlTextReaderPtr reader);

/**
 * Writes a UserChangePasswordRequest to XML under element name "user-changepw".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _userChangePasswordRequest The UserChangePasswordRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0User_changepwElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest);

/**
 * Writes a UserChangePasswordRequest to XML under element name "user-changepw".
 *
 * @param writer The XML writer.
 * @param _userChangePasswordRequest The UserChangePasswordRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0User_changepwElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest, int writeNamespaces);

/**
 * Frees the children of a UserChangePasswordRequest.
 *
 * @param _userChangePasswordRequest The UserChangePasswordRequest whose children are to be free.
 */
static void freeNs0User_changepwElement(struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest);

/**
 * Reads a UserChangePasswordRequest from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The UserChangePasswordRequest, or NULL in case of error.
 */
static struct security_rest_api_ns0_userChangePasswordRequest *xmlTextReaderReadNs0UserChangePasswordRequestType(xmlTextReaderPtr reader);

/**
 * Writes a UserChangePasswordRequest to XML.
 *
 * @param writer The XML writer.
 * @param _userChangePasswordRequest The UserChangePasswordRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserChangePasswordRequestType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest);

/**
 * Frees the elements of a UserChangePasswordRequest.
 *
 * @param _userChangePasswordRequest The UserChangePasswordRequest to free.
 */
static void freeNs0UserChangePasswordRequestType(struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest);

#endif /* DEF_security_rest_api_ns0_userChangePasswordRequest_H */
#ifndef DEF_security_rest_api_ns0_userChangePasswordResource_H
#define DEF_security_rest_api_ns0_userChangePasswordResource_H

/**
 *  Details needed to change a users's password.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_userChangePasswordResource {


  /**
   * User's id.
   */
  xmlChar *userId;

  /**
   * User's old password.
   */
  xmlChar *oldPassword;

  /**
   * User's new password.
   */
  xmlChar *newPassword;
};

/**
 * Reads a UserChangePasswordResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The UserChangePasswordResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_userChangePasswordResource *xmlTextReaderReadNs0UserChangePasswordResourceType(xmlTextReaderPtr reader);

/**
 * Writes a UserChangePasswordResource to XML.
 *
 * @param writer The XML writer.
 * @param _userChangePasswordResource The UserChangePasswordResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserChangePasswordResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userChangePasswordResource *_userChangePasswordResource);

/**
 * Frees the elements of a UserChangePasswordResource.
 *
 * @param _userChangePasswordResource The UserChangePasswordResource to free.
 */
static void freeNs0UserChangePasswordResourceType(struct security_rest_api_ns0_userChangePasswordResource *_userChangePasswordResource);

#endif /* DEF_security_rest_api_ns0_userChangePasswordResource_H */
#ifndef DEF_security_rest_api_ns0_userForgotPasswordRequest_H
#define DEF_security_rest_api_ns0_userForgotPasswordRequest_H

/**
 *  REST Request to reset a user's password.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_userForgotPasswordRequest {


  /**
   * Details needed to reset a users's password.
   */
  struct security_rest_api_ns0_userForgotPasswordResource *data;
};

/**
 * Reads a UserForgotPasswordRequest element from XML. The element to be read is "user-forgotpw", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The UserForgotPasswordRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userForgotPasswordRequest *xml_read_security_rest_api_ns0_userForgotPasswordRequest(xmlTextReaderPtr reader);

/**
 * Writes a UserForgotPasswordRequest to XML under element name "user-forgotpw".
 *
 * @param writer The XML writer.
 * @param _userForgotPasswordRequest The UserForgotPasswordRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_userForgotPasswordRequest(xmlTextWriterPtr writer, struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest);

/**
 * Frees a UserForgotPasswordRequest.
 *
 * @param _userForgotPasswordRequest The UserForgotPasswordRequest to free.
 */
void free_security_rest_api_ns0_userForgotPasswordRequest(struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest);

/**
 * Reads a UserForgotPasswordRequest element from XML. The element to be read is "user-forgotpw", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The UserForgotPasswordRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userForgotPasswordRequest *xmlTextReaderReadNs0User_forgotpwElement(xmlTextReaderPtr reader);

/**
 * Writes a UserForgotPasswordRequest to XML under element name "user-forgotpw".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _userForgotPasswordRequest The UserForgotPasswordRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0User_forgotpwElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest);

/**
 * Writes a UserForgotPasswordRequest to XML under element name "user-forgotpw".
 *
 * @param writer The XML writer.
 * @param _userForgotPasswordRequest The UserForgotPasswordRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0User_forgotpwElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest, int writeNamespaces);

/**
 * Frees the children of a UserForgotPasswordRequest.
 *
 * @param _userForgotPasswordRequest The UserForgotPasswordRequest whose children are to be free.
 */
static void freeNs0User_forgotpwElement(struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest);

/**
 * Reads a UserForgotPasswordRequest from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The UserForgotPasswordRequest, or NULL in case of error.
 */
static struct security_rest_api_ns0_userForgotPasswordRequest *xmlTextReaderReadNs0UserForgotPasswordRequestType(xmlTextReaderPtr reader);

/**
 * Writes a UserForgotPasswordRequest to XML.
 *
 * @param writer The XML writer.
 * @param _userForgotPasswordRequest The UserForgotPasswordRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserForgotPasswordRequestType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest);

/**
 * Frees the elements of a UserForgotPasswordRequest.
 *
 * @param _userForgotPasswordRequest The UserForgotPasswordRequest to free.
 */
static void freeNs0UserForgotPasswordRequestType(struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest);

#endif /* DEF_security_rest_api_ns0_userForgotPasswordRequest_H */
#ifndef DEF_security_rest_api_ns0_userForgotPasswordResource_H
#define DEF_security_rest_api_ns0_userForgotPasswordResource_H

/**
 *  Details needed to reset a users's password.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_userForgotPasswordResource {


  /**
   * User's email address.
   */
  xmlChar *email;

  /**
   * User's id.
   */
  xmlChar *userId;
};

/**
 * Reads a UserForgotPasswordResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The UserForgotPasswordResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_userForgotPasswordResource *xmlTextReaderReadNs0UserForgotPasswordResourceType(xmlTextReaderPtr reader);

/**
 * Writes a UserForgotPasswordResource to XML.
 *
 * @param writer The XML writer.
 * @param _userForgotPasswordResource The UserForgotPasswordResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserForgotPasswordResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userForgotPasswordResource *_userForgotPasswordResource);

/**
 * Frees the elements of a UserForgotPasswordResource.
 *
 * @param _userForgotPasswordResource The UserForgotPasswordResource to free.
 */
static void freeNs0UserForgotPasswordResourceType(struct security_rest_api_ns0_userForgotPasswordResource *_userForgotPasswordResource);

#endif /* DEF_security_rest_api_ns0_userForgotPasswordResource_H */
#ifndef DEF_security_rest_api_ns0_userListResourceResponse_H
#define DEF_security_rest_api_ns0_userListResourceResponse_H

/**
 *  REST Response object that lists users.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_userListResourceResponse {


  /**
   * Field data.
   */
  struct security_rest_api_ns0_userResource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a UserListResourceResponse element from XML. The element to be read is "users-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The UserListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_userListResourceResponse *xml_read_security_rest_api_ns0_userListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a UserListResourceResponse to XML under element name "users-list".
 *
 * @param writer The XML writer.
 * @param _userListResourceResponse The UserListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_userListResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse);

/**
 * Frees a UserListResourceResponse.
 *
 * @param _userListResourceResponse The UserListResourceResponse to free.
 */
void free_security_rest_api_ns0_userListResourceResponse(struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse);

/**
 * Reads a UserListResourceResponse element from XML. The element to be read is "users-list", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The UserListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_userListResourceResponse *xmlTextReaderReadNs0Users_listElement(xmlTextReaderPtr reader);

/**
 * Writes a UserListResourceResponse to XML under element name "users-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _userListResourceResponse The UserListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Users_listElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse);

/**
 * Writes a UserListResourceResponse to XML under element name "users-list".
 *
 * @param writer The XML writer.
 * @param _userListResourceResponse The UserListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Users_listElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a UserListResourceResponse.
 *
 * @param _userListResourceResponse The UserListResourceResponse whose children are to be free.
 */
static void freeNs0Users_listElement(struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse);

/**
 * Reads a UserListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The UserListResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_userListResourceResponse *xmlTextReaderReadNs0UserListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a UserListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _userListResourceResponse The UserListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserListResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse);

/**
 * Frees the elements of a UserListResourceResponse.
 *
 * @param _userListResourceResponse The UserListResourceResponse to free.
 */
static void freeNs0UserListResourceResponseType(struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse);

#endif /* DEF_security_rest_api_ns0_userListResourceResponse_H */
#ifndef DEF_security_rest_api_ns0_userResource_H
#define DEF_security_rest_api_ns0_userResource_H

/**
 *  User's details.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_userResource {


  /**
   * The URI of the user.
   */
  xmlChar *resourceURI;

  /**
   * The id of the user.
   */
  xmlChar *userId;

  /**
   * The password of the user (write only).
   */
  xmlChar *password;

  /**
   * The common name of the user.
   */
  xmlChar *name;

  /**
   * The status of the user. Available status: active, locked,
disabled.
   */
  xmlChar *status;

  /**
   * The email address of the user.
   */
  xmlChar *email;

  /**
   * Field roles.
   */
  xmlChar *roles;

  /**
   * Size of the roles array.
   */
  int _sizeof_roles;
};

/**
 * Reads a UserResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The UserResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_userResource *xmlTextReaderReadNs0UserResourceType(xmlTextReaderPtr reader);

/**
 * Writes a UserResource to XML.
 *
 * @param writer The XML writer.
 * @param _userResource The UserResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResource *_userResource);

/**
 * Frees the elements of a UserResource.
 *
 * @param _userResource The UserResource to free.
 */
static void freeNs0UserResourceType(struct security_rest_api_ns0_userResource *_userResource);

#endif /* DEF_security_rest_api_ns0_userResource_H */
#ifndef DEF_security_rest_api_ns0_userResourceRequest_H
#define DEF_security_rest_api_ns0_userResourceRequest_H

/**
 *  REST request object to persist a user.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_userResourceRequest {


  /**
   * User information.
   */
  struct security_rest_api_ns0_userResource *data;
};

/**
 * Reads a UserResourceRequest element from XML. The element to be read is "user-request", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The UserResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userResourceRequest *xml_read_security_rest_api_ns0_userResourceRequest(xmlTextReaderPtr reader);

/**
 * Writes a UserResourceRequest to XML under element name "user-request".
 *
 * @param writer The XML writer.
 * @param _userResourceRequest The UserResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_userResourceRequest(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceRequest *_userResourceRequest);

/**
 * Frees a UserResourceRequest.
 *
 * @param _userResourceRequest The UserResourceRequest to free.
 */
void free_security_rest_api_ns0_userResourceRequest(struct security_rest_api_ns0_userResourceRequest *_userResourceRequest);

/**
 * Reads a UserResourceRequest element from XML. The element to be read is "user-request", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The UserResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userResourceRequest *xmlTextReaderReadNs0User_requestElement(xmlTextReaderPtr reader);

/**
 * Writes a UserResourceRequest to XML under element name "user-request".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _userResourceRequest The UserResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0User_requestElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceRequest *_userResourceRequest);

/**
 * Writes a UserResourceRequest to XML under element name "user-request".
 *
 * @param writer The XML writer.
 * @param _userResourceRequest The UserResourceRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0User_requestElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceRequest *_userResourceRequest, int writeNamespaces);

/**
 * Frees the children of a UserResourceRequest.
 *
 * @param _userResourceRequest The UserResourceRequest whose children are to be free.
 */
static void freeNs0User_requestElement(struct security_rest_api_ns0_userResourceRequest *_userResourceRequest);

/**
 * Reads a UserResourceRequest from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The UserResourceRequest, or NULL in case of error.
 */
static struct security_rest_api_ns0_userResourceRequest *xmlTextReaderReadNs0UserResourceRequestType(xmlTextReaderPtr reader);

/**
 * Writes a UserResourceRequest to XML.
 *
 * @param writer The XML writer.
 * @param _userResourceRequest The UserResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserResourceRequestType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceRequest *_userResourceRequest);

/**
 * Frees the elements of a UserResourceRequest.
 *
 * @param _userResourceRequest The UserResourceRequest to free.
 */
static void freeNs0UserResourceRequestType(struct security_rest_api_ns0_userResourceRequest *_userResourceRequest);

#endif /* DEF_security_rest_api_ns0_userResourceRequest_H */
#ifndef DEF_security_rest_api_ns0_userResourceResponse_H
#define DEF_security_rest_api_ns0_userResourceResponse_H

/**
 *  REST response object containing a user.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_userResourceResponse {


  /**
   * User information.
   */
  struct security_rest_api_ns0_userResource *data;
};

/**
 * Reads a UserResourceResponse element from XML. The element to be read is "user-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The UserResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_userResourceResponse *xml_read_security_rest_api_ns0_userResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a UserResourceResponse to XML under element name "user-response".
 *
 * @param writer The XML writer.
 * @param _userResourceResponse The UserResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_userResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceResponse *_userResourceResponse);

/**
 * Frees a UserResourceResponse.
 *
 * @param _userResourceResponse The UserResourceResponse to free.
 */
void free_security_rest_api_ns0_userResourceResponse(struct security_rest_api_ns0_userResourceResponse *_userResourceResponse);

/**
 * Reads a UserResourceResponse element from XML. The element to be read is "user-response", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The UserResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_userResourceResponse *xmlTextReaderReadNs0User_responseElement(xmlTextReaderPtr reader);

/**
 * Writes a UserResourceResponse to XML under element name "user-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _userResourceResponse The UserResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0User_responseElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceResponse *_userResourceResponse);

/**
 * Writes a UserResourceResponse to XML under element name "user-response".
 *
 * @param writer The XML writer.
 * @param _userResourceResponse The UserResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0User_responseElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceResponse *_userResourceResponse, int writeNamespaces);

/**
 * Frees the children of a UserResourceResponse.
 *
 * @param _userResourceResponse The UserResourceResponse whose children are to be free.
 */
static void freeNs0User_responseElement(struct security_rest_api_ns0_userResourceResponse *_userResourceResponse);

/**
 * Reads a UserResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The UserResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_userResourceResponse *xmlTextReaderReadNs0UserResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a UserResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _userResourceResponse The UserResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceResponse *_userResourceResponse);

/**
 * Frees the elements of a UserResourceResponse.
 *
 * @param _userResourceResponse The UserResourceResponse to free.
 */
static void freeNs0UserResourceResponseType(struct security_rest_api_ns0_userResourceResponse *_userResourceResponse);

#endif /* DEF_security_rest_api_ns0_userResourceResponse_H */
#ifndef DEF_security_rest_api_ns0_userToRoleResource_H
#define DEF_security_rest_api_ns0_userToRoleResource_H

/**
 *  Details to assign roles to a users.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_userToRoleResource {


  /**
   * The id of the user.
   */
  xmlChar *userId;

  /**
   * The source of the user.
   */
  xmlChar *source;

  /**
   * Field roles.
   */
  xmlChar *roles;

  /**
   * Size of the roles array.
   */
  int _sizeof_roles;
};

/**
 * Reads a UserToRoleResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The UserToRoleResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_userToRoleResource *xmlTextReaderReadNs0UserToRoleResourceType(xmlTextReaderPtr reader);

/**
 * Writes a UserToRoleResource to XML.
 *
 * @param writer The XML writer.
 * @param _userToRoleResource The UserToRoleResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserToRoleResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userToRoleResource *_userToRoleResource);

/**
 * Frees the elements of a UserToRoleResource.
 *
 * @param _userToRoleResource The UserToRoleResource to free.
 */
static void freeNs0UserToRoleResourceType(struct security_rest_api_ns0_userToRoleResource *_userToRoleResource);

#endif /* DEF_security_rest_api_ns0_userToRoleResource_H */
#ifndef DEF_security_rest_api_ns0_userToRoleResourceRequest_H
#define DEF_security_rest_api_ns0_userToRoleResourceRequest_H

/**
 *  REST Request object to assign a roles to a user.  Typically used
 when assigning roles to a user NOT managed by this system.
 
 @version $Revision$ $Date$

 */
struct security_rest_api_ns0_userToRoleResourceRequest {


  /**
   * Details of request.
   */
  struct security_rest_api_ns0_userToRoleResource *data;
};

/**
 * Reads a UserToRoleResourceRequest element from XML. The element to be read is "user-to-role", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The UserToRoleResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userToRoleResourceRequest *xml_read_security_rest_api_ns0_userToRoleResourceRequest(xmlTextReaderPtr reader);

/**
 * Writes a UserToRoleResourceRequest to XML under element name "user-to-role".
 *
 * @param writer The XML writer.
 * @param _userToRoleResourceRequest The UserToRoleResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_security_rest_api_ns0_userToRoleResourceRequest(xmlTextWriterPtr writer, struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest);

/**
 * Frees a UserToRoleResourceRequest.
 *
 * @param _userToRoleResourceRequest The UserToRoleResourceRequest to free.
 */
void free_security_rest_api_ns0_userToRoleResourceRequest(struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest);

/**
 * Reads a UserToRoleResourceRequest element from XML. The element to be read is "user-to-role", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The UserToRoleResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userToRoleResourceRequest *xmlTextReaderReadNs0User_to_roleElement(xmlTextReaderPtr reader);

/**
 * Writes a UserToRoleResourceRequest to XML under element name "user-to-role".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _userToRoleResourceRequest The UserToRoleResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0User_to_roleElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest);

/**
 * Writes a UserToRoleResourceRequest to XML under element name "user-to-role".
 *
 * @param writer The XML writer.
 * @param _userToRoleResourceRequest The UserToRoleResourceRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0User_to_roleElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest, int writeNamespaces);

/**
 * Frees the children of a UserToRoleResourceRequest.
 *
 * @param _userToRoleResourceRequest The UserToRoleResourceRequest whose children are to be free.
 */
static void freeNs0User_to_roleElement(struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest);

/**
 * Reads a UserToRoleResourceRequest from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The UserToRoleResourceRequest, or NULL in case of error.
 */
static struct security_rest_api_ns0_userToRoleResourceRequest *xmlTextReaderReadNs0UserToRoleResourceRequestType(xmlTextReaderPtr reader);

/**
 * Writes a UserToRoleResourceRequest to XML.
 *
 * @param writer The XML writer.
 * @param _userToRoleResourceRequest The UserToRoleResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserToRoleResourceRequestType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest);

/**
 * Frees the elements of a UserToRoleResourceRequest.
 *
 * @param _userToRoleResourceRequest The UserToRoleResourceRequest to free.
 */
static void freeNs0UserToRoleResourceRequestType(struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest);

#endif /* DEF_security_rest_api_ns0_userToRoleResourceRequest_H */
#ifndef DEF_security_rest_api_ns0_authenticationClientPermissions_M
#define DEF_security_rest_api_ns0_authenticationClientPermissions_M

/**
 * Reads a AuthenticationClientPermissions from XML. The reader is assumed to be at the start element.
 *
 * @return the AuthenticationClientPermissions, or NULL in case of error.
 */
static struct security_rest_api_ns0_authenticationClientPermissions *xmlTextReaderReadNs0AuthenticationClientPermissionsType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_authenticationClientPermissions *_authenticationClientPermissions = calloc(1, sizeof(struct security_rest_api_ns0_authenticationClientPermissions));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0AuthenticationClientPermissionsType(_authenticationClientPermissions);
        free(_authenticationClientPermissions);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "loggedIn", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}loggedIn of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}loggedIn of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0AuthenticationClientPermissionsType(_authenticationClientPermissions);
          free(_authenticationClientPermissions);
          return NULL;
        }

        _authenticationClientPermissions->loggedIn = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "loggedInUsername", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}loggedInUsername of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}loggedInUsername of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0AuthenticationClientPermissionsType(_authenticationClientPermissions);
          free(_authenticationClientPermissions);
          return NULL;
        }

        _authenticationClientPermissions->loggedInUsername = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "loggedInUserSource", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}loggedInUserSource of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}loggedInUserSource of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0AuthenticationClientPermissionsType(_authenticationClientPermissions);
          free(_authenticationClientPermissions);
          return NULL;
        }

        _authenticationClientPermissions->loggedInUserSource = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "permissions", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}permissions...\n");
#endif
          //start wrapper element "{}permissions"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0AuthenticationClientPermissionsType(_authenticationClientPermissions);
              free(_authenticationClientPermissions);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "permission", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}permission of type {}clientPermission.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0ClientPermissionType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}permission of type {}clientPermission.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0AuthenticationClientPermissionsType(_authenticationClientPermissions);
          free(_authenticationClientPermissions);
          return NULL;
        }

        _authenticationClientPermissions->permissions = realloc(_authenticationClientPermissions->permissions, (_authenticationClientPermissions->_sizeof_permissions + 1) * sizeof(struct security_rest_api_ns0_clientPermission));
        memcpy(&(_authenticationClientPermissions->permissions[_authenticationClientPermissions->_sizeof_permissions++]), _child_accessor, sizeof(struct security_rest_api_ns0_clientPermission));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}permissions.\n");
#endif
          freeNs0AuthenticationClientPermissionsType(_authenticationClientPermissions);
          free(_authenticationClientPermissions);
          return NULL;
        }
        else {
          //end wrapper element "{}permissions"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}authenticationClientPermissions.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}authenticationClientPermissions. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _authenticationClientPermissions;
}

/**
 * Writes a AuthenticationClientPermissions to XML.
 *
 * @param writer The XML writer.
 * @param _authenticationClientPermissions The AuthenticationClientPermissions to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0AuthenticationClientPermissionsType(xmlTextWriterPtr writer, struct security_rest_api_ns0_authenticationClientPermissions *_authenticationClientPermissions) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "loggedIn", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}loggedIn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}loggedIn...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_authenticationClientPermissions->loggedIn));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}loggedIn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}loggedIn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_authenticationClientPermissions->loggedInUsername != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "loggedInUsername", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}loggedInUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}loggedInUsername...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_authenticationClientPermissions->loggedInUsername));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}loggedInUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}loggedInUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_authenticationClientPermissions->loggedInUserSource != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "loggedInUserSource", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}loggedInUserSource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}loggedInUserSource...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_authenticationClientPermissions->loggedInUserSource));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}loggedInUserSource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}loggedInUserSource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_authenticationClientPermissions->permissions != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "permissions", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}permissions. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _authenticationClientPermissions->_sizeof_permissions; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "permission", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}permission. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}clientPermission for element {}permission...\n", status);
#endif
    status = xmlTextWriterWriteNs0ClientPermissionType(writer, &(_authenticationClientPermissions->permissions[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}clientPermission for element {}permission. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}permission. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_authenticationClientPermissions->permissions != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}permissions. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a AuthenticationClientPermissions.
 *
 * @param _authenticationClientPermissions The AuthenticationClientPermissions to free.
 */
static void freeNs0AuthenticationClientPermissionsType(struct security_rest_api_ns0_authenticationClientPermissions *_authenticationClientPermissions) {
  int i;
  if (_authenticationClientPermissions->loggedInUsername != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor loggedInUsername of type security_rest_api_ns0_authenticationClientPermissions...\n");
#endif
    freeXsStringType(_authenticationClientPermissions->loggedInUsername);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor loggedInUsername of type security_rest_api_ns0_authenticationClientPermissions...\n");
#endif
    free(_authenticationClientPermissions->loggedInUsername);
  }
  if (_authenticationClientPermissions->loggedInUserSource != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor loggedInUserSource of type security_rest_api_ns0_authenticationClientPermissions...\n");
#endif
    freeXsStringType(_authenticationClientPermissions->loggedInUserSource);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor loggedInUserSource of type security_rest_api_ns0_authenticationClientPermissions...\n");
#endif
    free(_authenticationClientPermissions->loggedInUserSource);
  }
  if (_authenticationClientPermissions->permissions != NULL) {
    for (i = 0; i < _authenticationClientPermissions->_sizeof_permissions; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor permissions[%i] of type security_rest_api_ns0_authenticationClientPermissions...\n", i);
#endif
      freeNs0ClientPermissionType(&(_authenticationClientPermissions->permissions[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor permissions of type security_rest_api_ns0_authenticationClientPermissions...\n");
#endif
    free(_authenticationClientPermissions->permissions);
  }
}
#endif /* DEF_security_rest_api_ns0_authenticationClientPermissions_M */
#ifndef DEF_security_rest_api_ns0_authenticationLoginResource_M
#define DEF_security_rest_api_ns0_authenticationLoginResource_M

/**
 * Reads a AuthenticationLoginResource from XML. The reader is assumed to be at the start element.
 *
 * @return the AuthenticationLoginResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_authenticationLoginResource *xmlTextReaderReadNs0AuthenticationLoginResourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_authenticationLoginResource *_authenticationLoginResource = calloc(1, sizeof(struct security_rest_api_ns0_authenticationLoginResource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0AuthenticationLoginResourceType(_authenticationLoginResource);
        free(_authenticationLoginResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "clientPermissions", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}clientPermissions of type {}authenticationClientPermissions.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0AuthenticationClientPermissionsType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}clientPermissions of type {}authenticationClientPermissions.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0AuthenticationLoginResourceType(_authenticationLoginResource);
          free(_authenticationLoginResource);
          return NULL;
        }

        _authenticationLoginResource->clientPermissions = ((struct security_rest_api_ns0_authenticationClientPermissions*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}authenticationLoginResource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}authenticationLoginResource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _authenticationLoginResource;
}

/**
 * Writes a AuthenticationLoginResource to XML.
 *
 * @param writer The XML writer.
 * @param _authenticationLoginResource The AuthenticationLoginResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0AuthenticationLoginResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_authenticationLoginResource *_authenticationLoginResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_authenticationLoginResource->clientPermissions != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "clientPermissions", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}clientPermissions. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}authenticationClientPermissions for element {}clientPermissions...\n", status);
#endif
    status = xmlTextWriterWriteNs0AuthenticationClientPermissionsType(writer, (_authenticationLoginResource->clientPermissions));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}authenticationClientPermissions for element {}clientPermissions. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}clientPermissions. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a AuthenticationLoginResource.
 *
 * @param _authenticationLoginResource The AuthenticationLoginResource to free.
 */
static void freeNs0AuthenticationLoginResourceType(struct security_rest_api_ns0_authenticationLoginResource *_authenticationLoginResource) {
  int i;
  if (_authenticationLoginResource->clientPermissions != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor clientPermissions of type security_rest_api_ns0_authenticationLoginResource...\n");
#endif
    freeNs0AuthenticationClientPermissionsType(_authenticationLoginResource->clientPermissions);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor clientPermissions of type security_rest_api_ns0_authenticationLoginResource...\n");
#endif
    free(_authenticationLoginResource->clientPermissions);
  }
}
#endif /* DEF_security_rest_api_ns0_authenticationLoginResource_M */
#ifndef DEF_security_rest_api_ns0_authenticationLoginResourceResponse_M
#define DEF_security_rest_api_ns0_authenticationLoginResourceResponse_M

/**
 * Reads a AuthenticationLoginResourceResponse element from XML. The element to be read is "authentication-login", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The AuthenticationLoginResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_authenticationLoginResourceResponse *xml_read_security_rest_api_ns0_authenticationLoginResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Authentication_loginElement(reader);
}

/**
 * Writes a AuthenticationLoginResourceResponse to XML under element name "authentication-login".
 *
 * @param writer The XML writer.
 * @param _authenticationLoginResourceResponse The AuthenticationLoginResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_authenticationLoginResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse) {
  return xmlTextWriterWriteNs0Authentication_loginElementNS(writer, _authenticationLoginResourceResponse, 1);
}

/**
 * Frees a AuthenticationLoginResourceResponse.
 *
 * @param _authenticationLoginResourceResponse The AuthenticationLoginResourceResponse to free.
 */
void free_security_rest_api_ns0_authenticationLoginResourceResponse(struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse) {
  freeNs0AuthenticationLoginResourceResponseType(_authenticationLoginResourceResponse);
  free(_authenticationLoginResourceResponse);
}

/**
 * Reads a AuthenticationLoginResourceResponse element from XML. The element to be read is "authentication-login", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The AuthenticationLoginResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_authenticationLoginResourceResponse *xmlTextReaderReadNs0Authentication_loginElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "authentication-login", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}authentication-login.\n");
#endif
    _authenticationLoginResourceResponse = xmlTextReaderReadNs0AuthenticationLoginResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_authenticationLoginResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}authentication-login failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}authentication-login failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _authenticationLoginResourceResponse;
}

/**
 * Writes a AuthenticationLoginResourceResponse to XML under element name "authentication-login".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _authenticationLoginResourceResponse The AuthenticationLoginResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Authentication_loginElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse) {
  return xmlTextWriterWriteNs0Authentication_loginElementNS(writer, _authenticationLoginResourceResponse, 0);
}

/**
 * Writes a AuthenticationLoginResourceResponse to XML under element name "authentication-login".
 *
 * @param writer The XML writer.
 * @param _authenticationLoginResourceResponse The AuthenticationLoginResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Authentication_loginElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "authentication-login", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}authentication-login. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}authenticationLoginResourceResponse for root element {}authentication-login...\n");
#endif
  status = xmlTextWriterWriteNs0AuthenticationLoginResourceResponseType(writer, _authenticationLoginResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}authentication-login. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}authentication-login. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a AuthenticationLoginResourceResponse.
 *
 * @param _authenticationLoginResourceResponse The AuthenticationLoginResourceResponse whose children are to be free.
 */
static void freeNs0Authentication_loginElement(struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse) {
  freeNs0AuthenticationLoginResourceResponseType(_authenticationLoginResourceResponse);
}

/**
 * Reads a AuthenticationLoginResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the AuthenticationLoginResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_authenticationLoginResourceResponse *xmlTextReaderReadNs0AuthenticationLoginResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse = calloc(1, sizeof(struct security_rest_api_ns0_authenticationLoginResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0AuthenticationLoginResourceResponseType(_authenticationLoginResourceResponse);
        free(_authenticationLoginResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}authenticationLoginResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0AuthenticationLoginResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}authenticationLoginResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0AuthenticationLoginResourceResponseType(_authenticationLoginResourceResponse);
          free(_authenticationLoginResourceResponse);
          return NULL;
        }

        _authenticationLoginResourceResponse->data = ((struct security_rest_api_ns0_authenticationLoginResource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}authenticationLoginResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}authenticationLoginResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _authenticationLoginResourceResponse;
}

/**
 * Writes a AuthenticationLoginResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _authenticationLoginResourceResponse The AuthenticationLoginResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0AuthenticationLoginResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_authenticationLoginResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}authenticationLoginResource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0AuthenticationLoginResourceType(writer, (_authenticationLoginResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}authenticationLoginResource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a AuthenticationLoginResourceResponse.
 *
 * @param _authenticationLoginResourceResponse The AuthenticationLoginResourceResponse to free.
 */
static void freeNs0AuthenticationLoginResourceResponseType(struct security_rest_api_ns0_authenticationLoginResourceResponse *_authenticationLoginResourceResponse) {
  int i;
  if (_authenticationLoginResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type security_rest_api_ns0_authenticationLoginResourceResponse...\n");
#endif
    freeNs0AuthenticationLoginResourceType(_authenticationLoginResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_authenticationLoginResourceResponse...\n");
#endif
    free(_authenticationLoginResourceResponse->data);
  }
}
#endif /* DEF_security_rest_api_ns0_authenticationLoginResourceResponse_M */
#ifndef DEF_security_rest_api_ns0_clientPermission_M
#define DEF_security_rest_api_ns0_clientPermission_M

/**
 * Reads a ClientPermission from XML. The reader is assumed to be at the start element.
 *
 * @return the ClientPermission, or NULL in case of error.
 */
static struct security_rest_api_ns0_clientPermission *xmlTextReaderReadNs0ClientPermissionType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_clientPermission *_clientPermission = calloc(1, sizeof(struct security_rest_api_ns0_clientPermission));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0ClientPermissionType(_clientPermission);
        free(_clientPermission);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ClientPermissionType(_clientPermission);
          free(_clientPermission);
          return NULL;
        }

        _clientPermission->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "value", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}value of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
        _child_accessor = xmlTextReaderReadXsIntType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}value of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ClientPermissionType(_clientPermission);
          free(_clientPermission);
          return NULL;
        }

        _clientPermission->value = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}clientPermission.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}clientPermission. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _clientPermission;
}

/**
 * Writes a ClientPermission to XML.
 *
 * @param writer The XML writer.
 * @param _clientPermission The ClientPermission to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0ClientPermissionType(xmlTextWriterPtr writer, struct security_rest_api_ns0_clientPermission *_clientPermission) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_clientPermission->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_clientPermission->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "value", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}value. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}int for element {}value...\n", status);
#endif
    status = xmlTextWriterWriteXsIntType(writer, &(_clientPermission->value));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}int for element {}value. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}value. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ClientPermission.
 *
 * @param _clientPermission The ClientPermission to free.
 */
static void freeNs0ClientPermissionType(struct security_rest_api_ns0_clientPermission *_clientPermission) {
  int i;
  if (_clientPermission->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type security_rest_api_ns0_clientPermission...\n");
#endif
    freeXsStringType(_clientPermission->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type security_rest_api_ns0_clientPermission...\n");
#endif
    free(_clientPermission->id);
  }
}
#endif /* DEF_security_rest_api_ns0_clientPermission_M */
#ifndef DEF_security_rest_api_ns0_mapping_M
#define DEF_security_rest_api_ns0_mapping_M

/**
 * Reads a ExternalRoleMappingResource from XML. The reader is assumed to be at the start element.
 *
 * @return the ExternalRoleMappingResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_mapping *xmlTextReaderReadNs0MappingType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_mapping *_externalRoleMappingResource = calloc(1, sizeof(struct security_rest_api_ns0_mapping));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0MappingType(_externalRoleMappingResource);
        free(_externalRoleMappingResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "defaultRole", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}defaultRole of type {}plexus-role.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Plexus_roleType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}defaultRole of type {}plexus-role.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0MappingType(_externalRoleMappingResource);
          free(_externalRoleMappingResource);
          return NULL;
        }

        _externalRoleMappingResource->defaultRole = ((struct security_rest_api_ns0_plexus_role*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "mappedRoles", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}mappedRoles...\n");
#endif
          //start wrapper element "{}mappedRoles"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0MappingType(_externalRoleMappingResource);
              free(_externalRoleMappingResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "plexus-role", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}plexus-role of type {}plexus-role.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Plexus_roleType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}plexus-role of type {}plexus-role.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0MappingType(_externalRoleMappingResource);
          free(_externalRoleMappingResource);
          return NULL;
        }

        _externalRoleMappingResource->mappedRoles = realloc(_externalRoleMappingResource->mappedRoles, (_externalRoleMappingResource->_sizeof_mappedRoles + 1) * sizeof(struct security_rest_api_ns0_plexus_role));
        memcpy(&(_externalRoleMappingResource->mappedRoles[_externalRoleMappingResource->_sizeof_mappedRoles++]), _child_accessor, sizeof(struct security_rest_api_ns0_plexus_role));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}mappedRoles.\n");
#endif
          freeNs0MappingType(_externalRoleMappingResource);
          free(_externalRoleMappingResource);
          return NULL;
        }
        else {
          //end wrapper element "{}mappedRoles"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}mapping.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}mapping. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _externalRoleMappingResource;
}

/**
 * Writes a ExternalRoleMappingResource to XML.
 *
 * @param writer The XML writer.
 * @param _externalRoleMappingResource The ExternalRoleMappingResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0MappingType(xmlTextWriterPtr writer, struct security_rest_api_ns0_mapping *_externalRoleMappingResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_externalRoleMappingResource->defaultRole != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "defaultRole", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}defaultRole. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}plexus-role for element {}defaultRole...\n", status);
#endif
    status = xmlTextWriterWriteNs0Plexus_roleType(writer, (_externalRoleMappingResource->defaultRole));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}plexus-role for element {}defaultRole. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}defaultRole. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_externalRoleMappingResource->mappedRoles != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "mappedRoles", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}mappedRoles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _externalRoleMappingResource->_sizeof_mappedRoles; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "plexus-role", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}plexus-role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}plexus-role for element {}plexus-role...\n", status);
#endif
    status = xmlTextWriterWriteNs0Plexus_roleType(writer, &(_externalRoleMappingResource->mappedRoles[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}plexus-role for element {}plexus-role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}plexus-role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_externalRoleMappingResource->mappedRoles != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}mappedRoles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ExternalRoleMappingResource.
 *
 * @param _externalRoleMappingResource The ExternalRoleMappingResource to free.
 */
static void freeNs0MappingType(struct security_rest_api_ns0_mapping *_externalRoleMappingResource) {
  int i;
  if (_externalRoleMappingResource->defaultRole != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor defaultRole of type security_rest_api_ns0_mapping...\n");
#endif
    freeNs0Plexus_roleType(_externalRoleMappingResource->defaultRole);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor defaultRole of type security_rest_api_ns0_mapping...\n");
#endif
    free(_externalRoleMappingResource->defaultRole);
  }
  if (_externalRoleMappingResource->mappedRoles != NULL) {
    for (i = 0; i < _externalRoleMappingResource->_sizeof_mappedRoles; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor mappedRoles[%i] of type security_rest_api_ns0_mapping...\n", i);
#endif
      freeNs0Plexus_roleType(&(_externalRoleMappingResource->mappedRoles[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor mappedRoles of type security_rest_api_ns0_mapping...\n");
#endif
    free(_externalRoleMappingResource->mappedRoles);
  }
}
#endif /* DEF_security_rest_api_ns0_mapping_M */
#ifndef DEF_security_rest_api_ns0_externalRoleMappingResourceResponse_M
#define DEF_security_rest_api_ns0_externalRoleMappingResourceResponse_M

/**
 * Reads a ExternalRoleMappingResourceResponse element from XML. The element to be read is "external-role-mapping", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ExternalRoleMappingResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_externalRoleMappingResourceResponse *xml_read_security_rest_api_ns0_externalRoleMappingResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0External_role_mappingElement(reader);
}

/**
 * Writes a ExternalRoleMappingResourceResponse to XML under element name "external-role-mapping".
 *
 * @param writer The XML writer.
 * @param _externalRoleMappingResourceResponse The ExternalRoleMappingResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_externalRoleMappingResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse) {
  return xmlTextWriterWriteNs0External_role_mappingElementNS(writer, _externalRoleMappingResourceResponse, 1);
}

/**
 * Frees a ExternalRoleMappingResourceResponse.
 *
 * @param _externalRoleMappingResourceResponse The ExternalRoleMappingResourceResponse to free.
 */
void free_security_rest_api_ns0_externalRoleMappingResourceResponse(struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse) {
  freeNs0ExternalRoleMappingResourceResponseType(_externalRoleMappingResourceResponse);
  free(_externalRoleMappingResourceResponse);
}

/**
 * Reads a ExternalRoleMappingResourceResponse element from XML. The element to be read is "external-role-mapping", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The ExternalRoleMappingResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_externalRoleMappingResourceResponse *xmlTextReaderReadNs0External_role_mappingElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "external-role-mapping", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}external-role-mapping.\n");
#endif
    _externalRoleMappingResourceResponse = xmlTextReaderReadNs0ExternalRoleMappingResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_externalRoleMappingResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}external-role-mapping failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}external-role-mapping failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _externalRoleMappingResourceResponse;
}

/**
 * Writes a ExternalRoleMappingResourceResponse to XML under element name "external-role-mapping".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _externalRoleMappingResourceResponse The ExternalRoleMappingResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0External_role_mappingElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse) {
  return xmlTextWriterWriteNs0External_role_mappingElementNS(writer, _externalRoleMappingResourceResponse, 0);
}

/**
 * Writes a ExternalRoleMappingResourceResponse to XML under element name "external-role-mapping".
 *
 * @param writer The XML writer.
 * @param _externalRoleMappingResourceResponse The ExternalRoleMappingResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0External_role_mappingElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "external-role-mapping", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}external-role-mapping. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}externalRoleMappingResourceResponse for root element {}external-role-mapping...\n");
#endif
  status = xmlTextWriterWriteNs0ExternalRoleMappingResourceResponseType(writer, _externalRoleMappingResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}external-role-mapping. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}external-role-mapping. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a ExternalRoleMappingResourceResponse.
 *
 * @param _externalRoleMappingResourceResponse The ExternalRoleMappingResourceResponse whose children are to be free.
 */
static void freeNs0External_role_mappingElement(struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse) {
  freeNs0ExternalRoleMappingResourceResponseType(_externalRoleMappingResourceResponse);
}

/**
 * Reads a ExternalRoleMappingResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the ExternalRoleMappingResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_externalRoleMappingResourceResponse *xmlTextReaderReadNs0ExternalRoleMappingResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse = calloc(1, sizeof(struct security_rest_api_ns0_externalRoleMappingResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0ExternalRoleMappingResourceResponseType(_externalRoleMappingResourceResponse);
        free(_externalRoleMappingResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0ExternalRoleMappingResourceResponseType(_externalRoleMappingResourceResponse);
              free(_externalRoleMappingResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "mapping", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}mapping of type {}mapping.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0MappingType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}mapping of type {}mapping.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ExternalRoleMappingResourceResponseType(_externalRoleMappingResourceResponse);
          free(_externalRoleMappingResourceResponse);
          return NULL;
        }

        _externalRoleMappingResourceResponse->data = realloc(_externalRoleMappingResourceResponse->data, (_externalRoleMappingResourceResponse->_sizeof_data + 1) * sizeof(struct security_rest_api_ns0_mapping));
        memcpy(&(_externalRoleMappingResourceResponse->data[_externalRoleMappingResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct security_rest_api_ns0_mapping));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0ExternalRoleMappingResourceResponseType(_externalRoleMappingResourceResponse);
          free(_externalRoleMappingResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}externalRoleMappingResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}externalRoleMappingResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _externalRoleMappingResourceResponse;
}

/**
 * Writes a ExternalRoleMappingResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _externalRoleMappingResourceResponse The ExternalRoleMappingResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0ExternalRoleMappingResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_externalRoleMappingResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _externalRoleMappingResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "mapping", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}mapping. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}mapping for element {}mapping...\n", status);
#endif
    status = xmlTextWriterWriteNs0MappingType(writer, &(_externalRoleMappingResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}mapping for element {}mapping. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}mapping. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_externalRoleMappingResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ExternalRoleMappingResourceResponse.
 *
 * @param _externalRoleMappingResourceResponse The ExternalRoleMappingResourceResponse to free.
 */
static void freeNs0ExternalRoleMappingResourceResponseType(struct security_rest_api_ns0_externalRoleMappingResourceResponse *_externalRoleMappingResourceResponse) {
  int i;
  if (_externalRoleMappingResourceResponse->data != NULL) {
    for (i = 0; i < _externalRoleMappingResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type security_rest_api_ns0_externalRoleMappingResourceResponse...\n", i);
#endif
      freeNs0MappingType(&(_externalRoleMappingResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_externalRoleMappingResourceResponse...\n");
#endif
    free(_externalRoleMappingResourceResponse->data);
  }
}
#endif /* DEF_security_rest_api_ns0_externalRoleMappingResourceResponse_M */
#ifndef DEF_security_rest_api_ns0_component_M
#define DEF_security_rest_api_ns0_component_M

/**
 * Reads a PlexusComponentListResource from XML. The reader is assumed to be at the start element.
 *
 * @return the PlexusComponentListResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_component *xmlTextReaderReadNs0ComponentType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_component *_plexusComponentListResource = calloc(1, sizeof(struct security_rest_api_ns0_component));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0ComponentType(_plexusComponentListResource);
        free(_plexusComponentListResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "roleHint", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}roleHint of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}roleHint of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ComponentType(_plexusComponentListResource);
          free(_plexusComponentListResource);
          return NULL;
        }

        _plexusComponentListResource->roleHint = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "description", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}description of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}description of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ComponentType(_plexusComponentListResource);
          free(_plexusComponentListResource);
          return NULL;
        }

        _plexusComponentListResource->description = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}component.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}component. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _plexusComponentListResource;
}

/**
 * Writes a PlexusComponentListResource to XML.
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResource The PlexusComponentListResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0ComponentType(xmlTextWriterPtr writer, struct security_rest_api_ns0_component *_plexusComponentListResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_plexusComponentListResource->roleHint != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "roleHint", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}roleHint. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}roleHint...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_plexusComponentListResource->roleHint));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}roleHint. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}roleHint. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_plexusComponentListResource->description != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "description", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}description...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_plexusComponentListResource->description));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PlexusComponentListResource.
 *
 * @param _plexusComponentListResource The PlexusComponentListResource to free.
 */
static void freeNs0ComponentType(struct security_rest_api_ns0_component *_plexusComponentListResource) {
  int i;
  if (_plexusComponentListResource->roleHint != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor roleHint of type security_rest_api_ns0_component...\n");
#endif
    freeXsStringType(_plexusComponentListResource->roleHint);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor roleHint of type security_rest_api_ns0_component...\n");
#endif
    free(_plexusComponentListResource->roleHint);
  }
  if (_plexusComponentListResource->description != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor description of type security_rest_api_ns0_component...\n");
#endif
    freeXsStringType(_plexusComponentListResource->description);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor description of type security_rest_api_ns0_component...\n");
#endif
    free(_plexusComponentListResource->description);
  }
}
#endif /* DEF_security_rest_api_ns0_component_M */
#ifndef DEF_security_rest_api_ns0_plexusComponentListResourceResponse_M
#define DEF_security_rest_api_ns0_plexusComponentListResourceResponse_M

/**
 * Reads a PlexusComponentListResourceResponse element from XML. The element to be read is "sec-components-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PlexusComponentListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusComponentListResourceResponse *xml_read_security_rest_api_ns0_plexusComponentListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Sec_components_listElement(reader);
}

/**
 * Writes a PlexusComponentListResourceResponse to XML under element name "sec-components-list".
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_plexusComponentListResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse) {
  return xmlTextWriterWriteNs0Sec_components_listElementNS(writer, _plexusComponentListResourceResponse, 1);
}

/**
 * Frees a PlexusComponentListResourceResponse.
 *
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to free.
 */
void free_security_rest_api_ns0_plexusComponentListResourceResponse(struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse) {
  freeNs0PlexusComponentListResourceResponseType(_plexusComponentListResourceResponse);
  free(_plexusComponentListResourceResponse);
}

/**
 * Reads a PlexusComponentListResourceResponse element from XML. The element to be read is "sec-components-list", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The PlexusComponentListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusComponentListResourceResponse *xmlTextReaderReadNs0Sec_components_listElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "sec-components-list", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}sec-components-list.\n");
#endif
    _plexusComponentListResourceResponse = xmlTextReaderReadNs0PlexusComponentListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_plexusComponentListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}sec-components-list failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}sec-components-list failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _plexusComponentListResourceResponse;
}

/**
 * Writes a PlexusComponentListResourceResponse to XML under element name "sec-components-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Sec_components_listElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse) {
  return xmlTextWriterWriteNs0Sec_components_listElementNS(writer, _plexusComponentListResourceResponse, 0);
}

/**
 * Writes a PlexusComponentListResourceResponse to XML under element name "sec-components-list".
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Sec_components_listElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "sec-components-list", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}sec-components-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}plexusComponentListResourceResponse for root element {}sec-components-list...\n");
#endif
  status = xmlTextWriterWriteNs0PlexusComponentListResourceResponseType(writer, _plexusComponentListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}sec-components-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}sec-components-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a PlexusComponentListResourceResponse.
 *
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse whose children are to be free.
 */
static void freeNs0Sec_components_listElement(struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse) {
  freeNs0PlexusComponentListResourceResponseType(_plexusComponentListResourceResponse);
}

/**
 * Reads a PlexusComponentListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the PlexusComponentListResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexusComponentListResourceResponse *xmlTextReaderReadNs0PlexusComponentListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse = calloc(1, sizeof(struct security_rest_api_ns0_plexusComponentListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PlexusComponentListResourceResponseType(_plexusComponentListResourceResponse);
        free(_plexusComponentListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0PlexusComponentListResourceResponseType(_plexusComponentListResourceResponse);
              free(_plexusComponentListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "component", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}component of type {}component.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0ComponentType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}component of type {}component.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PlexusComponentListResourceResponseType(_plexusComponentListResourceResponse);
          free(_plexusComponentListResourceResponse);
          return NULL;
        }

        _plexusComponentListResourceResponse->data = realloc(_plexusComponentListResourceResponse->data, (_plexusComponentListResourceResponse->_sizeof_data + 1) * sizeof(struct security_rest_api_ns0_component));
        memcpy(&(_plexusComponentListResourceResponse->data[_plexusComponentListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct security_rest_api_ns0_component));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0PlexusComponentListResourceResponseType(_plexusComponentListResourceResponse);
          free(_plexusComponentListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}plexusComponentListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}plexusComponentListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _plexusComponentListResourceResponse;
}

/**
 * Writes a PlexusComponentListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PlexusComponentListResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_plexusComponentListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _plexusComponentListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "component", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}component. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}component for element {}component...\n", status);
#endif
    status = xmlTextWriterWriteNs0ComponentType(writer, &(_plexusComponentListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}component for element {}component. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}component. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_plexusComponentListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PlexusComponentListResourceResponse.
 *
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to free.
 */
static void freeNs0PlexusComponentListResourceResponseType(struct security_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse) {
  int i;
  if (_plexusComponentListResourceResponse->data != NULL) {
    for (i = 0; i < _plexusComponentListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type security_rest_api_ns0_plexusComponentListResourceResponse...\n", i);
#endif
      freeNs0ComponentType(&(_plexusComponentListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_plexusComponentListResourceResponse...\n");
#endif
    free(_plexusComponentListResourceResponse->data);
  }
}
#endif /* DEF_security_rest_api_ns0_plexusComponentListResourceResponse_M */
#ifndef DEF_security_rest_api_ns0_plexusRoleListResourceResponse_M
#define DEF_security_rest_api_ns0_plexusRoleListResourceResponse_M

/**
 * Reads a PlexusRoleListResourceResponse element from XML. The element to be read is "plexus-roles", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PlexusRoleListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusRoleListResourceResponse *xml_read_security_rest_api_ns0_plexusRoleListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Plexus_rolesElement(reader);
}

/**
 * Writes a PlexusRoleListResourceResponse to XML under element name "plexus-roles".
 *
 * @param writer The XML writer.
 * @param _plexusRoleListResourceResponse The PlexusRoleListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_plexusRoleListResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse) {
  return xmlTextWriterWriteNs0Plexus_rolesElementNS(writer, _plexusRoleListResourceResponse, 1);
}

/**
 * Frees a PlexusRoleListResourceResponse.
 *
 * @param _plexusRoleListResourceResponse The PlexusRoleListResourceResponse to free.
 */
void free_security_rest_api_ns0_plexusRoleListResourceResponse(struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse) {
  freeNs0PlexusRoleListResourceResponseType(_plexusRoleListResourceResponse);
  free(_plexusRoleListResourceResponse);
}

/**
 * Reads a PlexusRoleListResourceResponse element from XML. The element to be read is "plexus-roles", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The PlexusRoleListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusRoleListResourceResponse *xmlTextReaderReadNs0Plexus_rolesElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "plexus-roles", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}plexus-roles.\n");
#endif
    _plexusRoleListResourceResponse = xmlTextReaderReadNs0PlexusRoleListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_plexusRoleListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}plexus-roles failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}plexus-roles failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _plexusRoleListResourceResponse;
}

/**
 * Writes a PlexusRoleListResourceResponse to XML under element name "plexus-roles".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _plexusRoleListResourceResponse The PlexusRoleListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Plexus_rolesElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse) {
  return xmlTextWriterWriteNs0Plexus_rolesElementNS(writer, _plexusRoleListResourceResponse, 0);
}

/**
 * Writes a PlexusRoleListResourceResponse to XML under element name "plexus-roles".
 *
 * @param writer The XML writer.
 * @param _plexusRoleListResourceResponse The PlexusRoleListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Plexus_rolesElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "plexus-roles", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}plexus-roles. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}plexusRoleListResourceResponse for root element {}plexus-roles...\n");
#endif
  status = xmlTextWriterWriteNs0PlexusRoleListResourceResponseType(writer, _plexusRoleListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}plexus-roles. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}plexus-roles. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a PlexusRoleListResourceResponse.
 *
 * @param _plexusRoleListResourceResponse The PlexusRoleListResourceResponse whose children are to be free.
 */
static void freeNs0Plexus_rolesElement(struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse) {
  freeNs0PlexusRoleListResourceResponseType(_plexusRoleListResourceResponse);
}

/**
 * Reads a PlexusRoleListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the PlexusRoleListResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexusRoleListResourceResponse *xmlTextReaderReadNs0PlexusRoleListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse = calloc(1, sizeof(struct security_rest_api_ns0_plexusRoleListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PlexusRoleListResourceResponseType(_plexusRoleListResourceResponse);
        free(_plexusRoleListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0PlexusRoleListResourceResponseType(_plexusRoleListResourceResponse);
              free(_plexusRoleListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "plexus-role", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}plexus-role of type {}plexus-role.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Plexus_roleType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}plexus-role of type {}plexus-role.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PlexusRoleListResourceResponseType(_plexusRoleListResourceResponse);
          free(_plexusRoleListResourceResponse);
          return NULL;
        }

        _plexusRoleListResourceResponse->data = realloc(_plexusRoleListResourceResponse->data, (_plexusRoleListResourceResponse->_sizeof_data + 1) * sizeof(struct security_rest_api_ns0_plexus_role));
        memcpy(&(_plexusRoleListResourceResponse->data[_plexusRoleListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct security_rest_api_ns0_plexus_role));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0PlexusRoleListResourceResponseType(_plexusRoleListResourceResponse);
          free(_plexusRoleListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}plexusRoleListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}plexusRoleListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _plexusRoleListResourceResponse;
}

/**
 * Writes a PlexusRoleListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _plexusRoleListResourceResponse The PlexusRoleListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PlexusRoleListResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_plexusRoleListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _plexusRoleListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "plexus-role", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}plexus-role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}plexus-role for element {}plexus-role...\n", status);
#endif
    status = xmlTextWriterWriteNs0Plexus_roleType(writer, &(_plexusRoleListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}plexus-role for element {}plexus-role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}plexus-role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_plexusRoleListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PlexusRoleListResourceResponse.
 *
 * @param _plexusRoleListResourceResponse The PlexusRoleListResourceResponse to free.
 */
static void freeNs0PlexusRoleListResourceResponseType(struct security_rest_api_ns0_plexusRoleListResourceResponse *_plexusRoleListResourceResponse) {
  int i;
  if (_plexusRoleListResourceResponse->data != NULL) {
    for (i = 0; i < _plexusRoleListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type security_rest_api_ns0_plexusRoleListResourceResponse...\n", i);
#endif
      freeNs0Plexus_roleType(&(_plexusRoleListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_plexusRoleListResourceResponse...\n");
#endif
    free(_plexusRoleListResourceResponse->data);
  }
}
#endif /* DEF_security_rest_api_ns0_plexusRoleListResourceResponse_M */
#ifndef DEF_security_rest_api_ns0_plexus_role_M
#define DEF_security_rest_api_ns0_plexus_role_M

/**
 * Reads a PlexusRoleResource from XML. The reader is assumed to be at the start element.
 *
 * @return the PlexusRoleResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexus_role *xmlTextReaderReadNs0Plexus_roleType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_plexus_role *_plexusRoleResource = calloc(1, sizeof(struct security_rest_api_ns0_plexus_role));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Plexus_roleType(_plexusRoleResource);
        free(_plexusRoleResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "roleId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}roleId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}roleId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Plexus_roleType(_plexusRoleResource);
          free(_plexusRoleResource);
          return NULL;
        }

        _plexusRoleResource->roleId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Plexus_roleType(_plexusRoleResource);
          free(_plexusRoleResource);
          return NULL;
        }

        _plexusRoleResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "source", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}source of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}source of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Plexus_roleType(_plexusRoleResource);
          free(_plexusRoleResource);
          return NULL;
        }

        _plexusRoleResource->source = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}plexus-role.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}plexus-role. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _plexusRoleResource;
}

/**
 * Writes a PlexusRoleResource to XML.
 *
 * @param writer The XML writer.
 * @param _plexusRoleResource The PlexusRoleResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Plexus_roleType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexus_role *_plexusRoleResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_plexusRoleResource->roleId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "roleId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}roleId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}roleId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_plexusRoleResource->roleId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}roleId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}roleId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_plexusRoleResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_plexusRoleResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_plexusRoleResource->source != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "source", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}source. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}source...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_plexusRoleResource->source));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}source. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}source. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PlexusRoleResource.
 *
 * @param _plexusRoleResource The PlexusRoleResource to free.
 */
static void freeNs0Plexus_roleType(struct security_rest_api_ns0_plexus_role *_plexusRoleResource) {
  int i;
  if (_plexusRoleResource->roleId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor roleId of type security_rest_api_ns0_plexus_role...\n");
#endif
    freeXsStringType(_plexusRoleResource->roleId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor roleId of type security_rest_api_ns0_plexus_role...\n");
#endif
    free(_plexusRoleResource->roleId);
  }
  if (_plexusRoleResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type security_rest_api_ns0_plexus_role...\n");
#endif
    freeXsStringType(_plexusRoleResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type security_rest_api_ns0_plexus_role...\n");
#endif
    free(_plexusRoleResource->name);
  }
  if (_plexusRoleResource->source != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor source of type security_rest_api_ns0_plexus_role...\n");
#endif
    freeXsStringType(_plexusRoleResource->source);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor source of type security_rest_api_ns0_plexus_role...\n");
#endif
    free(_plexusRoleResource->source);
  }
}
#endif /* DEF_security_rest_api_ns0_plexus_role_M */
#ifndef DEF_security_rest_api_ns0_plexusUserListResourceResponse_M
#define DEF_security_rest_api_ns0_plexusUserListResourceResponse_M

/**
 * Reads a PlexusUserListResourceResponse element from XML. The element to be read is "plexus-user-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PlexusUserListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusUserListResourceResponse *xml_read_security_rest_api_ns0_plexusUserListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Plexus_user_listElement(reader);
}

/**
 * Writes a PlexusUserListResourceResponse to XML under element name "plexus-user-list".
 *
 * @param writer The XML writer.
 * @param _plexusUserListResourceResponse The PlexusUserListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_plexusUserListResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse) {
  return xmlTextWriterWriteNs0Plexus_user_listElementNS(writer, _plexusUserListResourceResponse, 1);
}

/**
 * Frees a PlexusUserListResourceResponse.
 *
 * @param _plexusUserListResourceResponse The PlexusUserListResourceResponse to free.
 */
void free_security_rest_api_ns0_plexusUserListResourceResponse(struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse) {
  freeNs0PlexusUserListResourceResponseType(_plexusUserListResourceResponse);
  free(_plexusUserListResourceResponse);
}

/**
 * Reads a PlexusUserListResourceResponse element from XML. The element to be read is "plexus-user-list", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The PlexusUserListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusUserListResourceResponse *xmlTextReaderReadNs0Plexus_user_listElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "plexus-user-list", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}plexus-user-list.\n");
#endif
    _plexusUserListResourceResponse = xmlTextReaderReadNs0PlexusUserListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_plexusUserListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}plexus-user-list failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}plexus-user-list failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _plexusUserListResourceResponse;
}

/**
 * Writes a PlexusUserListResourceResponse to XML under element name "plexus-user-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _plexusUserListResourceResponse The PlexusUserListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Plexus_user_listElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse) {
  return xmlTextWriterWriteNs0Plexus_user_listElementNS(writer, _plexusUserListResourceResponse, 0);
}

/**
 * Writes a PlexusUserListResourceResponse to XML under element name "plexus-user-list".
 *
 * @param writer The XML writer.
 * @param _plexusUserListResourceResponse The PlexusUserListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Plexus_user_listElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "plexus-user-list", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}plexus-user-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}plexusUserListResourceResponse for root element {}plexus-user-list...\n");
#endif
  status = xmlTextWriterWriteNs0PlexusUserListResourceResponseType(writer, _plexusUserListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}plexus-user-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}plexus-user-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a PlexusUserListResourceResponse.
 *
 * @param _plexusUserListResourceResponse The PlexusUserListResourceResponse whose children are to be free.
 */
static void freeNs0Plexus_user_listElement(struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse) {
  freeNs0PlexusUserListResourceResponseType(_plexusUserListResourceResponse);
}

/**
 * Reads a PlexusUserListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the PlexusUserListResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexusUserListResourceResponse *xmlTextReaderReadNs0PlexusUserListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse = calloc(1, sizeof(struct security_rest_api_ns0_plexusUserListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PlexusUserListResourceResponseType(_plexusUserListResourceResponse);
        free(_plexusUserListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0PlexusUserListResourceResponseType(_plexusUserListResourceResponse);
              free(_plexusUserListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "plexus-user", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}plexus-user of type {}plexusUserResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0PlexusUserResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}plexus-user of type {}plexusUserResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PlexusUserListResourceResponseType(_plexusUserListResourceResponse);
          free(_plexusUserListResourceResponse);
          return NULL;
        }

        _plexusUserListResourceResponse->data = realloc(_plexusUserListResourceResponse->data, (_plexusUserListResourceResponse->_sizeof_data + 1) * sizeof(struct security_rest_api_ns0_plexusUserResource));
        memcpy(&(_plexusUserListResourceResponse->data[_plexusUserListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct security_rest_api_ns0_plexusUserResource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0PlexusUserListResourceResponseType(_plexusUserListResourceResponse);
          free(_plexusUserListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}plexusUserListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}plexusUserListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _plexusUserListResourceResponse;
}

/**
 * Writes a PlexusUserListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _plexusUserListResourceResponse The PlexusUserListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PlexusUserListResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_plexusUserListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _plexusUserListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "plexus-user", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}plexus-user. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}plexusUserResource for element {}plexus-user...\n", status);
#endif
    status = xmlTextWriterWriteNs0PlexusUserResourceType(writer, &(_plexusUserListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}plexusUserResource for element {}plexus-user. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}plexus-user. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_plexusUserListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PlexusUserListResourceResponse.
 *
 * @param _plexusUserListResourceResponse The PlexusUserListResourceResponse to free.
 */
static void freeNs0PlexusUserListResourceResponseType(struct security_rest_api_ns0_plexusUserListResourceResponse *_plexusUserListResourceResponse) {
  int i;
  if (_plexusUserListResourceResponse->data != NULL) {
    for (i = 0; i < _plexusUserListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type security_rest_api_ns0_plexusUserListResourceResponse...\n", i);
#endif
      freeNs0PlexusUserResourceType(&(_plexusUserListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_plexusUserListResourceResponse...\n");
#endif
    free(_plexusUserListResourceResponse->data);
  }
}
#endif /* DEF_security_rest_api_ns0_plexusUserListResourceResponse_M */
#ifndef DEF_security_rest_api_ns0_plexusUserResource_M
#define DEF_security_rest_api_ns0_plexusUserResource_M

/**
 * Reads a PlexusUserResource from XML. The reader is assumed to be at the start element.
 *
 * @return the PlexusUserResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexusUserResource *xmlTextReaderReadNs0PlexusUserResourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_plexusUserResource *_plexusUserResource = calloc(1, sizeof(struct security_rest_api_ns0_plexusUserResource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PlexusUserResourceType(_plexusUserResource);
        free(_plexusUserResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PlexusUserResourceType(_plexusUserResource);
          free(_plexusUserResource);
          return NULL;
        }

        _plexusUserResource->userId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "source", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}source of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}source of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PlexusUserResourceType(_plexusUserResource);
          free(_plexusUserResource);
          return NULL;
        }

        _plexusUserResource->source = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PlexusUserResourceType(_plexusUserResource);
          free(_plexusUserResource);
          return NULL;
        }

        _plexusUserResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "email", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}email of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}email of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PlexusUserResourceType(_plexusUserResource);
          free(_plexusUserResource);
          return NULL;
        }

        _plexusUserResource->email = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "roles", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}roles...\n");
#endif
          //start wrapper element "{}roles"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0PlexusUserResourceType(_plexusUserResource);
              free(_plexusUserResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "plexus-role", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}plexus-role of type {}plexus-role.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Plexus_roleType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}plexus-role of type {}plexus-role.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PlexusUserResourceType(_plexusUserResource);
          free(_plexusUserResource);
          return NULL;
        }

        _plexusUserResource->roles = realloc(_plexusUserResource->roles, (_plexusUserResource->_sizeof_roles + 1) * sizeof(struct security_rest_api_ns0_plexus_role));
        memcpy(&(_plexusUserResource->roles[_plexusUserResource->_sizeof_roles++]), _child_accessor, sizeof(struct security_rest_api_ns0_plexus_role));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}roles.\n");
#endif
          freeNs0PlexusUserResourceType(_plexusUserResource);
          free(_plexusUserResource);
          return NULL;
        }
        else {
          //end wrapper element "{}roles"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}plexusUserResource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}plexusUserResource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _plexusUserResource;
}

/**
 * Writes a PlexusUserResource to XML.
 *
 * @param writer The XML writer.
 * @param _plexusUserResource The PlexusUserResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PlexusUserResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserResource *_plexusUserResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_plexusUserResource->userId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_plexusUserResource->userId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_plexusUserResource->source != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "source", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}source. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}source...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_plexusUserResource->source));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}source. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}source. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_plexusUserResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_plexusUserResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_plexusUserResource->email != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "email", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}email. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}email...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_plexusUserResource->email));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}email. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}email. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_plexusUserResource->roles != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "roles", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}roles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _plexusUserResource->_sizeof_roles; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "plexus-role", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}plexus-role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}plexus-role for element {}plexus-role...\n", status);
#endif
    status = xmlTextWriterWriteNs0Plexus_roleType(writer, &(_plexusUserResource->roles[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}plexus-role for element {}plexus-role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}plexus-role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_plexusUserResource->roles != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}roles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PlexusUserResource.
 *
 * @param _plexusUserResource The PlexusUserResource to free.
 */
static void freeNs0PlexusUserResourceType(struct security_rest_api_ns0_plexusUserResource *_plexusUserResource) {
  int i;
  if (_plexusUserResource->userId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userId of type security_rest_api_ns0_plexusUserResource...\n");
#endif
    freeXsStringType(_plexusUserResource->userId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userId of type security_rest_api_ns0_plexusUserResource...\n");
#endif
    free(_plexusUserResource->userId);
  }
  if (_plexusUserResource->source != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor source of type security_rest_api_ns0_plexusUserResource...\n");
#endif
    freeXsStringType(_plexusUserResource->source);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor source of type security_rest_api_ns0_plexusUserResource...\n");
#endif
    free(_plexusUserResource->source);
  }
  if (_plexusUserResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type security_rest_api_ns0_plexusUserResource...\n");
#endif
    freeXsStringType(_plexusUserResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type security_rest_api_ns0_plexusUserResource...\n");
#endif
    free(_plexusUserResource->name);
  }
  if (_plexusUserResource->email != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor email of type security_rest_api_ns0_plexusUserResource...\n");
#endif
    freeXsStringType(_plexusUserResource->email);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor email of type security_rest_api_ns0_plexusUserResource...\n");
#endif
    free(_plexusUserResource->email);
  }
  if (_plexusUserResource->roles != NULL) {
    for (i = 0; i < _plexusUserResource->_sizeof_roles; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor roles[%i] of type security_rest_api_ns0_plexusUserResource...\n", i);
#endif
      freeNs0Plexus_roleType(&(_plexusUserResource->roles[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor roles of type security_rest_api_ns0_plexusUserResource...\n");
#endif
    free(_plexusUserResource->roles);
  }
}
#endif /* DEF_security_rest_api_ns0_plexusUserResource_M */
#ifndef DEF_security_rest_api_ns0_plexusUserResourceResponse_M
#define DEF_security_rest_api_ns0_plexusUserResourceResponse_M

/**
 * Reads a PlexusUserResourceResponse element from XML. The element to be read is "plexus-user", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PlexusUserResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusUserResourceResponse *xml_read_security_rest_api_ns0_plexusUserResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Plexus_userElement(reader);
}

/**
 * Writes a PlexusUserResourceResponse to XML under element name "plexus-user".
 *
 * @param writer The XML writer.
 * @param _plexusUserResourceResponse The PlexusUserResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_plexusUserResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse) {
  return xmlTextWriterWriteNs0Plexus_userElementNS(writer, _plexusUserResourceResponse, 1);
}

/**
 * Frees a PlexusUserResourceResponse.
 *
 * @param _plexusUserResourceResponse The PlexusUserResourceResponse to free.
 */
void free_security_rest_api_ns0_plexusUserResourceResponse(struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse) {
  freeNs0PlexusUserResourceResponseType(_plexusUserResourceResponse);
  free(_plexusUserResourceResponse);
}

/**
 * Reads a PlexusUserResourceResponse element from XML. The element to be read is "plexus-user", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The PlexusUserResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusUserResourceResponse *xmlTextReaderReadNs0Plexus_userElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "plexus-user", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}plexus-user.\n");
#endif
    _plexusUserResourceResponse = xmlTextReaderReadNs0PlexusUserResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_plexusUserResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}plexus-user failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}plexus-user failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _plexusUserResourceResponse;
}

/**
 * Writes a PlexusUserResourceResponse to XML under element name "plexus-user".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _plexusUserResourceResponse The PlexusUserResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Plexus_userElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse) {
  return xmlTextWriterWriteNs0Plexus_userElementNS(writer, _plexusUserResourceResponse, 0);
}

/**
 * Writes a PlexusUserResourceResponse to XML under element name "plexus-user".
 *
 * @param writer The XML writer.
 * @param _plexusUserResourceResponse The PlexusUserResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Plexus_userElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "plexus-user", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}plexus-user. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}plexusUserResourceResponse for root element {}plexus-user...\n");
#endif
  status = xmlTextWriterWriteNs0PlexusUserResourceResponseType(writer, _plexusUserResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}plexus-user. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}plexus-user. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a PlexusUserResourceResponse.
 *
 * @param _plexusUserResourceResponse The PlexusUserResourceResponse whose children are to be free.
 */
static void freeNs0Plexus_userElement(struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse) {
  freeNs0PlexusUserResourceResponseType(_plexusUserResourceResponse);
}

/**
 * Reads a PlexusUserResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the PlexusUserResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexusUserResourceResponse *xmlTextReaderReadNs0PlexusUserResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse = calloc(1, sizeof(struct security_rest_api_ns0_plexusUserResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PlexusUserResourceResponseType(_plexusUserResourceResponse);
        free(_plexusUserResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}plexusUserResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0PlexusUserResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}plexusUserResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PlexusUserResourceResponseType(_plexusUserResourceResponse);
          free(_plexusUserResourceResponse);
          return NULL;
        }

        _plexusUserResourceResponse->data = ((struct security_rest_api_ns0_plexusUserResource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}plexusUserResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}plexusUserResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _plexusUserResourceResponse;
}

/**
 * Writes a PlexusUserResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _plexusUserResourceResponse The PlexusUserResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PlexusUserResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_plexusUserResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}plexusUserResource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0PlexusUserResourceType(writer, (_plexusUserResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}plexusUserResource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PlexusUserResourceResponse.
 *
 * @param _plexusUserResourceResponse The PlexusUserResourceResponse to free.
 */
static void freeNs0PlexusUserResourceResponseType(struct security_rest_api_ns0_plexusUserResourceResponse *_plexusUserResourceResponse) {
  int i;
  if (_plexusUserResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type security_rest_api_ns0_plexusUserResourceResponse...\n");
#endif
    freeNs0PlexusUserResourceType(_plexusUserResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_plexusUserResourceResponse...\n");
#endif
    free(_plexusUserResourceResponse->data);
  }
}
#endif /* DEF_security_rest_api_ns0_plexusUserResourceResponse_M */
#ifndef DEF_security_rest_api_ns0_plexusUserSearchCriteriaResource_M
#define DEF_security_rest_api_ns0_plexusUserSearchCriteriaResource_M

/**
 * Reads a PlexusUserSearchCriteriaResource from XML. The reader is assumed to be at the start element.
 *
 * @return the PlexusUserSearchCriteriaResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexusUserSearchCriteriaResource *xmlTextReaderReadNs0PlexusUserSearchCriteriaResourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_plexusUserSearchCriteriaResource *_plexusUserSearchCriteriaResource = calloc(1, sizeof(struct security_rest_api_ns0_plexusUserSearchCriteriaResource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PlexusUserSearchCriteriaResourceType(_plexusUserSearchCriteriaResource);
        free(_plexusUserSearchCriteriaResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PlexusUserSearchCriteriaResourceType(_plexusUserSearchCriteriaResource);
          free(_plexusUserSearchCriteriaResource);
          return NULL;
        }

        _plexusUserSearchCriteriaResource->userId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "effectiveUsers", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}effectiveUsers of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}effectiveUsers of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PlexusUserSearchCriteriaResourceType(_plexusUserSearchCriteriaResource);
          free(_plexusUserSearchCriteriaResource);
          return NULL;
        }

        _plexusUserSearchCriteriaResource->effectiveUsers = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}plexusUserSearchCriteriaResource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}plexusUserSearchCriteriaResource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _plexusUserSearchCriteriaResource;
}

/**
 * Writes a PlexusUserSearchCriteriaResource to XML.
 *
 * @param writer The XML writer.
 * @param _plexusUserSearchCriteriaResource The PlexusUserSearchCriteriaResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PlexusUserSearchCriteriaResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserSearchCriteriaResource *_plexusUserSearchCriteriaResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_plexusUserSearchCriteriaResource->userId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_plexusUserSearchCriteriaResource->userId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "effectiveUsers", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}effectiveUsers. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}effectiveUsers...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_plexusUserSearchCriteriaResource->effectiveUsers));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}effectiveUsers. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}effectiveUsers. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PlexusUserSearchCriteriaResource.
 *
 * @param _plexusUserSearchCriteriaResource The PlexusUserSearchCriteriaResource to free.
 */
static void freeNs0PlexusUserSearchCriteriaResourceType(struct security_rest_api_ns0_plexusUserSearchCriteriaResource *_plexusUserSearchCriteriaResource) {
  int i;
  if (_plexusUserSearchCriteriaResource->userId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userId of type security_rest_api_ns0_plexusUserSearchCriteriaResource...\n");
#endif
    freeXsStringType(_plexusUserSearchCriteriaResource->userId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userId of type security_rest_api_ns0_plexusUserSearchCriteriaResource...\n");
#endif
    free(_plexusUserSearchCriteriaResource->userId);
  }
}
#endif /* DEF_security_rest_api_ns0_plexusUserSearchCriteriaResource_M */
#ifndef DEF_security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest_M
#define DEF_security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest_M

/**
 * Reads a PlexusUserSearchCriteriaResourceRequest element from XML. The element to be read is "user-search", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PlexusUserSearchCriteriaResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *xml_read_security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0User_searchElement(reader);
}

/**
 * Writes a PlexusUserSearchCriteriaResourceRequest to XML under element name "user-search".
 *
 * @param writer The XML writer.
 * @param _plexusUserSearchCriteriaResourceRequest The PlexusUserSearchCriteriaResourceRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest) {
  return xmlTextWriterWriteNs0User_searchElementNS(writer, _plexusUserSearchCriteriaResourceRequest, 1);
}

/**
 * Frees a PlexusUserSearchCriteriaResourceRequest.
 *
 * @param _plexusUserSearchCriteriaResourceRequest The PlexusUserSearchCriteriaResourceRequest to free.
 */
void free_security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest(struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest) {
  freeNs0PlexusUserSearchCriteriaResourceRequestType(_plexusUserSearchCriteriaResourceRequest);
  free(_plexusUserSearchCriteriaResourceRequest);
}

/**
 * Reads a PlexusUserSearchCriteriaResourceRequest element from XML. The element to be read is "user-search", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The PlexusUserSearchCriteriaResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *xmlTextReaderReadNs0User_searchElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "user-search", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}user-search.\n");
#endif
    _plexusUserSearchCriteriaResourceRequest = xmlTextReaderReadNs0PlexusUserSearchCriteriaResourceRequestType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_plexusUserSearchCriteriaResourceRequest == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}user-search failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}user-search failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _plexusUserSearchCriteriaResourceRequest;
}

/**
 * Writes a PlexusUserSearchCriteriaResourceRequest to XML under element name "user-search".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _plexusUserSearchCriteriaResourceRequest The PlexusUserSearchCriteriaResourceRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0User_searchElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest) {
  return xmlTextWriterWriteNs0User_searchElementNS(writer, _plexusUserSearchCriteriaResourceRequest, 0);
}

/**
 * Writes a PlexusUserSearchCriteriaResourceRequest to XML under element name "user-search".
 *
 * @param writer The XML writer.
 * @param _plexusUserSearchCriteriaResourceRequest The PlexusUserSearchCriteriaResourceRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0User_searchElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "user-search", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}user-search. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}plexusUserSearchCriteriaResourceRequest for root element {}user-search...\n");
#endif
  status = xmlTextWriterWriteNs0PlexusUserSearchCriteriaResourceRequestType(writer, _plexusUserSearchCriteriaResourceRequest);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}user-search. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}user-search. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a PlexusUserSearchCriteriaResourceRequest.
 *
 * @param _plexusUserSearchCriteriaResourceRequest The PlexusUserSearchCriteriaResourceRequest whose children are to be free.
 */
static void freeNs0User_searchElement(struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest) {
  freeNs0PlexusUserSearchCriteriaResourceRequestType(_plexusUserSearchCriteriaResourceRequest);
}

/**
 * Reads a PlexusUserSearchCriteriaResourceRequest from XML. The reader is assumed to be at the start element.
 *
 * @return the PlexusUserSearchCriteriaResourceRequest, or NULL in case of error.
 */
static struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *xmlTextReaderReadNs0PlexusUserSearchCriteriaResourceRequestType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest = calloc(1, sizeof(struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PlexusUserSearchCriteriaResourceRequestType(_plexusUserSearchCriteriaResourceRequest);
        free(_plexusUserSearchCriteriaResourceRequest);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}plexusUserSearchCriteriaResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0PlexusUserSearchCriteriaResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}plexusUserSearchCriteriaResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PlexusUserSearchCriteriaResourceRequestType(_plexusUserSearchCriteriaResourceRequest);
          free(_plexusUserSearchCriteriaResourceRequest);
          return NULL;
        }

        _plexusUserSearchCriteriaResourceRequest->data = ((struct security_rest_api_ns0_plexusUserSearchCriteriaResource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}plexusUserSearchCriteriaResourceRequest.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}plexusUserSearchCriteriaResourceRequest. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _plexusUserSearchCriteriaResourceRequest;
}

/**
 * Writes a PlexusUserSearchCriteriaResourceRequest to XML.
 *
 * @param writer The XML writer.
 * @param _plexusUserSearchCriteriaResourceRequest The PlexusUserSearchCriteriaResourceRequest to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PlexusUserSearchCriteriaResourceRequestType(xmlTextWriterPtr writer, struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_plexusUserSearchCriteriaResourceRequest->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}plexusUserSearchCriteriaResource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0PlexusUserSearchCriteriaResourceType(writer, (_plexusUserSearchCriteriaResourceRequest->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}plexusUserSearchCriteriaResource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PlexusUserSearchCriteriaResourceRequest.
 *
 * @param _plexusUserSearchCriteriaResourceRequest The PlexusUserSearchCriteriaResourceRequest to free.
 */
static void freeNs0PlexusUserSearchCriteriaResourceRequestType(struct security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest *_plexusUserSearchCriteriaResourceRequest) {
  int i;
  if (_plexusUserSearchCriteriaResourceRequest->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest...\n");
#endif
    freeNs0PlexusUserSearchCriteriaResourceType(_plexusUserSearchCriteriaResourceRequest->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest...\n");
#endif
    free(_plexusUserSearchCriteriaResourceRequest->data);
  }
}
#endif /* DEF_security_rest_api_ns0_plexusUserSearchCriteriaResourceRequest_M */
#ifndef DEF_security_rest_api_ns0_privilegeListResourceResponse_M
#define DEF_security_rest_api_ns0_privilegeListResourceResponse_M

/**
 * Reads a PrivilegeListResourceResponse element from XML. The element to be read is "privilege-list-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PrivilegeListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_privilegeListResourceResponse *xml_read_security_rest_api_ns0_privilegeListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Privilege_list_responseElement(reader);
}

/**
 * Writes a PrivilegeListResourceResponse to XML under element name "privilege-list-response".
 *
 * @param writer The XML writer.
 * @param _privilegeListResourceResponse The PrivilegeListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_privilegeListResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse) {
  return xmlTextWriterWriteNs0Privilege_list_responseElementNS(writer, _privilegeListResourceResponse, 1);
}

/**
 * Frees a PrivilegeListResourceResponse.
 *
 * @param _privilegeListResourceResponse The PrivilegeListResourceResponse to free.
 */
void free_security_rest_api_ns0_privilegeListResourceResponse(struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse) {
  freeNs0PrivilegeListResourceResponseType(_privilegeListResourceResponse);
  free(_privilegeListResourceResponse);
}

/**
 * Reads a PrivilegeListResourceResponse element from XML. The element to be read is "privilege-list-response", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_privilegeListResourceResponse *xmlTextReaderReadNs0Privilege_list_responseElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "privilege-list-response", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}privilege-list-response.\n");
#endif
    _privilegeListResourceResponse = xmlTextReaderReadNs0PrivilegeListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_privilegeListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}privilege-list-response failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}privilege-list-response failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _privilegeListResourceResponse;
}

/**
 * Writes a PrivilegeListResourceResponse to XML under element name "privilege-list-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _privilegeListResourceResponse The PrivilegeListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Privilege_list_responseElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse) {
  return xmlTextWriterWriteNs0Privilege_list_responseElementNS(writer, _privilegeListResourceResponse, 0);
}

/**
 * Writes a PrivilegeListResourceResponse to XML under element name "privilege-list-response".
 *
 * @param writer The XML writer.
 * @param _privilegeListResourceResponse The PrivilegeListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Privilege_list_responseElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "privilege-list-response", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}privilege-list-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}privilegeListResourceResponse for root element {}privilege-list-response...\n");
#endif
  status = xmlTextWriterWriteNs0PrivilegeListResourceResponseType(writer, _privilegeListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}privilege-list-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}privilege-list-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a PrivilegeListResourceResponse.
 *
 * @param _privilegeListResourceResponse The PrivilegeListResourceResponse whose children are to be free.
 */
static void freeNs0Privilege_list_responseElement(struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse) {
  freeNs0PrivilegeListResourceResponseType(_privilegeListResourceResponse);
}

/**
 * Reads a PrivilegeListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the PrivilegeListResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_privilegeListResourceResponse *xmlTextReaderReadNs0PrivilegeListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse = calloc(1, sizeof(struct security_rest_api_ns0_privilegeListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PrivilegeListResourceResponseType(_privilegeListResourceResponse);
        free(_privilegeListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0PrivilegeListResourceResponseType(_privilegeListResourceResponse);
              free(_privilegeListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "privilege-item", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}privilege-item of type {}privilegeStatusResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0PrivilegeStatusResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}privilege-item of type {}privilegeStatusResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeListResourceResponseType(_privilegeListResourceResponse);
          free(_privilegeListResourceResponse);
          return NULL;
        }

        _privilegeListResourceResponse->data = realloc(_privilegeListResourceResponse->data, (_privilegeListResourceResponse->_sizeof_data + 1) * sizeof(struct security_rest_api_ns0_privilegeStatusResource));
        memcpy(&(_privilegeListResourceResponse->data[_privilegeListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct security_rest_api_ns0_privilegeStatusResource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0PrivilegeListResourceResponseType(_privilegeListResourceResponse);
          free(_privilegeListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}privilegeListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}privilegeListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _privilegeListResourceResponse;
}

/**
 * Writes a PrivilegeListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeListResourceResponse The PrivilegeListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PrivilegeListResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_privilegeListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _privilegeListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "privilege-item", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}privilege-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}privilegeStatusResource for element {}privilege-item...\n", status);
#endif
    status = xmlTextWriterWriteNs0PrivilegeStatusResourceType(writer, &(_privilegeListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}privilegeStatusResource for element {}privilege-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}privilege-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_privilegeListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PrivilegeListResourceResponse.
 *
 * @param _privilegeListResourceResponse The PrivilegeListResourceResponse to free.
 */
static void freeNs0PrivilegeListResourceResponseType(struct security_rest_api_ns0_privilegeListResourceResponse *_privilegeListResourceResponse) {
  int i;
  if (_privilegeListResourceResponse->data != NULL) {
    for (i = 0; i < _privilegeListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type security_rest_api_ns0_privilegeListResourceResponse...\n", i);
#endif
      freeNs0PrivilegeStatusResourceType(&(_privilegeListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_privilegeListResourceResponse...\n");
#endif
    free(_privilegeListResourceResponse->data);
  }
}
#endif /* DEF_security_rest_api_ns0_privilegeListResourceResponse_M */
#ifndef DEF_security_rest_api_ns0_privilegeProperty_M
#define DEF_security_rest_api_ns0_privilegeProperty_M

/**
 * Reads a PrivilegeProperty from XML. The reader is assumed to be at the start element.
 *
 * @return the PrivilegeProperty, or NULL in case of error.
 */
static struct security_rest_api_ns0_privilegeProperty *xmlTextReaderReadNs0PrivilegePropertyType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_privilegeProperty *_privilegeProperty = calloc(1, sizeof(struct security_rest_api_ns0_privilegeProperty));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PrivilegePropertyType(_privilegeProperty);
        free(_privilegeProperty);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "key", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}key of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}key of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegePropertyType(_privilegeProperty);
          free(_privilegeProperty);
          return NULL;
        }

        _privilegeProperty->key = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "value", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}value of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}value of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegePropertyType(_privilegeProperty);
          free(_privilegeProperty);
          return NULL;
        }

        _privilegeProperty->value = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}privilegeProperty.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}privilegeProperty. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _privilegeProperty;
}

/**
 * Writes a PrivilegeProperty to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeProperty The PrivilegeProperty to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PrivilegePropertyType(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeProperty *_privilegeProperty) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_privilegeProperty->key != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "key", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}key. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}key...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeProperty->key));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}key. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}key. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_privilegeProperty->value != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "value", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}value. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}value...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeProperty->value));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}value. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}value. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PrivilegeProperty.
 *
 * @param _privilegeProperty The PrivilegeProperty to free.
 */
static void freeNs0PrivilegePropertyType(struct security_rest_api_ns0_privilegeProperty *_privilegeProperty) {
  int i;
  if (_privilegeProperty->key != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor key of type security_rest_api_ns0_privilegeProperty...\n");
#endif
    freeXsStringType(_privilegeProperty->key);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor key of type security_rest_api_ns0_privilegeProperty...\n");
#endif
    free(_privilegeProperty->key);
  }
  if (_privilegeProperty->value != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor value of type security_rest_api_ns0_privilegeProperty...\n");
#endif
    freeXsStringType(_privilegeProperty->value);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor value of type security_rest_api_ns0_privilegeProperty...\n");
#endif
    free(_privilegeProperty->value);
  }
}
#endif /* DEF_security_rest_api_ns0_privilegeProperty_M */
#ifndef DEF_security_rest_api_ns0_privilegeStatusResource_M
#define DEF_security_rest_api_ns0_privilegeStatusResource_M

/**
 * Reads a PrivilegeStatusResource from XML. The reader is assumed to be at the start element.
 *
 * @return the PrivilegeStatusResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_privilegeStatusResource *xmlTextReaderReadNs0PrivilegeStatusResourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_privilegeStatusResource *_privilegeStatusResource = calloc(1, sizeof(struct security_rest_api_ns0_privilegeStatusResource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PrivilegeStatusResourceType(_privilegeStatusResource);
        free(_privilegeStatusResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeStatusResourceType(_privilegeStatusResource);
          free(_privilegeStatusResource);
          return NULL;
        }

        _privilegeStatusResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeStatusResourceType(_privilegeStatusResource);
          free(_privilegeStatusResource);
          return NULL;
        }

        _privilegeStatusResource->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeStatusResourceType(_privilegeStatusResource);
          free(_privilegeStatusResource);
          return NULL;
        }

        _privilegeStatusResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "description", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}description of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}description of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeStatusResourceType(_privilegeStatusResource);
          free(_privilegeStatusResource);
          return NULL;
        }

        _privilegeStatusResource->description = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "type", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}type of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}type of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeStatusResourceType(_privilegeStatusResource);
          free(_privilegeStatusResource);
          return NULL;
        }

        _privilegeStatusResource->type = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userManaged", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userManaged of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userManaged of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeStatusResourceType(_privilegeStatusResource);
          free(_privilegeStatusResource);
          return NULL;
        }

        _privilegeStatusResource->userManaged = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "properties", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}properties...\n");
#endif
          //start wrapper element "{}properties"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0PrivilegeStatusResourceType(_privilegeStatusResource);
              free(_privilegeStatusResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "privilege-property", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}privilege-property of type {}privilegeProperty.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0PrivilegePropertyType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}privilege-property of type {}privilegeProperty.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeStatusResourceType(_privilegeStatusResource);
          free(_privilegeStatusResource);
          return NULL;
        }

        _privilegeStatusResource->properties = realloc(_privilegeStatusResource->properties, (_privilegeStatusResource->_sizeof_properties + 1) * sizeof(struct security_rest_api_ns0_privilegeProperty));
        memcpy(&(_privilegeStatusResource->properties[_privilegeStatusResource->_sizeof_properties++]), _child_accessor, sizeof(struct security_rest_api_ns0_privilegeProperty));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}properties.\n");
#endif
          freeNs0PrivilegeStatusResourceType(_privilegeStatusResource);
          free(_privilegeStatusResource);
          return NULL;
        }
        else {
          //end wrapper element "{}properties"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}privilegeStatusResource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}privilegeStatusResource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _privilegeStatusResource;
}

/**
 * Writes a PrivilegeStatusResource to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeStatusResource The PrivilegeStatusResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PrivilegeStatusResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeStatusResource *_privilegeStatusResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_privilegeStatusResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeStatusResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_privilegeStatusResource->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeStatusResource->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_privilegeStatusResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeStatusResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_privilegeStatusResource->description != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "description", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}description...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeStatusResource->description));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_privilegeStatusResource->type != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "type", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}type...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeStatusResource->type));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userManaged", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userManaged. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}userManaged...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_privilegeStatusResource->userManaged));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}userManaged. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userManaged. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_privilegeStatusResource->properties != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "properties", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}properties. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _privilegeStatusResource->_sizeof_properties; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "privilege-property", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}privilege-property. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}privilegeProperty for element {}privilege-property...\n", status);
#endif
    status = xmlTextWriterWriteNs0PrivilegePropertyType(writer, &(_privilegeStatusResource->properties[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}privilegeProperty for element {}privilege-property. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}privilege-property. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_privilegeStatusResource->properties != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}properties. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PrivilegeStatusResource.
 *
 * @param _privilegeStatusResource The PrivilegeStatusResource to free.
 */
static void freeNs0PrivilegeStatusResourceType(struct security_rest_api_ns0_privilegeStatusResource *_privilegeStatusResource) {
  int i;
  if (_privilegeStatusResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type security_rest_api_ns0_privilegeStatusResource...\n");
#endif
    freeXsStringType(_privilegeStatusResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type security_rest_api_ns0_privilegeStatusResource...\n");
#endif
    free(_privilegeStatusResource->id);
  }
  if (_privilegeStatusResource->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type security_rest_api_ns0_privilegeStatusResource...\n");
#endif
    freeXsStringType(_privilegeStatusResource->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type security_rest_api_ns0_privilegeStatusResource...\n");
#endif
    free(_privilegeStatusResource->resourceURI);
  }
  if (_privilegeStatusResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type security_rest_api_ns0_privilegeStatusResource...\n");
#endif
    freeXsStringType(_privilegeStatusResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type security_rest_api_ns0_privilegeStatusResource...\n");
#endif
    free(_privilegeStatusResource->name);
  }
  if (_privilegeStatusResource->description != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor description of type security_rest_api_ns0_privilegeStatusResource...\n");
#endif
    freeXsStringType(_privilegeStatusResource->description);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor description of type security_rest_api_ns0_privilegeStatusResource...\n");
#endif
    free(_privilegeStatusResource->description);
  }
  if (_privilegeStatusResource->type != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor type of type security_rest_api_ns0_privilegeStatusResource...\n");
#endif
    freeXsStringType(_privilegeStatusResource->type);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor type of type security_rest_api_ns0_privilegeStatusResource...\n");
#endif
    free(_privilegeStatusResource->type);
  }
  if (_privilegeStatusResource->properties != NULL) {
    for (i = 0; i < _privilegeStatusResource->_sizeof_properties; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor properties[%i] of type security_rest_api_ns0_privilegeStatusResource...\n", i);
#endif
      freeNs0PrivilegePropertyType(&(_privilegeStatusResource->properties[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor properties of type security_rest_api_ns0_privilegeStatusResource...\n");
#endif
    free(_privilegeStatusResource->properties);
  }
}
#endif /* DEF_security_rest_api_ns0_privilegeStatusResource_M */
#ifndef DEF_security_rest_api_ns0_privilegeStatusResourceResponse_M
#define DEF_security_rest_api_ns0_privilegeStatusResourceResponse_M

/**
 * Reads a PrivilegeStatusResourceResponse element from XML. The element to be read is "privilege-status-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PrivilegeStatusResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_privilegeStatusResourceResponse *xml_read_security_rest_api_ns0_privilegeStatusResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Privilege_status_responseElement(reader);
}

/**
 * Writes a PrivilegeStatusResourceResponse to XML under element name "privilege-status-response".
 *
 * @param writer The XML writer.
 * @param _privilegeStatusResourceResponse The PrivilegeStatusResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_privilegeStatusResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse) {
  return xmlTextWriterWriteNs0Privilege_status_responseElementNS(writer, _privilegeStatusResourceResponse, 1);
}

/**
 * Frees a PrivilegeStatusResourceResponse.
 *
 * @param _privilegeStatusResourceResponse The PrivilegeStatusResourceResponse to free.
 */
void free_security_rest_api_ns0_privilegeStatusResourceResponse(struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse) {
  freeNs0PrivilegeStatusResourceResponseType(_privilegeStatusResourceResponse);
  free(_privilegeStatusResourceResponse);
}

/**
 * Reads a PrivilegeStatusResourceResponse element from XML. The element to be read is "privilege-status-response", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeStatusResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_privilegeStatusResourceResponse *xmlTextReaderReadNs0Privilege_status_responseElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "privilege-status-response", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}privilege-status-response.\n");
#endif
    _privilegeStatusResourceResponse = xmlTextReaderReadNs0PrivilegeStatusResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_privilegeStatusResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}privilege-status-response failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}privilege-status-response failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _privilegeStatusResourceResponse;
}

/**
 * Writes a PrivilegeStatusResourceResponse to XML under element name "privilege-status-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _privilegeStatusResourceResponse The PrivilegeStatusResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Privilege_status_responseElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse) {
  return xmlTextWriterWriteNs0Privilege_status_responseElementNS(writer, _privilegeStatusResourceResponse, 0);
}

/**
 * Writes a PrivilegeStatusResourceResponse to XML under element name "privilege-status-response".
 *
 * @param writer The XML writer.
 * @param _privilegeStatusResourceResponse The PrivilegeStatusResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Privilege_status_responseElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "privilege-status-response", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}privilege-status-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}privilegeStatusResourceResponse for root element {}privilege-status-response...\n");
#endif
  status = xmlTextWriterWriteNs0PrivilegeStatusResourceResponseType(writer, _privilegeStatusResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}privilege-status-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}privilege-status-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a PrivilegeStatusResourceResponse.
 *
 * @param _privilegeStatusResourceResponse The PrivilegeStatusResourceResponse whose children are to be free.
 */
static void freeNs0Privilege_status_responseElement(struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse) {
  freeNs0PrivilegeStatusResourceResponseType(_privilegeStatusResourceResponse);
}

/**
 * Reads a PrivilegeStatusResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the PrivilegeStatusResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_privilegeStatusResourceResponse *xmlTextReaderReadNs0PrivilegeStatusResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse = calloc(1, sizeof(struct security_rest_api_ns0_privilegeStatusResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PrivilegeStatusResourceResponseType(_privilegeStatusResourceResponse);
        free(_privilegeStatusResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}privilegeStatusResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0PrivilegeStatusResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}privilegeStatusResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeStatusResourceResponseType(_privilegeStatusResourceResponse);
          free(_privilegeStatusResourceResponse);
          return NULL;
        }

        _privilegeStatusResourceResponse->data = ((struct security_rest_api_ns0_privilegeStatusResource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}privilegeStatusResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}privilegeStatusResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _privilegeStatusResourceResponse;
}

/**
 * Writes a PrivilegeStatusResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeStatusResourceResponse The PrivilegeStatusResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PrivilegeStatusResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_privilegeStatusResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}privilegeStatusResource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0PrivilegeStatusResourceType(writer, (_privilegeStatusResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}privilegeStatusResource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PrivilegeStatusResourceResponse.
 *
 * @param _privilegeStatusResourceResponse The PrivilegeStatusResourceResponse to free.
 */
static void freeNs0PrivilegeStatusResourceResponseType(struct security_rest_api_ns0_privilegeStatusResourceResponse *_privilegeStatusResourceResponse) {
  int i;
  if (_privilegeStatusResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type security_rest_api_ns0_privilegeStatusResourceResponse...\n");
#endif
    freeNs0PrivilegeStatusResourceType(_privilegeStatusResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_privilegeStatusResourceResponse...\n");
#endif
    free(_privilegeStatusResourceResponse->data);
  }
}
#endif /* DEF_security_rest_api_ns0_privilegeStatusResourceResponse_M */
#ifndef DEF_security_rest_api_ns0_privilegeTypePropertyResource_M
#define DEF_security_rest_api_ns0_privilegeTypePropertyResource_M

/**
 * Reads a PrivilegeTypePropertyResource from XML. The reader is assumed to be at the start element.
 *
 * @return the PrivilegeTypePropertyResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_privilegeTypePropertyResource *xmlTextReaderReadNs0PrivilegeTypePropertyResourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_privilegeTypePropertyResource *_privilegeTypePropertyResource = calloc(1, sizeof(struct security_rest_api_ns0_privilegeTypePropertyResource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PrivilegeTypePropertyResourceType(_privilegeTypePropertyResource);
        free(_privilegeTypePropertyResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeTypePropertyResourceType(_privilegeTypePropertyResource);
          free(_privilegeTypePropertyResource);
          return NULL;
        }

        _privilegeTypePropertyResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeTypePropertyResourceType(_privilegeTypePropertyResource);
          free(_privilegeTypePropertyResource);
          return NULL;
        }

        _privilegeTypePropertyResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "helpText", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}helpText of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}helpText of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeTypePropertyResourceType(_privilegeTypePropertyResource);
          free(_privilegeTypePropertyResource);
          return NULL;
        }

        _privilegeTypePropertyResource->helpText = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "type", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}type of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}type of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeTypePropertyResourceType(_privilegeTypePropertyResource);
          free(_privilegeTypePropertyResource);
          return NULL;
        }

        _privilegeTypePropertyResource->type = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}privilegeTypePropertyResource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}privilegeTypePropertyResource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _privilegeTypePropertyResource;
}

/**
 * Writes a PrivilegeTypePropertyResource to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeTypePropertyResource The PrivilegeTypePropertyResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PrivilegeTypePropertyResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeTypePropertyResource *_privilegeTypePropertyResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_privilegeTypePropertyResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeTypePropertyResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_privilegeTypePropertyResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeTypePropertyResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_privilegeTypePropertyResource->helpText != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "helpText", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}helpText. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}helpText...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeTypePropertyResource->helpText));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}helpText. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}helpText. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_privilegeTypePropertyResource->type != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "type", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}type...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeTypePropertyResource->type));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PrivilegeTypePropertyResource.
 *
 * @param _privilegeTypePropertyResource The PrivilegeTypePropertyResource to free.
 */
static void freeNs0PrivilegeTypePropertyResourceType(struct security_rest_api_ns0_privilegeTypePropertyResource *_privilegeTypePropertyResource) {
  int i;
  if (_privilegeTypePropertyResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type security_rest_api_ns0_privilegeTypePropertyResource...\n");
#endif
    freeXsStringType(_privilegeTypePropertyResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type security_rest_api_ns0_privilegeTypePropertyResource...\n");
#endif
    free(_privilegeTypePropertyResource->id);
  }
  if (_privilegeTypePropertyResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type security_rest_api_ns0_privilegeTypePropertyResource...\n");
#endif
    freeXsStringType(_privilegeTypePropertyResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type security_rest_api_ns0_privilegeTypePropertyResource...\n");
#endif
    free(_privilegeTypePropertyResource->name);
  }
  if (_privilegeTypePropertyResource->helpText != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor helpText of type security_rest_api_ns0_privilegeTypePropertyResource...\n");
#endif
    freeXsStringType(_privilegeTypePropertyResource->helpText);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor helpText of type security_rest_api_ns0_privilegeTypePropertyResource...\n");
#endif
    free(_privilegeTypePropertyResource->helpText);
  }
  if (_privilegeTypePropertyResource->type != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor type of type security_rest_api_ns0_privilegeTypePropertyResource...\n");
#endif
    freeXsStringType(_privilegeTypePropertyResource->type);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor type of type security_rest_api_ns0_privilegeTypePropertyResource...\n");
#endif
    free(_privilegeTypePropertyResource->type);
  }
}
#endif /* DEF_security_rest_api_ns0_privilegeTypePropertyResource_M */
#ifndef DEF_security_rest_api_ns0_privilegeTypeResource_M
#define DEF_security_rest_api_ns0_privilegeTypeResource_M

/**
 * Reads a PrivilegeTypeResource from XML. The reader is assumed to be at the start element.
 *
 * @return the PrivilegeTypeResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_privilegeTypeResource *xmlTextReaderReadNs0PrivilegeTypeResourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_privilegeTypeResource *_privilegeTypeResource = calloc(1, sizeof(struct security_rest_api_ns0_privilegeTypeResource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PrivilegeTypeResourceType(_privilegeTypeResource);
        free(_privilegeTypeResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeTypeResourceType(_privilegeTypeResource);
          free(_privilegeTypeResource);
          return NULL;
        }

        _privilegeTypeResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeTypeResourceType(_privilegeTypeResource);
          free(_privilegeTypeResource);
          return NULL;
        }

        _privilegeTypeResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "properties", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}properties...\n");
#endif
          //start wrapper element "{}properties"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0PrivilegeTypeResourceType(_privilegeTypeResource);
              free(_privilegeTypeResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "privilege-type-property", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}privilege-type-property of type {}privilegeTypePropertyResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0PrivilegeTypePropertyResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}privilege-type-property of type {}privilegeTypePropertyResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeTypeResourceType(_privilegeTypeResource);
          free(_privilegeTypeResource);
          return NULL;
        }

        _privilegeTypeResource->properties = realloc(_privilegeTypeResource->properties, (_privilegeTypeResource->_sizeof_properties + 1) * sizeof(struct security_rest_api_ns0_privilegeTypePropertyResource));
        memcpy(&(_privilegeTypeResource->properties[_privilegeTypeResource->_sizeof_properties++]), _child_accessor, sizeof(struct security_rest_api_ns0_privilegeTypePropertyResource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}properties.\n");
#endif
          freeNs0PrivilegeTypeResourceType(_privilegeTypeResource);
          free(_privilegeTypeResource);
          return NULL;
        }
        else {
          //end wrapper element "{}properties"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}privilegeTypeResource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}privilegeTypeResource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _privilegeTypeResource;
}

/**
 * Writes a PrivilegeTypeResource to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeTypeResource The PrivilegeTypeResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PrivilegeTypeResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeTypeResource *_privilegeTypeResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_privilegeTypeResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeTypeResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_privilegeTypeResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeTypeResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_privilegeTypeResource->properties != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "properties", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}properties. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _privilegeTypeResource->_sizeof_properties; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "privilege-type-property", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}privilege-type-property. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}privilegeTypePropertyResource for element {}privilege-type-property...\n", status);
#endif
    status = xmlTextWriterWriteNs0PrivilegeTypePropertyResourceType(writer, &(_privilegeTypeResource->properties[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}privilegeTypePropertyResource for element {}privilege-type-property. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}privilege-type-property. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_privilegeTypeResource->properties != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}properties. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PrivilegeTypeResource.
 *
 * @param _privilegeTypeResource The PrivilegeTypeResource to free.
 */
static void freeNs0PrivilegeTypeResourceType(struct security_rest_api_ns0_privilegeTypeResource *_privilegeTypeResource) {
  int i;
  if (_privilegeTypeResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type security_rest_api_ns0_privilegeTypeResource...\n");
#endif
    freeXsStringType(_privilegeTypeResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type security_rest_api_ns0_privilegeTypeResource...\n");
#endif
    free(_privilegeTypeResource->id);
  }
  if (_privilegeTypeResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type security_rest_api_ns0_privilegeTypeResource...\n");
#endif
    freeXsStringType(_privilegeTypeResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type security_rest_api_ns0_privilegeTypeResource...\n");
#endif
    free(_privilegeTypeResource->name);
  }
  if (_privilegeTypeResource->properties != NULL) {
    for (i = 0; i < _privilegeTypeResource->_sizeof_properties; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor properties[%i] of type security_rest_api_ns0_privilegeTypeResource...\n", i);
#endif
      freeNs0PrivilegeTypePropertyResourceType(&(_privilegeTypeResource->properties[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor properties of type security_rest_api_ns0_privilegeTypeResource...\n");
#endif
    free(_privilegeTypeResource->properties);
  }
}
#endif /* DEF_security_rest_api_ns0_privilegeTypeResource_M */
#ifndef DEF_security_rest_api_ns0_privilegeTypeResourceResponse_M
#define DEF_security_rest_api_ns0_privilegeTypeResourceResponse_M

/**
 * Reads a PrivilegeTypeResourceResponse element from XML. The element to be read is "privilege-type-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PrivilegeTypeResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_privilegeTypeResourceResponse *xml_read_security_rest_api_ns0_privilegeTypeResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Privilege_type_responseElement(reader);
}

/**
 * Writes a PrivilegeTypeResourceResponse to XML under element name "privilege-type-response".
 *
 * @param writer The XML writer.
 * @param _privilegeTypeResourceResponse The PrivilegeTypeResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_privilegeTypeResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse) {
  return xmlTextWriterWriteNs0Privilege_type_responseElementNS(writer, _privilegeTypeResourceResponse, 1);
}

/**
 * Frees a PrivilegeTypeResourceResponse.
 *
 * @param _privilegeTypeResourceResponse The PrivilegeTypeResourceResponse to free.
 */
void free_security_rest_api_ns0_privilegeTypeResourceResponse(struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse) {
  freeNs0PrivilegeTypeResourceResponseType(_privilegeTypeResourceResponse);
  free(_privilegeTypeResourceResponse);
}

/**
 * Reads a PrivilegeTypeResourceResponse element from XML. The element to be read is "privilege-type-response", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeTypeResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_privilegeTypeResourceResponse *xmlTextReaderReadNs0Privilege_type_responseElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "privilege-type-response", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}privilege-type-response.\n");
#endif
    _privilegeTypeResourceResponse = xmlTextReaderReadNs0PrivilegeTypeResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_privilegeTypeResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}privilege-type-response failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}privilege-type-response failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _privilegeTypeResourceResponse;
}

/**
 * Writes a PrivilegeTypeResourceResponse to XML under element name "privilege-type-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _privilegeTypeResourceResponse The PrivilegeTypeResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Privilege_type_responseElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse) {
  return xmlTextWriterWriteNs0Privilege_type_responseElementNS(writer, _privilegeTypeResourceResponse, 0);
}

/**
 * Writes a PrivilegeTypeResourceResponse to XML under element name "privilege-type-response".
 *
 * @param writer The XML writer.
 * @param _privilegeTypeResourceResponse The PrivilegeTypeResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Privilege_type_responseElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "privilege-type-response", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}privilege-type-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}privilegeTypeResourceResponse for root element {}privilege-type-response...\n");
#endif
  status = xmlTextWriterWriteNs0PrivilegeTypeResourceResponseType(writer, _privilegeTypeResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}privilege-type-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}privilege-type-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a PrivilegeTypeResourceResponse.
 *
 * @param _privilegeTypeResourceResponse The PrivilegeTypeResourceResponse whose children are to be free.
 */
static void freeNs0Privilege_type_responseElement(struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse) {
  freeNs0PrivilegeTypeResourceResponseType(_privilegeTypeResourceResponse);
}

/**
 * Reads a PrivilegeTypeResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the PrivilegeTypeResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_privilegeTypeResourceResponse *xmlTextReaderReadNs0PrivilegeTypeResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse = calloc(1, sizeof(struct security_rest_api_ns0_privilegeTypeResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PrivilegeTypeResourceResponseType(_privilegeTypeResourceResponse);
        free(_privilegeTypeResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0PrivilegeTypeResourceResponseType(_privilegeTypeResourceResponse);
              free(_privilegeTypeResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "privilege-type", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}privilege-type of type {}privilegeTypeResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0PrivilegeTypeResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}privilege-type of type {}privilegeTypeResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeTypeResourceResponseType(_privilegeTypeResourceResponse);
          free(_privilegeTypeResourceResponse);
          return NULL;
        }

        _privilegeTypeResourceResponse->data = realloc(_privilegeTypeResourceResponse->data, (_privilegeTypeResourceResponse->_sizeof_data + 1) * sizeof(struct security_rest_api_ns0_privilegeTypeResource));
        memcpy(&(_privilegeTypeResourceResponse->data[_privilegeTypeResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct security_rest_api_ns0_privilegeTypeResource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0PrivilegeTypeResourceResponseType(_privilegeTypeResourceResponse);
          free(_privilegeTypeResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}privilegeTypeResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}privilegeTypeResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _privilegeTypeResourceResponse;
}

/**
 * Writes a PrivilegeTypeResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeTypeResourceResponse The PrivilegeTypeResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PrivilegeTypeResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_privilegeTypeResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _privilegeTypeResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "privilege-type", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}privilege-type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}privilegeTypeResource for element {}privilege-type...\n", status);
#endif
    status = xmlTextWriterWriteNs0PrivilegeTypeResourceType(writer, &(_privilegeTypeResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}privilegeTypeResource for element {}privilege-type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}privilege-type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_privilegeTypeResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PrivilegeTypeResourceResponse.
 *
 * @param _privilegeTypeResourceResponse The PrivilegeTypeResourceResponse to free.
 */
static void freeNs0PrivilegeTypeResourceResponseType(struct security_rest_api_ns0_privilegeTypeResourceResponse *_privilegeTypeResourceResponse) {
  int i;
  if (_privilegeTypeResourceResponse->data != NULL) {
    for (i = 0; i < _privilegeTypeResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type security_rest_api_ns0_privilegeTypeResourceResponse...\n", i);
#endif
      freeNs0PrivilegeTypeResourceType(&(_privilegeTypeResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_privilegeTypeResourceResponse...\n");
#endif
    free(_privilegeTypeResourceResponse->data);
  }
}
#endif /* DEF_security_rest_api_ns0_privilegeTypeResourceResponse_M */
#ifndef DEF_security_rest_api_ns0_roleListResourceResponse_M
#define DEF_security_rest_api_ns0_roleListResourceResponse_M

/**
 * Reads a RoleListResourceResponse element from XML. The element to be read is "roles-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RoleListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_roleListResourceResponse *xml_read_security_rest_api_ns0_roleListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Roles_listElement(reader);
}

/**
 * Writes a RoleListResourceResponse to XML under element name "roles-list".
 *
 * @param writer The XML writer.
 * @param _roleListResourceResponse The RoleListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_roleListResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse) {
  return xmlTextWriterWriteNs0Roles_listElementNS(writer, _roleListResourceResponse, 1);
}

/**
 * Frees a RoleListResourceResponse.
 *
 * @param _roleListResourceResponse The RoleListResourceResponse to free.
 */
void free_security_rest_api_ns0_roleListResourceResponse(struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse) {
  freeNs0RoleListResourceResponseType(_roleListResourceResponse);
  free(_roleListResourceResponse);
}

/**
 * Reads a RoleListResourceResponse element from XML. The element to be read is "roles-list", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The RoleListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_roleListResourceResponse *xmlTextReaderReadNs0Roles_listElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "roles-list", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}roles-list.\n");
#endif
    _roleListResourceResponse = xmlTextReaderReadNs0RoleListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_roleListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}roles-list failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}roles-list failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _roleListResourceResponse;
}

/**
 * Writes a RoleListResourceResponse to XML under element name "roles-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _roleListResourceResponse The RoleListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Roles_listElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse) {
  return xmlTextWriterWriteNs0Roles_listElementNS(writer, _roleListResourceResponse, 0);
}

/**
 * Writes a RoleListResourceResponse to XML under element name "roles-list".
 *
 * @param writer The XML writer.
 * @param _roleListResourceResponse The RoleListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Roles_listElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "roles-list", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}roles-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}roleListResourceResponse for root element {}roles-list...\n");
#endif
  status = xmlTextWriterWriteNs0RoleListResourceResponseType(writer, _roleListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}roles-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}roles-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a RoleListResourceResponse.
 *
 * @param _roleListResourceResponse The RoleListResourceResponse whose children are to be free.
 */
static void freeNs0Roles_listElement(struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse) {
  freeNs0RoleListResourceResponseType(_roleListResourceResponse);
}

/**
 * Reads a RoleListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the RoleListResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_roleListResourceResponse *xmlTextReaderReadNs0RoleListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse = calloc(1, sizeof(struct security_rest_api_ns0_roleListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RoleListResourceResponseType(_roleListResourceResponse);
        free(_roleListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0RoleListResourceResponseType(_roleListResourceResponse);
              free(_roleListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "roles-list-item", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}roles-list-item of type {}roleResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0RoleResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}roles-list-item of type {}roleResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RoleListResourceResponseType(_roleListResourceResponse);
          free(_roleListResourceResponse);
          return NULL;
        }

        _roleListResourceResponse->data = realloc(_roleListResourceResponse->data, (_roleListResourceResponse->_sizeof_data + 1) * sizeof(struct security_rest_api_ns0_roleResource));
        memcpy(&(_roleListResourceResponse->data[_roleListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct security_rest_api_ns0_roleResource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0RoleListResourceResponseType(_roleListResourceResponse);
          free(_roleListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}roleListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}roleListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _roleListResourceResponse;
}

/**
 * Writes a RoleListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _roleListResourceResponse The RoleListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RoleListResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_roleListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _roleListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "roles-list-item", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}roles-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}roleResource for element {}roles-list-item...\n", status);
#endif
    status = xmlTextWriterWriteNs0RoleResourceType(writer, &(_roleListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}roleResource for element {}roles-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}roles-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_roleListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RoleListResourceResponse.
 *
 * @param _roleListResourceResponse The RoleListResourceResponse to free.
 */
static void freeNs0RoleListResourceResponseType(struct security_rest_api_ns0_roleListResourceResponse *_roleListResourceResponse) {
  int i;
  if (_roleListResourceResponse->data != NULL) {
    for (i = 0; i < _roleListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type security_rest_api_ns0_roleListResourceResponse...\n", i);
#endif
      freeNs0RoleResourceType(&(_roleListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_roleListResourceResponse...\n");
#endif
    free(_roleListResourceResponse->data);
  }
}
#endif /* DEF_security_rest_api_ns0_roleListResourceResponse_M */
#ifndef DEF_security_rest_api_ns0_roleResource_M
#define DEF_security_rest_api_ns0_roleResource_M

/**
 * Reads a RoleResource from XML. The reader is assumed to be at the start element.
 *
 * @return the RoleResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_roleResource *xmlTextReaderReadNs0RoleResourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_roleResource *_roleResource = calloc(1, sizeof(struct security_rest_api_ns0_roleResource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RoleResourceType(_roleResource);
        free(_roleResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RoleResourceType(_roleResource);
          free(_roleResource);
          return NULL;
        }

        _roleResource->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RoleResourceType(_roleResource);
          free(_roleResource);
          return NULL;
        }

        _roleResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RoleResourceType(_roleResource);
          free(_roleResource);
          return NULL;
        }

        _roleResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "description", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}description of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}description of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RoleResourceType(_roleResource);
          free(_roleResource);
          return NULL;
        }

        _roleResource->description = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "sessionTimeout", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}sessionTimeout of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
        _child_accessor = xmlTextReaderReadXsIntType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}sessionTimeout of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RoleResourceType(_roleResource);
          free(_roleResource);
          return NULL;
        }

        _roleResource->sessionTimeout = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "roles", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}roles of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}roles of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RoleResourceType(_roleResource);
          free(_roleResource);
          return NULL;
        }

        _roleResource->roles = realloc(_roleResource->roles, (_roleResource->_sizeof_roles + 1) * sizeof(xmlChar));
        memcpy(&(_roleResource->roles[_roleResource->_sizeof_roles++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "privileges", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}privileges of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}privileges of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RoleResourceType(_roleResource);
          free(_roleResource);
          return NULL;
        }

        _roleResource->privileges = realloc(_roleResource->privileges, (_roleResource->_sizeof_privileges + 1) * sizeof(xmlChar));
        memcpy(&(_roleResource->privileges[_roleResource->_sizeof_privileges++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userManaged", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userManaged of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userManaged of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RoleResourceType(_roleResource);
          free(_roleResource);
          return NULL;
        }

        _roleResource->userManaged = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}roleResource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}roleResource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _roleResource;
}

/**
 * Writes a RoleResource to XML.
 *
 * @param writer The XML writer.
 * @param _roleResource The RoleResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RoleResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResource *_roleResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_roleResource->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_roleResource->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_roleResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_roleResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_roleResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_roleResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_roleResource->description != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "description", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}description...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_roleResource->description));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "sessionTimeout", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}sessionTimeout. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}int for element {}sessionTimeout...\n", status);
#endif
    status = xmlTextWriterWriteXsIntType(writer, &(_roleResource->sessionTimeout));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}int for element {}sessionTimeout. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}sessionTimeout. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _roleResource->_sizeof_roles; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "roles", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}roles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}roles...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_roleResource->roles[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}roles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}roles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _roleResource->_sizeof_privileges; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "privileges", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}privileges. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}privileges...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_roleResource->privileges[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}privileges. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}privileges. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userManaged", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userManaged. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}userManaged...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_roleResource->userManaged));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}userManaged. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userManaged. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RoleResource.
 *
 * @param _roleResource The RoleResource to free.
 */
static void freeNs0RoleResourceType(struct security_rest_api_ns0_roleResource *_roleResource) {
  int i;
  if (_roleResource->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type security_rest_api_ns0_roleResource...\n");
#endif
    freeXsStringType(_roleResource->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type security_rest_api_ns0_roleResource...\n");
#endif
    free(_roleResource->resourceURI);
  }
  if (_roleResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type security_rest_api_ns0_roleResource...\n");
#endif
    freeXsStringType(_roleResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type security_rest_api_ns0_roleResource...\n");
#endif
    free(_roleResource->id);
  }
  if (_roleResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type security_rest_api_ns0_roleResource...\n");
#endif
    freeXsStringType(_roleResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type security_rest_api_ns0_roleResource...\n");
#endif
    free(_roleResource->name);
  }
  if (_roleResource->description != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor description of type security_rest_api_ns0_roleResource...\n");
#endif
    freeXsStringType(_roleResource->description);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor description of type security_rest_api_ns0_roleResource...\n");
#endif
    free(_roleResource->description);
  }
  if (_roleResource->roles != NULL) {
    for (i = 0; i < _roleResource->_sizeof_roles; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor roles[%i] of type security_rest_api_ns0_roleResource...\n", i);
#endif
      freeXsStringType(&(_roleResource->roles[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor roles of type security_rest_api_ns0_roleResource...\n");
#endif
    free(_roleResource->roles);
  }
  if (_roleResource->privileges != NULL) {
    for (i = 0; i < _roleResource->_sizeof_privileges; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor privileges[%i] of type security_rest_api_ns0_roleResource...\n", i);
#endif
      freeXsStringType(&(_roleResource->privileges[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor privileges of type security_rest_api_ns0_roleResource...\n");
#endif
    free(_roleResource->privileges);
  }
}
#endif /* DEF_security_rest_api_ns0_roleResource_M */
#ifndef DEF_security_rest_api_ns0_roleResourceRequest_M
#define DEF_security_rest_api_ns0_roleResourceRequest_M

/**
 * Reads a RoleResourceRequest element from XML. The element to be read is "role-request", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RoleResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_roleResourceRequest *xml_read_security_rest_api_ns0_roleResourceRequest(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Role_requestElement(reader);
}

/**
 * Writes a RoleResourceRequest to XML under element name "role-request".
 *
 * @param writer The XML writer.
 * @param _roleResourceRequest The RoleResourceRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_roleResourceRequest(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest) {
  return xmlTextWriterWriteNs0Role_requestElementNS(writer, _roleResourceRequest, 1);
}

/**
 * Frees a RoleResourceRequest.
 *
 * @param _roleResourceRequest The RoleResourceRequest to free.
 */
void free_security_rest_api_ns0_roleResourceRequest(struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest) {
  freeNs0RoleResourceRequestType(_roleResourceRequest);
  free(_roleResourceRequest);
}

/**
 * Reads a RoleResourceRequest element from XML. The element to be read is "role-request", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The RoleResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_roleResourceRequest *xmlTextReaderReadNs0Role_requestElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "role-request", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}role-request.\n");
#endif
    _roleResourceRequest = xmlTextReaderReadNs0RoleResourceRequestType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_roleResourceRequest == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}role-request failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}role-request failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _roleResourceRequest;
}

/**
 * Writes a RoleResourceRequest to XML under element name "role-request".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _roleResourceRequest The RoleResourceRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Role_requestElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest) {
  return xmlTextWriterWriteNs0Role_requestElementNS(writer, _roleResourceRequest, 0);
}

/**
 * Writes a RoleResourceRequest to XML under element name "role-request".
 *
 * @param writer The XML writer.
 * @param _roleResourceRequest The RoleResourceRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Role_requestElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "role-request", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}role-request. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}roleResourceRequest for root element {}role-request...\n");
#endif
  status = xmlTextWriterWriteNs0RoleResourceRequestType(writer, _roleResourceRequest);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}role-request. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}role-request. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a RoleResourceRequest.
 *
 * @param _roleResourceRequest The RoleResourceRequest whose children are to be free.
 */
static void freeNs0Role_requestElement(struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest) {
  freeNs0RoleResourceRequestType(_roleResourceRequest);
}

/**
 * Reads a RoleResourceRequest from XML. The reader is assumed to be at the start element.
 *
 * @return the RoleResourceRequest, or NULL in case of error.
 */
static struct security_rest_api_ns0_roleResourceRequest *xmlTextReaderReadNs0RoleResourceRequestType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest = calloc(1, sizeof(struct security_rest_api_ns0_roleResourceRequest));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RoleResourceRequestType(_roleResourceRequest);
        free(_roleResourceRequest);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}roleResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0RoleResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}roleResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RoleResourceRequestType(_roleResourceRequest);
          free(_roleResourceRequest);
          return NULL;
        }

        _roleResourceRequest->data = ((struct security_rest_api_ns0_roleResource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}roleResourceRequest.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}roleResourceRequest. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _roleResourceRequest;
}

/**
 * Writes a RoleResourceRequest to XML.
 *
 * @param writer The XML writer.
 * @param _roleResourceRequest The RoleResourceRequest to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RoleResourceRequestType(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_roleResourceRequest->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}roleResource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0RoleResourceType(writer, (_roleResourceRequest->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}roleResource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RoleResourceRequest.
 *
 * @param _roleResourceRequest The RoleResourceRequest to free.
 */
static void freeNs0RoleResourceRequestType(struct security_rest_api_ns0_roleResourceRequest *_roleResourceRequest) {
  int i;
  if (_roleResourceRequest->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type security_rest_api_ns0_roleResourceRequest...\n");
#endif
    freeNs0RoleResourceType(_roleResourceRequest->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_roleResourceRequest...\n");
#endif
    free(_roleResourceRequest->data);
  }
}
#endif /* DEF_security_rest_api_ns0_roleResourceRequest_M */
#ifndef DEF_security_rest_api_ns0_roleResourceResponse_M
#define DEF_security_rest_api_ns0_roleResourceResponse_M

/**
 * Reads a RoleResourceResponse element from XML. The element to be read is "role-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RoleResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_roleResourceResponse *xml_read_security_rest_api_ns0_roleResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Role_responseElement(reader);
}

/**
 * Writes a RoleResourceResponse to XML under element name "role-response".
 *
 * @param writer The XML writer.
 * @param _roleResourceResponse The RoleResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_roleResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse) {
  return xmlTextWriterWriteNs0Role_responseElementNS(writer, _roleResourceResponse, 1);
}

/**
 * Frees a RoleResourceResponse.
 *
 * @param _roleResourceResponse The RoleResourceResponse to free.
 */
void free_security_rest_api_ns0_roleResourceResponse(struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse) {
  freeNs0RoleResourceResponseType(_roleResourceResponse);
  free(_roleResourceResponse);
}

/**
 * Reads a RoleResourceResponse element from XML. The element to be read is "role-response", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The RoleResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_roleResourceResponse *xmlTextReaderReadNs0Role_responseElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "role-response", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}role-response.\n");
#endif
    _roleResourceResponse = xmlTextReaderReadNs0RoleResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_roleResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}role-response failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}role-response failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _roleResourceResponse;
}

/**
 * Writes a RoleResourceResponse to XML under element name "role-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _roleResourceResponse The RoleResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Role_responseElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse) {
  return xmlTextWriterWriteNs0Role_responseElementNS(writer, _roleResourceResponse, 0);
}

/**
 * Writes a RoleResourceResponse to XML under element name "role-response".
 *
 * @param writer The XML writer.
 * @param _roleResourceResponse The RoleResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Role_responseElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "role-response", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}role-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}roleResourceResponse for root element {}role-response...\n");
#endif
  status = xmlTextWriterWriteNs0RoleResourceResponseType(writer, _roleResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}role-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}role-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a RoleResourceResponse.
 *
 * @param _roleResourceResponse The RoleResourceResponse whose children are to be free.
 */
static void freeNs0Role_responseElement(struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse) {
  freeNs0RoleResourceResponseType(_roleResourceResponse);
}

/**
 * Reads a RoleResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the RoleResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_roleResourceResponse *xmlTextReaderReadNs0RoleResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse = calloc(1, sizeof(struct security_rest_api_ns0_roleResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RoleResourceResponseType(_roleResourceResponse);
        free(_roleResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}roleResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0RoleResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}roleResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RoleResourceResponseType(_roleResourceResponse);
          free(_roleResourceResponse);
          return NULL;
        }

        _roleResourceResponse->data = ((struct security_rest_api_ns0_roleResource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}roleResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}roleResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _roleResourceResponse;
}

/**
 * Writes a RoleResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _roleResourceResponse The RoleResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RoleResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_roleResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}roleResource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0RoleResourceType(writer, (_roleResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}roleResource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RoleResourceResponse.
 *
 * @param _roleResourceResponse The RoleResourceResponse to free.
 */
static void freeNs0RoleResourceResponseType(struct security_rest_api_ns0_roleResourceResponse *_roleResourceResponse) {
  int i;
  if (_roleResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type security_rest_api_ns0_roleResourceResponse...\n");
#endif
    freeNs0RoleResourceType(_roleResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_roleResourceResponse...\n");
#endif
    free(_roleResourceResponse->data);
  }
}
#endif /* DEF_security_rest_api_ns0_roleResourceResponse_M */
#ifndef DEF_security_rest_api_ns0_userChangePasswordRequest_M
#define DEF_security_rest_api_ns0_userChangePasswordRequest_M

/**
 * Reads a UserChangePasswordRequest element from XML. The element to be read is "user-changepw", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The UserChangePasswordRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userChangePasswordRequest *xml_read_security_rest_api_ns0_userChangePasswordRequest(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0User_changepwElement(reader);
}

/**
 * Writes a UserChangePasswordRequest to XML under element name "user-changepw".
 *
 * @param writer The XML writer.
 * @param _userChangePasswordRequest The UserChangePasswordRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_userChangePasswordRequest(xmlTextWriterPtr writer, struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest) {
  return xmlTextWriterWriteNs0User_changepwElementNS(writer, _userChangePasswordRequest, 1);
}

/**
 * Frees a UserChangePasswordRequest.
 *
 * @param _userChangePasswordRequest The UserChangePasswordRequest to free.
 */
void free_security_rest_api_ns0_userChangePasswordRequest(struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest) {
  freeNs0UserChangePasswordRequestType(_userChangePasswordRequest);
  free(_userChangePasswordRequest);
}

/**
 * Reads a UserChangePasswordRequest element from XML. The element to be read is "user-changepw", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The UserChangePasswordRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userChangePasswordRequest *xmlTextReaderReadNs0User_changepwElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "user-changepw", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}user-changepw.\n");
#endif
    _userChangePasswordRequest = xmlTextReaderReadNs0UserChangePasswordRequestType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_userChangePasswordRequest == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}user-changepw failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}user-changepw failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _userChangePasswordRequest;
}

/**
 * Writes a UserChangePasswordRequest to XML under element name "user-changepw".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _userChangePasswordRequest The UserChangePasswordRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0User_changepwElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest) {
  return xmlTextWriterWriteNs0User_changepwElementNS(writer, _userChangePasswordRequest, 0);
}

/**
 * Writes a UserChangePasswordRequest to XML under element name "user-changepw".
 *
 * @param writer The XML writer.
 * @param _userChangePasswordRequest The UserChangePasswordRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0User_changepwElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "user-changepw", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}user-changepw. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}userChangePasswordRequest for root element {}user-changepw...\n");
#endif
  status = xmlTextWriterWriteNs0UserChangePasswordRequestType(writer, _userChangePasswordRequest);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}user-changepw. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}user-changepw. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a UserChangePasswordRequest.
 *
 * @param _userChangePasswordRequest The UserChangePasswordRequest whose children are to be free.
 */
static void freeNs0User_changepwElement(struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest) {
  freeNs0UserChangePasswordRequestType(_userChangePasswordRequest);
}

/**
 * Reads a UserChangePasswordRequest from XML. The reader is assumed to be at the start element.
 *
 * @return the UserChangePasswordRequest, or NULL in case of error.
 */
static struct security_rest_api_ns0_userChangePasswordRequest *xmlTextReaderReadNs0UserChangePasswordRequestType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest = calloc(1, sizeof(struct security_rest_api_ns0_userChangePasswordRequest));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0UserChangePasswordRequestType(_userChangePasswordRequest);
        free(_userChangePasswordRequest);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}userChangePasswordResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0UserChangePasswordResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}userChangePasswordResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserChangePasswordRequestType(_userChangePasswordRequest);
          free(_userChangePasswordRequest);
          return NULL;
        }

        _userChangePasswordRequest->data = ((struct security_rest_api_ns0_userChangePasswordResource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}userChangePasswordRequest.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}userChangePasswordRequest. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _userChangePasswordRequest;
}

/**
 * Writes a UserChangePasswordRequest to XML.
 *
 * @param writer The XML writer.
 * @param _userChangePasswordRequest The UserChangePasswordRequest to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0UserChangePasswordRequestType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_userChangePasswordRequest->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}userChangePasswordResource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0UserChangePasswordResourceType(writer, (_userChangePasswordRequest->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}userChangePasswordResource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a UserChangePasswordRequest.
 *
 * @param _userChangePasswordRequest The UserChangePasswordRequest to free.
 */
static void freeNs0UserChangePasswordRequestType(struct security_rest_api_ns0_userChangePasswordRequest *_userChangePasswordRequest) {
  int i;
  if (_userChangePasswordRequest->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type security_rest_api_ns0_userChangePasswordRequest...\n");
#endif
    freeNs0UserChangePasswordResourceType(_userChangePasswordRequest->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_userChangePasswordRequest...\n");
#endif
    free(_userChangePasswordRequest->data);
  }
}
#endif /* DEF_security_rest_api_ns0_userChangePasswordRequest_M */
#ifndef DEF_security_rest_api_ns0_userChangePasswordResource_M
#define DEF_security_rest_api_ns0_userChangePasswordResource_M

/**
 * Reads a UserChangePasswordResource from XML. The reader is assumed to be at the start element.
 *
 * @return the UserChangePasswordResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_userChangePasswordResource *xmlTextReaderReadNs0UserChangePasswordResourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_userChangePasswordResource *_userChangePasswordResource = calloc(1, sizeof(struct security_rest_api_ns0_userChangePasswordResource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0UserChangePasswordResourceType(_userChangePasswordResource);
        free(_userChangePasswordResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserChangePasswordResourceType(_userChangePasswordResource);
          free(_userChangePasswordResource);
          return NULL;
        }

        _userChangePasswordResource->userId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "oldPassword", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}oldPassword of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}oldPassword of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserChangePasswordResourceType(_userChangePasswordResource);
          free(_userChangePasswordResource);
          return NULL;
        }

        _userChangePasswordResource->oldPassword = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "newPassword", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}newPassword of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}newPassword of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserChangePasswordResourceType(_userChangePasswordResource);
          free(_userChangePasswordResource);
          return NULL;
        }

        _userChangePasswordResource->newPassword = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}userChangePasswordResource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}userChangePasswordResource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _userChangePasswordResource;
}

/**
 * Writes a UserChangePasswordResource to XML.
 *
 * @param writer The XML writer.
 * @param _userChangePasswordResource The UserChangePasswordResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0UserChangePasswordResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userChangePasswordResource *_userChangePasswordResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_userChangePasswordResource->userId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_userChangePasswordResource->userId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_userChangePasswordResource->oldPassword != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "oldPassword", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}oldPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}oldPassword...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_userChangePasswordResource->oldPassword));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}oldPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}oldPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_userChangePasswordResource->newPassword != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "newPassword", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}newPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}newPassword...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_userChangePasswordResource->newPassword));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}newPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}newPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a UserChangePasswordResource.
 *
 * @param _userChangePasswordResource The UserChangePasswordResource to free.
 */
static void freeNs0UserChangePasswordResourceType(struct security_rest_api_ns0_userChangePasswordResource *_userChangePasswordResource) {
  int i;
  if (_userChangePasswordResource->userId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userId of type security_rest_api_ns0_userChangePasswordResource...\n");
#endif
    freeXsStringType(_userChangePasswordResource->userId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userId of type security_rest_api_ns0_userChangePasswordResource...\n");
#endif
    free(_userChangePasswordResource->userId);
  }
  if (_userChangePasswordResource->oldPassword != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor oldPassword of type security_rest_api_ns0_userChangePasswordResource...\n");
#endif
    freeXsStringType(_userChangePasswordResource->oldPassword);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor oldPassword of type security_rest_api_ns0_userChangePasswordResource...\n");
#endif
    free(_userChangePasswordResource->oldPassword);
  }
  if (_userChangePasswordResource->newPassword != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor newPassword of type security_rest_api_ns0_userChangePasswordResource...\n");
#endif
    freeXsStringType(_userChangePasswordResource->newPassword);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor newPassword of type security_rest_api_ns0_userChangePasswordResource...\n");
#endif
    free(_userChangePasswordResource->newPassword);
  }
}
#endif /* DEF_security_rest_api_ns0_userChangePasswordResource_M */
#ifndef DEF_security_rest_api_ns0_userForgotPasswordRequest_M
#define DEF_security_rest_api_ns0_userForgotPasswordRequest_M

/**
 * Reads a UserForgotPasswordRequest element from XML. The element to be read is "user-forgotpw", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The UserForgotPasswordRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userForgotPasswordRequest *xml_read_security_rest_api_ns0_userForgotPasswordRequest(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0User_forgotpwElement(reader);
}

/**
 * Writes a UserForgotPasswordRequest to XML under element name "user-forgotpw".
 *
 * @param writer The XML writer.
 * @param _userForgotPasswordRequest The UserForgotPasswordRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_userForgotPasswordRequest(xmlTextWriterPtr writer, struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest) {
  return xmlTextWriterWriteNs0User_forgotpwElementNS(writer, _userForgotPasswordRequest, 1);
}

/**
 * Frees a UserForgotPasswordRequest.
 *
 * @param _userForgotPasswordRequest The UserForgotPasswordRequest to free.
 */
void free_security_rest_api_ns0_userForgotPasswordRequest(struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest) {
  freeNs0UserForgotPasswordRequestType(_userForgotPasswordRequest);
  free(_userForgotPasswordRequest);
}

/**
 * Reads a UserForgotPasswordRequest element from XML. The element to be read is "user-forgotpw", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The UserForgotPasswordRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userForgotPasswordRequest *xmlTextReaderReadNs0User_forgotpwElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "user-forgotpw", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}user-forgotpw.\n");
#endif
    _userForgotPasswordRequest = xmlTextReaderReadNs0UserForgotPasswordRequestType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_userForgotPasswordRequest == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}user-forgotpw failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}user-forgotpw failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _userForgotPasswordRequest;
}

/**
 * Writes a UserForgotPasswordRequest to XML under element name "user-forgotpw".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _userForgotPasswordRequest The UserForgotPasswordRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0User_forgotpwElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest) {
  return xmlTextWriterWriteNs0User_forgotpwElementNS(writer, _userForgotPasswordRequest, 0);
}

/**
 * Writes a UserForgotPasswordRequest to XML under element name "user-forgotpw".
 *
 * @param writer The XML writer.
 * @param _userForgotPasswordRequest The UserForgotPasswordRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0User_forgotpwElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "user-forgotpw", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}user-forgotpw. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}userForgotPasswordRequest for root element {}user-forgotpw...\n");
#endif
  status = xmlTextWriterWriteNs0UserForgotPasswordRequestType(writer, _userForgotPasswordRequest);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}user-forgotpw. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}user-forgotpw. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a UserForgotPasswordRequest.
 *
 * @param _userForgotPasswordRequest The UserForgotPasswordRequest whose children are to be free.
 */
static void freeNs0User_forgotpwElement(struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest) {
  freeNs0UserForgotPasswordRequestType(_userForgotPasswordRequest);
}

/**
 * Reads a UserForgotPasswordRequest from XML. The reader is assumed to be at the start element.
 *
 * @return the UserForgotPasswordRequest, or NULL in case of error.
 */
static struct security_rest_api_ns0_userForgotPasswordRequest *xmlTextReaderReadNs0UserForgotPasswordRequestType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest = calloc(1, sizeof(struct security_rest_api_ns0_userForgotPasswordRequest));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0UserForgotPasswordRequestType(_userForgotPasswordRequest);
        free(_userForgotPasswordRequest);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}userForgotPasswordResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0UserForgotPasswordResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}userForgotPasswordResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserForgotPasswordRequestType(_userForgotPasswordRequest);
          free(_userForgotPasswordRequest);
          return NULL;
        }

        _userForgotPasswordRequest->data = ((struct security_rest_api_ns0_userForgotPasswordResource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}userForgotPasswordRequest.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}userForgotPasswordRequest. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _userForgotPasswordRequest;
}

/**
 * Writes a UserForgotPasswordRequest to XML.
 *
 * @param writer The XML writer.
 * @param _userForgotPasswordRequest The UserForgotPasswordRequest to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0UserForgotPasswordRequestType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_userForgotPasswordRequest->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}userForgotPasswordResource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0UserForgotPasswordResourceType(writer, (_userForgotPasswordRequest->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}userForgotPasswordResource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a UserForgotPasswordRequest.
 *
 * @param _userForgotPasswordRequest The UserForgotPasswordRequest to free.
 */
static void freeNs0UserForgotPasswordRequestType(struct security_rest_api_ns0_userForgotPasswordRequest *_userForgotPasswordRequest) {
  int i;
  if (_userForgotPasswordRequest->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type security_rest_api_ns0_userForgotPasswordRequest...\n");
#endif
    freeNs0UserForgotPasswordResourceType(_userForgotPasswordRequest->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_userForgotPasswordRequest...\n");
#endif
    free(_userForgotPasswordRequest->data);
  }
}
#endif /* DEF_security_rest_api_ns0_userForgotPasswordRequest_M */
#ifndef DEF_security_rest_api_ns0_userForgotPasswordResource_M
#define DEF_security_rest_api_ns0_userForgotPasswordResource_M

/**
 * Reads a UserForgotPasswordResource from XML. The reader is assumed to be at the start element.
 *
 * @return the UserForgotPasswordResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_userForgotPasswordResource *xmlTextReaderReadNs0UserForgotPasswordResourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_userForgotPasswordResource *_userForgotPasswordResource = calloc(1, sizeof(struct security_rest_api_ns0_userForgotPasswordResource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0UserForgotPasswordResourceType(_userForgotPasswordResource);
        free(_userForgotPasswordResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "email", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}email of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}email of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserForgotPasswordResourceType(_userForgotPasswordResource);
          free(_userForgotPasswordResource);
          return NULL;
        }

        _userForgotPasswordResource->email = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserForgotPasswordResourceType(_userForgotPasswordResource);
          free(_userForgotPasswordResource);
          return NULL;
        }

        _userForgotPasswordResource->userId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}userForgotPasswordResource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}userForgotPasswordResource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _userForgotPasswordResource;
}

/**
 * Writes a UserForgotPasswordResource to XML.
 *
 * @param writer The XML writer.
 * @param _userForgotPasswordResource The UserForgotPasswordResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0UserForgotPasswordResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userForgotPasswordResource *_userForgotPasswordResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_userForgotPasswordResource->email != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "email", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}email. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}email...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_userForgotPasswordResource->email));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}email. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}email. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_userForgotPasswordResource->userId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_userForgotPasswordResource->userId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a UserForgotPasswordResource.
 *
 * @param _userForgotPasswordResource The UserForgotPasswordResource to free.
 */
static void freeNs0UserForgotPasswordResourceType(struct security_rest_api_ns0_userForgotPasswordResource *_userForgotPasswordResource) {
  int i;
  if (_userForgotPasswordResource->email != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor email of type security_rest_api_ns0_userForgotPasswordResource...\n");
#endif
    freeXsStringType(_userForgotPasswordResource->email);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor email of type security_rest_api_ns0_userForgotPasswordResource...\n");
#endif
    free(_userForgotPasswordResource->email);
  }
  if (_userForgotPasswordResource->userId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userId of type security_rest_api_ns0_userForgotPasswordResource...\n");
#endif
    freeXsStringType(_userForgotPasswordResource->userId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userId of type security_rest_api_ns0_userForgotPasswordResource...\n");
#endif
    free(_userForgotPasswordResource->userId);
  }
}
#endif /* DEF_security_rest_api_ns0_userForgotPasswordResource_M */
#ifndef DEF_security_rest_api_ns0_userListResourceResponse_M
#define DEF_security_rest_api_ns0_userListResourceResponse_M

/**
 * Reads a UserListResourceResponse element from XML. The element to be read is "users-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The UserListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_userListResourceResponse *xml_read_security_rest_api_ns0_userListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Users_listElement(reader);
}

/**
 * Writes a UserListResourceResponse to XML under element name "users-list".
 *
 * @param writer The XML writer.
 * @param _userListResourceResponse The UserListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_userListResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse) {
  return xmlTextWriterWriteNs0Users_listElementNS(writer, _userListResourceResponse, 1);
}

/**
 * Frees a UserListResourceResponse.
 *
 * @param _userListResourceResponse The UserListResourceResponse to free.
 */
void free_security_rest_api_ns0_userListResourceResponse(struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse) {
  freeNs0UserListResourceResponseType(_userListResourceResponse);
  free(_userListResourceResponse);
}

/**
 * Reads a UserListResourceResponse element from XML. The element to be read is "users-list", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The UserListResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_userListResourceResponse *xmlTextReaderReadNs0Users_listElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "users-list", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}users-list.\n");
#endif
    _userListResourceResponse = xmlTextReaderReadNs0UserListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_userListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}users-list failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}users-list failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _userListResourceResponse;
}

/**
 * Writes a UserListResourceResponse to XML under element name "users-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _userListResourceResponse The UserListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Users_listElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse) {
  return xmlTextWriterWriteNs0Users_listElementNS(writer, _userListResourceResponse, 0);
}

/**
 * Writes a UserListResourceResponse to XML under element name "users-list".
 *
 * @param writer The XML writer.
 * @param _userListResourceResponse The UserListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Users_listElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "users-list", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}users-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}userListResourceResponse for root element {}users-list...\n");
#endif
  status = xmlTextWriterWriteNs0UserListResourceResponseType(writer, _userListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}users-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}users-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a UserListResourceResponse.
 *
 * @param _userListResourceResponse The UserListResourceResponse whose children are to be free.
 */
static void freeNs0Users_listElement(struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse) {
  freeNs0UserListResourceResponseType(_userListResourceResponse);
}

/**
 * Reads a UserListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the UserListResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_userListResourceResponse *xmlTextReaderReadNs0UserListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse = calloc(1, sizeof(struct security_rest_api_ns0_userListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0UserListResourceResponseType(_userListResourceResponse);
        free(_userListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0UserListResourceResponseType(_userListResourceResponse);
              free(_userListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "users-list-item", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}users-list-item of type {}userResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0UserResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}users-list-item of type {}userResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserListResourceResponseType(_userListResourceResponse);
          free(_userListResourceResponse);
          return NULL;
        }

        _userListResourceResponse->data = realloc(_userListResourceResponse->data, (_userListResourceResponse->_sizeof_data + 1) * sizeof(struct security_rest_api_ns0_userResource));
        memcpy(&(_userListResourceResponse->data[_userListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct security_rest_api_ns0_userResource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0UserListResourceResponseType(_userListResourceResponse);
          free(_userListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}userListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}userListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _userListResourceResponse;
}

/**
 * Writes a UserListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _userListResourceResponse The UserListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0UserListResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_userListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _userListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "users-list-item", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}users-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}userResource for element {}users-list-item...\n", status);
#endif
    status = xmlTextWriterWriteNs0UserResourceType(writer, &(_userListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}userResource for element {}users-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}users-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_userListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a UserListResourceResponse.
 *
 * @param _userListResourceResponse The UserListResourceResponse to free.
 */
static void freeNs0UserListResourceResponseType(struct security_rest_api_ns0_userListResourceResponse *_userListResourceResponse) {
  int i;
  if (_userListResourceResponse->data != NULL) {
    for (i = 0; i < _userListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type security_rest_api_ns0_userListResourceResponse...\n", i);
#endif
      freeNs0UserResourceType(&(_userListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_userListResourceResponse...\n");
#endif
    free(_userListResourceResponse->data);
  }
}
#endif /* DEF_security_rest_api_ns0_userListResourceResponse_M */
#ifndef DEF_security_rest_api_ns0_userResource_M
#define DEF_security_rest_api_ns0_userResource_M

/**
 * Reads a UserResource from XML. The reader is assumed to be at the start element.
 *
 * @return the UserResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_userResource *xmlTextReaderReadNs0UserResourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_userResource *_userResource = calloc(1, sizeof(struct security_rest_api_ns0_userResource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0UserResourceType(_userResource);
        free(_userResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserResourceType(_userResource);
          free(_userResource);
          return NULL;
        }

        _userResource->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserResourceType(_userResource);
          free(_userResource);
          return NULL;
        }

        _userResource->userId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "password", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}password of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}password of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserResourceType(_userResource);
          free(_userResource);
          return NULL;
        }

        _userResource->password = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserResourceType(_userResource);
          free(_userResource);
          return NULL;
        }

        _userResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "status", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}status of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}status of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserResourceType(_userResource);
          free(_userResource);
          return NULL;
        }

        _userResource->status = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "email", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}email of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}email of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserResourceType(_userResource);
          free(_userResource);
          return NULL;
        }

        _userResource->email = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "roles", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}roles...\n");
#endif
          //start wrapper element "{}roles"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0UserResourceType(_userResource);
              free(_userResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "role", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}role of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}role of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserResourceType(_userResource);
          free(_userResource);
          return NULL;
        }

        _userResource->roles = realloc(_userResource->roles, (_userResource->_sizeof_roles + 1) * sizeof(xmlChar));
        memcpy(&(_userResource->roles[_userResource->_sizeof_roles++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}roles.\n");
#endif
          freeNs0UserResourceType(_userResource);
          free(_userResource);
          return NULL;
        }
        else {
          //end wrapper element "{}roles"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}userResource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}userResource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _userResource;
}

/**
 * Writes a UserResource to XML.
 *
 * @param writer The XML writer.
 * @param _userResource The UserResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0UserResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResource *_userResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_userResource->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_userResource->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_userResource->userId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_userResource->userId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_userResource->password != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "password", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}password. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}password...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_userResource->password));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}password. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}password. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_userResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_userResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_userResource->status != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "status", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}status. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}status...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_userResource->status));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}status. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}status. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_userResource->email != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "email", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}email. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}email...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_userResource->email));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}email. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}email. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_userResource->roles != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "roles", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}roles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _userResource->_sizeof_roles; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "role", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}role...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_userResource->roles[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_userResource->roles != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}roles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a UserResource.
 *
 * @param _userResource The UserResource to free.
 */
static void freeNs0UserResourceType(struct security_rest_api_ns0_userResource *_userResource) {
  int i;
  if (_userResource->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type security_rest_api_ns0_userResource...\n");
#endif
    freeXsStringType(_userResource->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type security_rest_api_ns0_userResource...\n");
#endif
    free(_userResource->resourceURI);
  }
  if (_userResource->userId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userId of type security_rest_api_ns0_userResource...\n");
#endif
    freeXsStringType(_userResource->userId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userId of type security_rest_api_ns0_userResource...\n");
#endif
    free(_userResource->userId);
  }
  if (_userResource->password != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor password of type security_rest_api_ns0_userResource...\n");
#endif
    freeXsStringType(_userResource->password);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor password of type security_rest_api_ns0_userResource...\n");
#endif
    free(_userResource->password);
  }
  if (_userResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type security_rest_api_ns0_userResource...\n");
#endif
    freeXsStringType(_userResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type security_rest_api_ns0_userResource...\n");
#endif
    free(_userResource->name);
  }
  if (_userResource->status != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor status of type security_rest_api_ns0_userResource...\n");
#endif
    freeXsStringType(_userResource->status);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor status of type security_rest_api_ns0_userResource...\n");
#endif
    free(_userResource->status);
  }
  if (_userResource->email != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor email of type security_rest_api_ns0_userResource...\n");
#endif
    freeXsStringType(_userResource->email);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor email of type security_rest_api_ns0_userResource...\n");
#endif
    free(_userResource->email);
  }
  if (_userResource->roles != NULL) {
    for (i = 0; i < _userResource->_sizeof_roles; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor roles[%i] of type security_rest_api_ns0_userResource...\n", i);
#endif
      freeXsStringType(&(_userResource->roles[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor roles of type security_rest_api_ns0_userResource...\n");
#endif
    free(_userResource->roles);
  }
}
#endif /* DEF_security_rest_api_ns0_userResource_M */
#ifndef DEF_security_rest_api_ns0_userResourceRequest_M
#define DEF_security_rest_api_ns0_userResourceRequest_M

/**
 * Reads a UserResourceRequest element from XML. The element to be read is "user-request", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The UserResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userResourceRequest *xml_read_security_rest_api_ns0_userResourceRequest(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0User_requestElement(reader);
}

/**
 * Writes a UserResourceRequest to XML under element name "user-request".
 *
 * @param writer The XML writer.
 * @param _userResourceRequest The UserResourceRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_userResourceRequest(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceRequest *_userResourceRequest) {
  return xmlTextWriterWriteNs0User_requestElementNS(writer, _userResourceRequest, 1);
}

/**
 * Frees a UserResourceRequest.
 *
 * @param _userResourceRequest The UserResourceRequest to free.
 */
void free_security_rest_api_ns0_userResourceRequest(struct security_rest_api_ns0_userResourceRequest *_userResourceRequest) {
  freeNs0UserResourceRequestType(_userResourceRequest);
  free(_userResourceRequest);
}

/**
 * Reads a UserResourceRequest element from XML. The element to be read is "user-request", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The UserResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userResourceRequest *xmlTextReaderReadNs0User_requestElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_userResourceRequest *_userResourceRequest = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "user-request", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}user-request.\n");
#endif
    _userResourceRequest = xmlTextReaderReadNs0UserResourceRequestType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_userResourceRequest == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}user-request failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}user-request failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _userResourceRequest;
}

/**
 * Writes a UserResourceRequest to XML under element name "user-request".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _userResourceRequest The UserResourceRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0User_requestElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceRequest *_userResourceRequest) {
  return xmlTextWriterWriteNs0User_requestElementNS(writer, _userResourceRequest, 0);
}

/**
 * Writes a UserResourceRequest to XML under element name "user-request".
 *
 * @param writer The XML writer.
 * @param _userResourceRequest The UserResourceRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0User_requestElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceRequest *_userResourceRequest, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "user-request", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}user-request. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}userResourceRequest for root element {}user-request...\n");
#endif
  status = xmlTextWriterWriteNs0UserResourceRequestType(writer, _userResourceRequest);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}user-request. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}user-request. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a UserResourceRequest.
 *
 * @param _userResourceRequest The UserResourceRequest whose children are to be free.
 */
static void freeNs0User_requestElement(struct security_rest_api_ns0_userResourceRequest *_userResourceRequest) {
  freeNs0UserResourceRequestType(_userResourceRequest);
}

/**
 * Reads a UserResourceRequest from XML. The reader is assumed to be at the start element.
 *
 * @return the UserResourceRequest, or NULL in case of error.
 */
static struct security_rest_api_ns0_userResourceRequest *xmlTextReaderReadNs0UserResourceRequestType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_userResourceRequest *_userResourceRequest = calloc(1, sizeof(struct security_rest_api_ns0_userResourceRequest));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0UserResourceRequestType(_userResourceRequest);
        free(_userResourceRequest);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}userResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0UserResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}userResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserResourceRequestType(_userResourceRequest);
          free(_userResourceRequest);
          return NULL;
        }

        _userResourceRequest->data = ((struct security_rest_api_ns0_userResource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}userResourceRequest.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}userResourceRequest. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _userResourceRequest;
}

/**
 * Writes a UserResourceRequest to XML.
 *
 * @param writer The XML writer.
 * @param _userResourceRequest The UserResourceRequest to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0UserResourceRequestType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceRequest *_userResourceRequest) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_userResourceRequest->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}userResource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0UserResourceType(writer, (_userResourceRequest->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}userResource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a UserResourceRequest.
 *
 * @param _userResourceRequest The UserResourceRequest to free.
 */
static void freeNs0UserResourceRequestType(struct security_rest_api_ns0_userResourceRequest *_userResourceRequest) {
  int i;
  if (_userResourceRequest->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type security_rest_api_ns0_userResourceRequest...\n");
#endif
    freeNs0UserResourceType(_userResourceRequest->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_userResourceRequest...\n");
#endif
    free(_userResourceRequest->data);
  }
}
#endif /* DEF_security_rest_api_ns0_userResourceRequest_M */
#ifndef DEF_security_rest_api_ns0_userResourceResponse_M
#define DEF_security_rest_api_ns0_userResourceResponse_M

/**
 * Reads a UserResourceResponse element from XML. The element to be read is "user-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The UserResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_userResourceResponse *xml_read_security_rest_api_ns0_userResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0User_responseElement(reader);
}

/**
 * Writes a UserResourceResponse to XML under element name "user-response".
 *
 * @param writer The XML writer.
 * @param _userResourceResponse The UserResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_userResourceResponse(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceResponse *_userResourceResponse) {
  return xmlTextWriterWriteNs0User_responseElementNS(writer, _userResourceResponse, 1);
}

/**
 * Frees a UserResourceResponse.
 *
 * @param _userResourceResponse The UserResourceResponse to free.
 */
void free_security_rest_api_ns0_userResourceResponse(struct security_rest_api_ns0_userResourceResponse *_userResourceResponse) {
  freeNs0UserResourceResponseType(_userResourceResponse);
  free(_userResourceResponse);
}

/**
 * Reads a UserResourceResponse element from XML. The element to be read is "user-response", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The UserResourceResponse, or NULL in case of error.
 */
struct security_rest_api_ns0_userResourceResponse *xmlTextReaderReadNs0User_responseElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_userResourceResponse *_userResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "user-response", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}user-response.\n");
#endif
    _userResourceResponse = xmlTextReaderReadNs0UserResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_userResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}user-response failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}user-response failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _userResourceResponse;
}

/**
 * Writes a UserResourceResponse to XML under element name "user-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _userResourceResponse The UserResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0User_responseElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceResponse *_userResourceResponse) {
  return xmlTextWriterWriteNs0User_responseElementNS(writer, _userResourceResponse, 0);
}

/**
 * Writes a UserResourceResponse to XML under element name "user-response".
 *
 * @param writer The XML writer.
 * @param _userResourceResponse The UserResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0User_responseElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceResponse *_userResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "user-response", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}user-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}userResourceResponse for root element {}user-response...\n");
#endif
  status = xmlTextWriterWriteNs0UserResourceResponseType(writer, _userResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}user-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}user-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a UserResourceResponse.
 *
 * @param _userResourceResponse The UserResourceResponse whose children are to be free.
 */
static void freeNs0User_responseElement(struct security_rest_api_ns0_userResourceResponse *_userResourceResponse) {
  freeNs0UserResourceResponseType(_userResourceResponse);
}

/**
 * Reads a UserResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the UserResourceResponse, or NULL in case of error.
 */
static struct security_rest_api_ns0_userResourceResponse *xmlTextReaderReadNs0UserResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_userResourceResponse *_userResourceResponse = calloc(1, sizeof(struct security_rest_api_ns0_userResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0UserResourceResponseType(_userResourceResponse);
        free(_userResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}userResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0UserResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}userResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserResourceResponseType(_userResourceResponse);
          free(_userResourceResponse);
          return NULL;
        }

        _userResourceResponse->data = ((struct security_rest_api_ns0_userResource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}userResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}userResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _userResourceResponse;
}

/**
 * Writes a UserResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _userResourceResponse The UserResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0UserResourceResponseType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userResourceResponse *_userResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_userResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}userResource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0UserResourceType(writer, (_userResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}userResource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a UserResourceResponse.
 *
 * @param _userResourceResponse The UserResourceResponse to free.
 */
static void freeNs0UserResourceResponseType(struct security_rest_api_ns0_userResourceResponse *_userResourceResponse) {
  int i;
  if (_userResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type security_rest_api_ns0_userResourceResponse...\n");
#endif
    freeNs0UserResourceType(_userResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_userResourceResponse...\n");
#endif
    free(_userResourceResponse->data);
  }
}
#endif /* DEF_security_rest_api_ns0_userResourceResponse_M */
#ifndef DEF_security_rest_api_ns0_userToRoleResource_M
#define DEF_security_rest_api_ns0_userToRoleResource_M

/**
 * Reads a UserToRoleResource from XML. The reader is assumed to be at the start element.
 *
 * @return the UserToRoleResource, or NULL in case of error.
 */
static struct security_rest_api_ns0_userToRoleResource *xmlTextReaderReadNs0UserToRoleResourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_userToRoleResource *_userToRoleResource = calloc(1, sizeof(struct security_rest_api_ns0_userToRoleResource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0UserToRoleResourceType(_userToRoleResource);
        free(_userToRoleResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserToRoleResourceType(_userToRoleResource);
          free(_userToRoleResource);
          return NULL;
        }

        _userToRoleResource->userId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "source", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}source of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}source of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserToRoleResourceType(_userToRoleResource);
          free(_userToRoleResource);
          return NULL;
        }

        _userToRoleResource->source = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "roles", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}roles...\n");
#endif
          //start wrapper element "{}roles"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0UserToRoleResourceType(_userToRoleResource);
              free(_userToRoleResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "role", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}role of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}role of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserToRoleResourceType(_userToRoleResource);
          free(_userToRoleResource);
          return NULL;
        }

        _userToRoleResource->roles = realloc(_userToRoleResource->roles, (_userToRoleResource->_sizeof_roles + 1) * sizeof(xmlChar));
        memcpy(&(_userToRoleResource->roles[_userToRoleResource->_sizeof_roles++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}roles.\n");
#endif
          freeNs0UserToRoleResourceType(_userToRoleResource);
          free(_userToRoleResource);
          return NULL;
        }
        else {
          //end wrapper element "{}roles"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}userToRoleResource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}userToRoleResource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _userToRoleResource;
}

/**
 * Writes a UserToRoleResource to XML.
 *
 * @param writer The XML writer.
 * @param _userToRoleResource The UserToRoleResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0UserToRoleResourceType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userToRoleResource *_userToRoleResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_userToRoleResource->userId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_userToRoleResource->userId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_userToRoleResource->source != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "source", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}source. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}source...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_userToRoleResource->source));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}source. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}source. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_userToRoleResource->roles != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "roles", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}roles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _userToRoleResource->_sizeof_roles; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "role", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}role...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_userToRoleResource->roles[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_userToRoleResource->roles != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}roles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a UserToRoleResource.
 *
 * @param _userToRoleResource The UserToRoleResource to free.
 */
static void freeNs0UserToRoleResourceType(struct security_rest_api_ns0_userToRoleResource *_userToRoleResource) {
  int i;
  if (_userToRoleResource->userId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userId of type security_rest_api_ns0_userToRoleResource...\n");
#endif
    freeXsStringType(_userToRoleResource->userId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userId of type security_rest_api_ns0_userToRoleResource...\n");
#endif
    free(_userToRoleResource->userId);
  }
  if (_userToRoleResource->source != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor source of type security_rest_api_ns0_userToRoleResource...\n");
#endif
    freeXsStringType(_userToRoleResource->source);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor source of type security_rest_api_ns0_userToRoleResource...\n");
#endif
    free(_userToRoleResource->source);
  }
  if (_userToRoleResource->roles != NULL) {
    for (i = 0; i < _userToRoleResource->_sizeof_roles; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor roles[%i] of type security_rest_api_ns0_userToRoleResource...\n", i);
#endif
      freeXsStringType(&(_userToRoleResource->roles[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor roles of type security_rest_api_ns0_userToRoleResource...\n");
#endif
    free(_userToRoleResource->roles);
  }
}
#endif /* DEF_security_rest_api_ns0_userToRoleResource_M */
#ifndef DEF_security_rest_api_ns0_userToRoleResourceRequest_M
#define DEF_security_rest_api_ns0_userToRoleResourceRequest_M

/**
 * Reads a UserToRoleResourceRequest element from XML. The element to be read is "user-to-role", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The UserToRoleResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userToRoleResourceRequest *xml_read_security_rest_api_ns0_userToRoleResourceRequest(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0User_to_roleElement(reader);
}

/**
 * Writes a UserToRoleResourceRequest to XML under element name "user-to-role".
 *
 * @param writer The XML writer.
 * @param _userToRoleResourceRequest The UserToRoleResourceRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_security_rest_api_ns0_userToRoleResourceRequest(xmlTextWriterPtr writer, struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest) {
  return xmlTextWriterWriteNs0User_to_roleElementNS(writer, _userToRoleResourceRequest, 1);
}

/**
 * Frees a UserToRoleResourceRequest.
 *
 * @param _userToRoleResourceRequest The UserToRoleResourceRequest to free.
 */
void free_security_rest_api_ns0_userToRoleResourceRequest(struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest) {
  freeNs0UserToRoleResourceRequestType(_userToRoleResourceRequest);
  free(_userToRoleResourceRequest);
}

/**
 * Reads a UserToRoleResourceRequest element from XML. The element to be read is "user-to-role", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The UserToRoleResourceRequest, or NULL in case of error.
 */
struct security_rest_api_ns0_userToRoleResourceRequest *xmlTextReaderReadNs0User_to_roleElement(xmlTextReaderPtr reader) {
  struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "user-to-role", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}user-to-role.\n");
#endif
    _userToRoleResourceRequest = xmlTextReaderReadNs0UserToRoleResourceRequestType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_userToRoleResourceRequest == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}user-to-role failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}user-to-role failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _userToRoleResourceRequest;
}

/**
 * Writes a UserToRoleResourceRequest to XML under element name "user-to-role".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _userToRoleResourceRequest The UserToRoleResourceRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0User_to_roleElement(xmlTextWriterPtr writer, struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest) {
  return xmlTextWriterWriteNs0User_to_roleElementNS(writer, _userToRoleResourceRequest, 0);
}

/**
 * Writes a UserToRoleResourceRequest to XML under element name "user-to-role".
 *
 * @param writer The XML writer.
 * @param _userToRoleResourceRequest The UserToRoleResourceRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0User_to_roleElementNS(xmlTextWriterPtr writer, struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "user-to-role", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}user-to-role. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}userToRoleResourceRequest for root element {}user-to-role...\n");
#endif
  status = xmlTextWriterWriteNs0UserToRoleResourceRequestType(writer, _userToRoleResourceRequest);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}user-to-role. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}user-to-role. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a UserToRoleResourceRequest.
 *
 * @param _userToRoleResourceRequest The UserToRoleResourceRequest whose children are to be free.
 */
static void freeNs0User_to_roleElement(struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest) {
  freeNs0UserToRoleResourceRequestType(_userToRoleResourceRequest);
}

/**
 * Reads a UserToRoleResourceRequest from XML. The reader is assumed to be at the start element.
 *
 * @return the UserToRoleResourceRequest, or NULL in case of error.
 */
static struct security_rest_api_ns0_userToRoleResourceRequest *xmlTextReaderReadNs0UserToRoleResourceRequestType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest = calloc(1, sizeof(struct security_rest_api_ns0_userToRoleResourceRequest));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0UserToRoleResourceRequestType(_userToRoleResourceRequest);
        free(_userToRoleResourceRequest);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "plexus-role", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}plexus-role of type {}userToRoleResource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0UserToRoleResourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}plexus-role of type {}userToRoleResource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserToRoleResourceRequestType(_userToRoleResourceRequest);
          free(_userToRoleResourceRequest);
          return NULL;
        }

        _userToRoleResourceRequest->data = ((struct security_rest_api_ns0_userToRoleResource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}userToRoleResourceRequest.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}userToRoleResourceRequest. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _userToRoleResourceRequest;
}

/**
 * Writes a UserToRoleResourceRequest to XML.
 *
 * @param writer The XML writer.
 * @param _userToRoleResourceRequest The UserToRoleResourceRequest to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0UserToRoleResourceRequestType(xmlTextWriterPtr writer, struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_userToRoleResourceRequest->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "plexus-role", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}plexus-role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}userToRoleResource for element {}plexus-role...\n", status);
#endif
    status = xmlTextWriterWriteNs0UserToRoleResourceType(writer, (_userToRoleResourceRequest->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}userToRoleResource for element {}plexus-role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}plexus-role. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a UserToRoleResourceRequest.
 *
 * @param _userToRoleResourceRequest The UserToRoleResourceRequest to free.
 */
static void freeNs0UserToRoleResourceRequestType(struct security_rest_api_ns0_userToRoleResourceRequest *_userToRoleResourceRequest) {
  int i;
  if (_userToRoleResourceRequest->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type security_rest_api_ns0_userToRoleResourceRequest...\n");
#endif
    freeNs0UserToRoleResourceType(_userToRoleResourceRequest->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type security_rest_api_ns0_userToRoleResourceRequest...\n");
#endif
    free(_userToRoleResourceRequest->data);
  }
}
#endif /* DEF_security_rest_api_ns0_userToRoleResourceRequest_M */
